commit d8a1a160186a45a5852abc06916f9e452ace9e00
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Dec 17 14:02:15 2015 +0100

    Release 0.6.11

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit f4f9e6d897bcb7dff768dda66a9e62c80137d7f5
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu Dec 17 00:32:09 2015 +0100

    Fix regression in cr_tknzr_consume_chars()
    
    Commit bc9b2c339e introduced an intermediate variable to account
    for the difference in signedness between cr_tknzr_consume_chars()
    and cr_input_consume_chars(), but missed that the variable in
    question is an in-out variable that requires proper initialization.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759565

 src/cr-tknzr.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 387857601cf0cbbac468e0f2620daca5d2a8c095
Author: Marek Chalupa <mchqwerty@gmail.com>
Date:   Tue Dec 15 17:58:52 2015 +0100

    Fix comparison warning
    
    Logical ! was only applied to the left side of the comparison
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758394

 src/cr-sel-eng.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1e3112a925e09a1f54a30af2e2c0cfb85d139100
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Dec 13 19:27:07 2015 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef5d47e32dcbcd2ec181b23021e583720902f199
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Dec 13 19:25:48 2015 +0100

    Release 0.6.10

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 956078a3cf703b3de5117659a50fae1bc00e8c20
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:47:43 2015 +0000

    Fix unused status variable in main()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f09307d1d467e0c25bd6f00bd689fdd5b858a360
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:45:46 2015 +0000

    Fix unused status variable in evaluate_selectors()
    
    * Add an end label to go to on error
    * Clean up xml_doc at the end
    * Fix a miscleaning of xpath_object
    * Unref sheets after they are given to a cascade
    * Return status at the end
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c | 40 ++++++++++++++++++++++++++++++++--------
 1 file changed, 32 insertions(+), 8 deletions(-)

commit d03fa2148fe0af4ebd96f1fa74772054197aaa02
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:45:09 2015 +0000

    Fix unused status variable in set_prop_position_from_value()
    
    * Return status
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-style.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6bb010a2d6ca81f2c86b2e6990c44a844819b8f8
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:44:07 2015 +0000

    Fix unused status variable in cr_utils_utf8_to_ucs1()
    
    * Don't set status to CR_OK, it's initialized to that value
    * Return status
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-utils.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ac8029a5fe0bf9df81ea6965ac056aa81fa4885d
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:42:18 2015 +0000

    Fix unused status variable in cr_utils_ucs1_to_utf8()
    
    * Return status instead (initialized to CR_OK) instead of an explicit CR_OK
    * Remove redundant check for *a_in_len < 1 (equivalent to *a_in_len == 0)
      and remove now-unused end label
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-utils.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit bc9b2c339e1181f8c69a2f74a93876932e352d6d
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:30:59 2014 +0000

    Fix cr_tknzr_consume_chars() to set *a_nb_char before returning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-tknzr.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 5fd302372e568810ff6eda6a6babbe04543a2116
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:28:07 2014 +0000

    Fix cr_input_consume_white_spaces to behave as documented
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-input.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0ab22e823daa1b5a3fbaa0552874cfe33bbf15f5
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:22:06 2014 +0000

    Fix improper use of g_ascii_strup()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-enc-handler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3f94a4f5902e5e342ed77de6739934d49e97f937
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:20:57 2014 +0000

    Derive pointer to have appropriate type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-enc-handler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e1facb1e7e8a0568774a1630c1a8621679635ef5
Author: Markus Engel <p637777@aol.com>
Date:   Mon Mar 24 20:29:00 2014 +0000

    Fix typos
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726993

 src/cr-style.c | 2 +-
 src/cr-tknzr.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 15a8885758a5e6b4d7d03d7cacd89a212bbf9847
Author: Boris Egorov <egorov@linux.com>
Date:   Thu Mar 19 23:42:34 2015 +0600

    Fix typo in logical condition
    
    TYPE_SELECTOR equals to 2, so condition
    (cur_sel->type_mask | TYPE_SELECTOR) will always be true. We should
    increase c only if we encounter a selector.
    
    Issue detected by Cppcheck and MSVS (see
    https://bugzilla.gnome.org/show_bug.cgi?id=507484)
    
    Signed-off-by: Boris Egorov <egorov@linux.com>

 src/cr-simple-sel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6fe636277bff9f21b6e3f2c640a17114f9e723f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 12:01:52 2015 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 464576a12964ab23278caf91c404b560a074bc40
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:57:00 2015 +0100

    Release 0.6.9

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10cb6cfadb79cc7fc08f5ea8a7412bc34c34c250
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:43:20 2015 +0100

    Add -I m4 to ACLOCAL_AMFLAGS

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 64e310323ae6bebc7da62c05590d34f198b8bf43
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:40:36 2015 +0100

    Renew autogen to not use gnome-autogen

 autogen.sh | 46 +++++++++++++++++++++++++++-------------------
 1 file changed, 27 insertions(+), 19 deletions(-)

commit 274678c35f0859f0a0f93356478f87dc42dd2be5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:40:28 2015 +0100

    configure: specify config macro dir

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit e7def20ab9a5592f6845534262b3124e06661679
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:55:54 2015 +0100

    configure: bump the prereq

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41a7708862c21ee46a38236c8c1e571179746349
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:54:10 2015 +0100

    configure: generate xz on distcheck

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5caf7b6c3fe442477c7eb413dd7018290b002aac
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:43:04 2015 +0100

    Some style fixes in Makefile.am

 src/Makefile.am | 166 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 83 insertions(+), 83 deletions(-)

commit b1b59df9e127c74e54cae22958292ad1f5450376
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:41:10 2015 +0100

    Replace deprecated INCLUDES with CPPFLAGS

 csslint/Makefile.am |  9 +++++----
 tests/Makefile.am   | 44 ++++++++++++++++++++++----------------------
 2 files changed, 27 insertions(+), 26 deletions(-)

commit 60fcbef051e30acb8ab766299c27eb2fe7063d33
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Sat Oct 31 00:53:31 2015 +0800

    build: Ensure croco[.vs10].headers is removed
    
    croco[.vs10].headers are intermediate files that is generated during 'make
    dist' that outght to be removed upon the completion of 'make dist', so
    ensure that it is so.

 build/win32/vs10/Makefile.am | 6 +++---
 build/win32/vs9/Makefile.am  | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 2424407fe4e81feb6738533038d186949801c92c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Fri Oct 30 09:17:40 2015 +0100

    Update NEWS for upcoming release

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit d8f9915a62aa14d49170180367c07c449833ae02
Author: Markus Engel <p637777@aol.com>
Date:   Fri Oct 30 09:06:46 2015 +0100

    Plug memory leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726992

 src/cr-cascade.c | 1 +
 src/cr-term.c    | 5 ++---
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 96d36b17f148195723c10d59fca3b97327468b22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Fri Oct 30 08:55:06 2015 +0100

    Fix variables set but not used

 src/cr-statement.c |  4 +---
 src/cr-utils.c     | 12 +++---------
 2 files changed, 4 insertions(+), 12 deletions(-)

commit cdf9eb341eb97dbf8900cf61323356f463b3c714
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 11 12:50:56 2015 +0200

    doap: Remove myself
    
    I'm not interested in this module anymore since I gave away librsvg.

 libcroco.doap | 7 -------
 1 file changed, 7 deletions(-)

commit 9e19d83a1a463299cb74a26c07bad74cf9c303a2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 16:55:05 2015 +0800

    MSVC Builds: "Add" Visual Studio 2015 Projects
    
    This "adds" Visual Studio 2015 projects by doing what we did before:
    Copy the Visual Studio 2010 projects and updating items in there as
    needed, as the 2010 projects are largely the same to the 2015 ones.

 build/Makefile-newvs.am      | 24 ++++++++++++++++--------
 build/win32/Makefile.am      |  2 +-
 build/win32/vs11/Makefile.am |  4 +---
 build/win32/vs12/Makefile.am |  4 +---
 build/win32/vs14/Makefile.am | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac                 |  1 +
 6 files changed, 57 insertions(+), 15 deletions(-)

commit cbab917ad1389615a5448d9b30517ff26af7144d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 16:52:18 2015 +0800

    Build: Make Makefile.msvcproj A Bit More Generic
    
    Handle also the situation where $(srcdir) == $(top_srcdir), so that this
    can also be used in cases like librsvg and gobject-introspection.

 build/Makefile.msvcproj | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9207f349d1c97618ab38e6b095207bbd8184d844
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jul 29 15:11:38 2015 +0800

    MSVC Builds: Rename "Install" Project
    
    ...and update its GUID so that the existing libcroco projects will fit in
    easier into all-in-one solution files that is used to build the entire
    GTK+ stack, where project GUIDs need to me mutually exclusive in solution
    files.

 build/win32/vs10/Makefile.am           |   2 +-
 build/win32/vs10/croco-install.vcxproj | 132 +++++++++++++++++++++++++++++++++
 build/win32/vs10/install.vcxproj       | 132 ---------------------------------
 build/win32/vs10/libcroco.sln          |  18 ++---
 build/win32/vs11/Makefile.am           |   4 +-
 build/win32/vs12/Makefile.am           |   4 +-
 build/win32/vs9/Makefile.am            |   2 +-
 build/win32/vs9/croco-install.vcproj   |  99 +++++++++++++++++++++++++
 build/win32/vs9/install.vcproj         |  99 -------------------------
 build/win32/vs9/libcroco.sln           |  18 ++---
 10 files changed, 255 insertions(+), 255 deletions(-)

commit a2b9a3aaeeaee5765366e55802e04c6ff5cce93c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jul 29 14:47:42 2015 +0800

    MVSC 2008 Builds: Fine Tune .lib "Installation"
    
    Make sure that we don't copy the other .lib files accidently, when this
    file is a part of an all-in-one solution file.

 build/win32/vs9/croco-install.vspropsin | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2089d2f149f05f5fed84270e62be8ca69dbc2e6a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 15:24:43 2015 +0800

    Build: Clean Up MSVC Project Generation
    
    Add and use a common autotools module, which can be used to generate
    the various Visual Studio 2008/2010 project files, which also have
    the following benefits:
    
    -Have the header installation porperty sheet also generated from the
     templates using 'make dist', to ensure the headers listings are kept
     up-to-date between releases.
    -Make src/Makefile.am cleaner
    -Support out-of-tree builds and 'make -jN dist' better
    
    Also improve the debugging experience for the stack by copying the .pdb
    files, which are already generated for all builds.

 build/Makefile.msvcproj                  | 103 ++++++++++++++++++++++++++++
 build/win32/vs10/Makefile.am             |  20 ++++--
 build/win32/vs10/croco-install.props     | 111 -------------------------------
 build/win32/vs10/croco-install.propsin   |  52 +++++++++++++++
 build/win32/vs10/croco.vcxproj.filtersin |   4 +-
 build/win32/vs10/croco.vcxprojin         |   4 +-
 build/win32/vs9/Makefile.am              |  28 +++++---
 build/win32/vs9/croco-install.vsprops    |  69 -------------------
 build/win32/vs9/croco-install.vspropsin  |  44 ++++++++++++
 build/win32/vs9/croco.vcprojin           |   2 +-
 src/Makefile.am                          |  41 ++++--------
 11 files changed, 251 insertions(+), 227 deletions(-)

commit 68e19d7c494c25622d37acfd20f71ae7622b2a62
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 16:09:37 2015 +0800

    Update Visual Studio Property Sheets
    
    Speed up release builds by enable multiple processor compilation and
    improve include path search for libxml2.  Also, log more useful info in
    MSVC 2010+ release builds, using /d2Zi+.

 build/win32/vs10/croco-build-defines.props  | 4 +++-
 build/win32/vs9/croco-build-defines.vsprops | 3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit b012b9777da68a6b8e5b98ad9297c81cbcd2fc9b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 16:04:20 2015 +0800

    MSVC 2010+ Builds: Update .pdb Generation
    
    Make our .pdb filename for the libcroco DLL match, so that we can copy them
    during "installation" later.

 build/win32/vs10/croco.vcxprojin | 4 ++++
 1 file changed, 4 insertions(+)

commit 566424149af665442db482b373940b1404df63e3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 15:55:28 2015 +0800

    MSVC Builds: Add CopyDir to Property Sheets
    
    This prepares the "install" property sheets ready for the next patches to
    clean up the Visual Studio 2008/2010 Project generation.

 build/win32/vs10/croco-version-paths.props.in  | 4 ++++
 build/win32/vs9/croco-version-paths.vsprops.in | 4 ++++
 2 files changed, 8 insertions(+)

commit 7f2c2e2cf2f8b56f192a0bdff6f10f32ea5389e7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 15:16:50 2015 +0800

    Fix MSVC 2012/2013 Project File Generation
    
    The paths for the project files were incorrectly set from the MSVC
    2008 projects, which is obviously not right.  Fix that.
    
    Oops.

 build/win32/vs11/Makefile.am | 18 ++++++++++--------
 build/win32/vs12/Makefile.am | 18 ++++++++++--------
 2 files changed, 20 insertions(+), 16 deletions(-)

commit 2cafcab95668fc64b3d8eeedf32b4bbc0ced9522
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 14 13:41:22 2015 +0800

    build/Makefile-newvs.am: Use Pattern Rules
    
    This allows this common autotools file to be cleaned up quite a bit, and
    has the benefit of having 'make -jN distcheck' complete successfully.

 build/Makefile-newvs.am | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 21b3a35292e16448ab5b36b2ab25777eb8e30e50
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 16:34:39 2014 +0800

    MSVC Builds: Add Simple Support for MSVC 2012/2013
    
    As the Visual Studio 2012/2013 project file format is largely the same as
    the Visual Studio 2010 ones, we can add support for them with relative ease
    by copying the 2010 files and updating them as necessary with autotools
    scripts, so to keep them up-to-date, all that is needed is that the Visual
    Studio 2010 projects are kept up to date.
    
    This might change if we do support the stack under the Windows RT APIs, but
    this will do the job for now.

 build/Makefile-newvs.am      | 37 +++++++++++++++++++++++++++++++++++++
 build/win32/Makefile.am      |  2 +-
 build/win32/vs11/Makefile.am | 37 +++++++++++++++++++++++++++++++++++++
 build/win32/vs12/Makefile.am | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac                 |  2 ++
 5 files changed, 114 insertions(+), 1 deletion(-)

commit 670e3ee116f48118985f38c5ae97df5a42808822
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 3 15:11:12 2013 -0400

    cr-fonts: Fix a bad copy/paste error

 src/cr-fonts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd9dcf3803ff2f5a4f7eae58b1591297da5625d8
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 3 15:11:06 2013 -0400

    cr-additional-sel: Fix some bad copy/paste errors

 src/cr-additional-sel.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cb764721168bc9ba86b64447108eb384c7747c0d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 15:43:56 2014 +0800

    MSVC Builds: Split up the Property Sheets
    
    Update the Visual Studio Projects so that the property sheets are split by
    the functions required, so to simplify their maintenance.  The projects can
    then import the property sheets that suit their needs.  This is done like
    the rest of the GTK+ stack, so it also makes it easier to support newer
    versions of Visual Studio.
    
    As the original main property sheet is generated during configure time (and
    disted), update configure.ac as well, as the name of the template file
    changed in the process.

 build/win32/vs10/Makefile.am                   |   7 +-
 build/win32/vs10/croco-build-defines.props     |  41 ++++++
 build/win32/vs10/croco-gen-srcs.props          |  44 +++++++
 build/win32/vs10/croco-install.props           | 111 ++++++++++++++++
 build/win32/vs10/croco-version-paths.props.in  |  69 ++++++++++
 build/win32/vs10/croco.vcxprojin               |   8 +-
 build/win32/vs10/csslint.vcxproj               |   8 +-
 build/win32/vs10/install.vcxproj               |  64 +++------
 build/win32/vs10/libcroco.props.in             | 171 -------------------------
 build/win32/vs9/Makefile.am                    |   8 +-
 build/win32/vs9/croco-build-defines.vsprops    |  40 ++++++
 build/win32/vs9/croco-gen-srcs.vsprops         |  38 ++++++
 build/win32/vs9/croco-install.vsprops          |  69 ++++++++++
 build/win32/vs9/croco-version-paths.vsprops.in |  68 ++++++++++
 build/win32/vs9/croco.vcprojin                 |   8 +-
 build/win32/vs9/csslint.vcproj                 |   8 +-
 build/win32/vs9/install.vcproj                 |   8 +-
 build/win32/vs9/libcroco.vsprops.in            | 134 -------------------
 configure.ac                                   |   4 +-
 19 files changed, 532 insertions(+), 376 deletions(-)

commit 5fb3db99bd3a5a1ff2ddb6959aa556bdab567bcd
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 15:00:26 2014 +0800

    MSVC Builds: Use Custom Build Steps
    
    Use Custom Build Steps for copying config.h from config.h.win32 and for
    generating libcroco.def from libcroco.symbols, as it would make it easier
    to clean and regenerate if one is cleaning or rebuilding or updateing
    those files.
    
    This also puts back into the .sln files the lines that were actually
    needed, which were removed from them accidentally from the last commit.

 build/win32/vs10/croco.vcxproj.filtersin |  4 ++
 build/win32/vs10/croco.vcxprojin         | 42 +++++++++++++-----
 build/win32/vs10/libcroco.props.in       | 21 +++------
 build/win32/vs10/libcroco.sln            | 10 +++++
 build/win32/vs9/croco.vcprojin           | 76 +++++++++++++++++++++++++-------
 build/win32/vs9/libcroco.sln             |  8 ++++
 build/win32/vs9/libcroco.vsprops.in      | 14 ++----
 7 files changed, 121 insertions(+), 54 deletions(-)

commit 81177785b0b6e36b57d4ff250d8c24956835dc67
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 14:22:46 2014 +0800

    MSVC Builds: Don't Build The Test Programs

 build/win32/vs10/Makefile.am           |  16 +--
 build/win32/vs10/libcroco.sln          |  80 -------------
 build/win32/vs10/test0.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test0.vcxproj.filters |  36 ------
 build/win32/vs10/test1.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test1.vcxproj.filters |  36 ------
 build/win32/vs10/test2.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test2.vcxproj.filters |  36 ------
 build/win32/vs10/test3.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test3.vcxproj.filters |  36 ------
 build/win32/vs10/test4.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test4.vcxproj.filters |  36 ------
 build/win32/vs10/test5.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test5.vcxproj.filters |  36 ------
 build/win32/vs10/test6.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test6.vcxproj.filters |  36 ------
 build/win32/vs9/Makefile.am            |   9 +-
 build/win32/vs9/libcroco.sln           | 106 ------------------
 build/win32/vs9/test0.vcproj           | 190 -------------------------------
 build/win32/vs9/test1.vcproj           | 190 -------------------------------
 build/win32/vs9/test2.vcproj           | 190 -------------------------------
 build/win32/vs9/test3.vcproj           | 190 -------------------------------
 build/win32/vs9/test4.vcproj           | 190 -------------------------------
 build/win32/vs9/test5.vcproj           | 190 -------------------------------
 build/win32/vs9/test6.vcproj           | 190 -------------------------------
 25 files changed, 2 insertions(+), 3170 deletions(-)

commit 563fe9a38e19cd63d3181d9c3773875a0cdb4c2c
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 12:14:13 2014 +0000

    Canonicalize the spacing around if statements and g_return_* invocations

 src/cr-om-parser.c | 17 +++++++++++++++++
 tests/test2-main.c |  1 +
 tests/test3-main.c |  1 +
 3 files changed, 19 insertions(+)

commit 06e15e28d24f1f4cfbf9de2d3224a076ae3b3b4c
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:20:27 2014 +0000

    Fix the unused arguments warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-om-parser.c | 9 +++++++++
 tests/test2-main.c | 2 ++
 tests/test3-main.c | 2 ++
 3 files changed, 13 insertions(+)

commit b77da88890a6f1044fe3213fedba4da782233ba5
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:19:02 2014 +0000

    char/xmlChar casting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c    |  2 +-
 src/cr-declaration.c |  2 +-
 src/cr-rgb.c         |  4 ++--
 src/cr-sel-eng.c     | 40 ++++++++++++++++++++--------------------
 src/cr-statement.c   | 14 +++++++-------
 src/cr-style.c       |  2 +-
 src/cr-term.c        |  2 +-
 tests/test5-main.c   |  2 +-
 tests/test6-main.c   |  2 +-
 9 files changed, 35 insertions(+), 35 deletions(-)

commit d27114ca3442cffda04950b054d74f0f6cb19130
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:17:17 2014 +0000

    gchar/guchar types and casting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c       | 18 +++++++++---------
 src/cr-additional-sel.c | 12 ++++++------
 src/cr-attr-sel.c       |  8 ++++----
 src/cr-declaration.c    | 20 ++++++++++----------
 src/cr-enc-handler.c    |  2 +-
 src/cr-fonts.c          | 10 +++++-----
 src/cr-num.c            |  8 ++++----
 src/cr-parser.c         | 18 +++++++++---------
 src/cr-pseudo.c         | 12 ++++++------
 src/cr-rgb.c            |  9 ++++-----
 src/cr-sel-eng.c        |  6 +++---
 src/cr-selector.c       |  6 +++---
 src/cr-simple-sel.c     | 12 ++++++------
 src/cr-statement.c      | 16 ++++++++--------
 src/cr-style.c          | 16 ++++++++--------
 src/cr-term.c           | 38 +++++++++++++++++++-------------------
 src/cr-tknzr.c          |  2 +-
 tests/test0-main.c      |  4 ++--
 tests/test1-main.c      |  4 ++--
 tests/test2-main.c      | 24 ++++++++++++------------
 tests/test3-main.c      | 24 ++++++++++++------------
 tests/test4-main.c      | 24 ++++++++++++------------
 tests/test5-main.c      |  4 ++--
 tests/test6-main.c      |  2 +-
 24 files changed, 149 insertions(+), 150 deletions(-)

commit a7df9d26a96bb48ccff06f4543c134e545b90c40
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:23:42 2014 +0000

    Use the right values for checking CRPredefinedAbsoluteFontSize
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-fonts.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0284435d2c9d3e6e818bf160108271f4fd390dc9
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:27:03 2014 +0000

    Use unsigned types where appropriate
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-input.c | 2 +-
 src/cr-style.c | 6 +++---
 src/cr-tknzr.c | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 6824af55301f5b0844649f2104f58841f73f3e10
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:28:52 2014 +0000

    Ensure PEEK_NEXT_CHAR does not clash with existing variables
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-parser.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2e56f962c28929223b779b144b89a704086729fc
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:31:31 2014 +0000

    Remove shadowing from cr_tknzr_get_next_token()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-tknzr.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 4a65fa0ace0a7eef9338a2bb1c4b57b74721830f
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:29:30 2014 +0000

    Remove shadowing in cr_statement_media_rule_to_string()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-statement.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit d46be1392ef1a2b147bc10908d3b94014b57bcd5
Author: Andre Klapper <a9016009@gmx.de>
Date:   Thu Jul 31 21:38:46 2014 +0200

    doap: add <programming-language>

 libcroco.doap | 1 +
 1 file changed, 1 insertion(+)

commit eab0691c3e17fb3724c0fc23c347425817ddb96a
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:27:09 2014 +0200

    doap category core

 libcroco.doap | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aeb361812b771edc80f1be5756380c075e2008e4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Feb 25 17:24:59 2014 -0500

    Remove INSTALL from version control
    
    This is getting updated by autoregen causing jhbuild to mistakenly
    believe that the build is dirty.

 INSTALL | 229 ----------------------------------------------------------------
 1 file changed, 229 deletions(-)

commit e6ad46319343d192d063ee34cd99806e7033ade9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Dec 23 11:55:42 2013 +0800

    Visual Studio Build Files Cleanup and Fixes
    
    Fix up the property sheets, as it was "installing" the libcroco stuff one
    level down from the desired folder, and $(top_srcdir) was missed from the
    include directories list for the VS2010 property sheets.  Also unify items
    so that we can reduce duplicate items in there.
    
    Build all projects with the MultiByte character set setting to be
    consistent with the rest of the GLib stack.

 build/win32/vs10/croco.vcxprojin    |  20 ++++---
 build/win32/vs10/csslint.vcxproj    |  12 +++--
 build/win32/vs10/install.vcxproj    |   4 ++
 build/win32/vs10/libcroco.props.in  | 102 +++++++++++++++++++-----------------
 build/win32/vs10/libcroco.sln       |   2 +-
 build/win32/vs10/test0.vcxproj      |  12 +++--
 build/win32/vs10/test1.vcxproj      |  12 +++--
 build/win32/vs10/test2.vcxproj      |  12 +++--
 build/win32/vs10/test3.vcxproj      |  12 +++--
 build/win32/vs10/test4.vcxproj      |  12 +++--
 build/win32/vs10/test5.vcxproj      |  12 +++--
 build/win32/vs10/test6.vcxproj      |  12 +++--
 build/win32/vs9/croco.vcprojin      |  16 +++---
 build/win32/vs9/csslint.vcproj      |   8 +--
 build/win32/vs9/libcroco.vsprops.in |  90 ++++++++++++++++---------------
 build/win32/vs9/test0.vcproj        |   8 +--
 build/win32/vs9/test1.vcproj        |   8 +--
 build/win32/vs9/test2.vcproj        |   8 +--
 build/win32/vs9/test3.vcproj        |   8 +--
 build/win32/vs9/test4.vcproj        |   8 +--
 build/win32/vs9/test5.vcproj        |   8 +--
 build/win32/vs9/test6.vcproj        |   8 +--
 22 files changed, 225 insertions(+), 169 deletions(-)

commit 611f624a6e15065792b41eb5ce14811293f3fb0a
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   Sat Jan 19 23:20:37 2013 +0100

    build: rename configure.in into configure.ac
    
    With the upcoming version of automake (1.14) the support
    for the configure.in file will be dropped.[1]
    
    [1]http://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
    Bug #692111.

 autogen.sh   |   2 +-
 configure.ac | 178 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 178 -----------------------------------------------------------
 3 files changed, 179 insertions(+), 179 deletions(-)

commit c143b97c8aef44205ae4601c3284436379eba078
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   Wed Jan 16 00:01:13 2013 +0100

    build: add support for automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    Bug #692111.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d28dfffe236bde73cb2b7e2914fb5130a80a1de4
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Oct 25 22:52:43 2012 +0200

    Post release version bump

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 330a394c0c65b6da85edd7fe73608c12e7d27dfc
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Oct 25 22:52:16 2012 +0200

    Version 0.6.8

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 1c3a1096307e68113f3f22dd93bd3c2421c81953
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Oct 16 12:35:54 2012 -0400

    cr-tknzr: Handle signed units
    
    Parse something like '-20px' correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686239

 src/cr-tknzr.c                       | 24 ++++++++++++++++++++++--
 tests/test-inputs/test1.css          |  4 +++-
 tests/test-output-refs/test1.css.out |  4 +++-
 3 files changed, 28 insertions(+), 4 deletions(-)

commit 00398a530e92254c2ea70c56d8d243766a4aa6e3
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 16 00:55:49 2012 +0200

    Post release version bump

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e018fbf4c2bacc92fc735779216bd78bf0d13d01
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Oct 13 20:43:50 2012 +0200

    Version 0.6.7

 NEWS         | 4 ++++
 configure.in | 3 +--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 5e66b9a472c200c2eff00b531c2b4b354528839a
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 16 00:51:46 2012 +0200

    build: Fix include directive
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686126

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b37d79049a0f9149df98e5adb4f69db69deef056
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Oct 7 22:59:36 2012 +0200

    Revert "cr-rgb: Fix mapping for 'green'"
    
    This reverts commit 0cbb0dfed7350ed48a12d56925cdd76255891aa5.
    
    This violates the CSS and SVG standards.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685679

 src/cr-rgb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 660ca874c6ec6c815e37b81dcc6b92cc8b294c19
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 16 19:26:38 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aea41febe113939c5d0a2305899350bdd4817c7f
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 16 19:18:05 2012 +0200

    Version 0.6.6

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 30ca729728e28ea3f6dcb09cb7bfc06434a72197
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Jun 24 15:47:13 2012 -0400

    cr-om-parser: Stop memory leak
    
    The parser refs the doc handler, so we need to unref it here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678736

 src/cr-om-parser.c | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit 73b04a6ced42bc79107cbb3f23bf53afc4945d06
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Jun 24 15:46:24 2012 -0400

    cr-string: Prevent memory leak
    
    Instead of leaking the existing GString, truncate and append to it
    instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678736

 src/cr-string.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ecb765ad60974742d8e435a48b34fb043194d1ef
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:07:09 2012 +0200

    Post release version bump

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6801770e30d9f37ed1ca35d2a3df082023b60b42
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 13:55:41 2012 +0200

    Version 0.6.5

 NEWS         | 6 ++++++
 configure.in | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 0cbb0dfed7350ed48a12d56925cdd76255891aa5
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Mar 18 11:47:51 2012 +0100

    cr-rgb: Fix mapping for 'green'
    
    Green is supposed to be #00FF00 not #008000.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672332

 src/cr-rgb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3f70d2950feb7a7934c94b14f1294362f0adf58
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:28:12 2012 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9431dcffa84b80f5867a84785da5bd154594fe50
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:24:03 2012 +0100

    Update NEWS for 0.6.4

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f2cfbcd5b00cbbd90fc919f343d86f0500f5368d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jan 9 11:45:42 2012 +0800

    Update Visual C++ .sln files
    
    These files must be in Windows/DOS EOL to function correctly-somehow GIT
    preferred to have them in UNIX EOL in my last patch.

 build/win32/vs10/libcroco.sln | 232 ++++++++++++++++----------------
 build/win32/vs9/libcroco.sln  | 302 +++++++++++++++++++++---------------------
 2 files changed, 267 insertions(+), 267 deletions(-)

commit da769539cdfb1001e415aa3e6849a0da27be39af
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 20 16:34:34 2011 +0800

    Bug 666248: Visual C++ compilation support
    
    This enables libcroco to be compiled with Visual C++ 2008/2010, along
    with its test programs.  A libcroco.symbols is included to export the
    symbols from the DLL that is built in the process, and the projects
    for the main libcroco DLL is done in a way where their source file
    listings are filled in during "make dist" as they could be changed from
    time to time so to simplify maintenanace work.  Versioning stuff are
    also done via autotools as far as possible also.
    
    The .sln files have no simple way to include the LGPL 2.1+ terms without
    causing trouble, so the text for them is included as follows, for
    references.
    ------
    This file is part of The Croco Library
    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2.1 of the GNU Lesser General Public
    License as published by the Free Software Foundation.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
    
    Author: Fan, Chun-wei
    See COPYRIGHTS file for copyright information.
    ------

 Makefile.am                              |   5 +-
 build/Makefile.am                        |  21 ++
 build/win32/Makefile.am                  |  21 ++
 build/win32/vs10/Makefile.am             |  44 +++
 build/win32/vs10/croco.vcxproj.filtersin |  39 +++
 build/win32/vs10/croco.vcxprojin         | 210 ++++++++++++
 build/win32/vs10/csslint.vcxproj         | 192 +++++++++++
 build/win32/vs10/csslint.vcxproj.filters |  33 ++
 build/win32/vs10/install.vcxproj         | 152 +++++++++
 build/win32/vs10/libcroco.props.in       | 174 ++++++++++
 build/win32/vs10/libcroco.sln            | 116 +++++++
 build/win32/vs10/test0.vcxproj           | 193 +++++++++++
 build/win32/vs10/test0.vcxproj.filters   |  36 +++
 build/win32/vs10/test1.vcxproj           | 193 +++++++++++
 build/win32/vs10/test1.vcxproj.filters   |  36 +++
 build/win32/vs10/test2.vcxproj           | 193 +++++++++++
 build/win32/vs10/test2.vcxproj.filters   |  36 +++
 build/win32/vs10/test3.vcxproj           | 193 +++++++++++
 build/win32/vs10/test3.vcxproj.filters   |  36 +++
 build/win32/vs10/test4.vcxproj           | 193 +++++++++++
 build/win32/vs10/test4.vcxproj.filters   |  36 +++
 build/win32/vs10/test5.vcxproj           | 193 +++++++++++
 build/win32/vs10/test5.vcxproj.filters   |  36 +++
 build/win32/vs10/test6.vcxproj           | 193 +++++++++++
 build/win32/vs10/test6.vcxproj.filters   |  36 +++
 build/win32/vs9/Makefile.am              |  34 ++
 build/win32/vs9/croco.vcprojin           | 229 +++++++++++++
 build/win32/vs9/csslint.vcproj           | 189 +++++++++++
 build/win32/vs9/install.vcproj           |  99 ++++++
 build/win32/vs9/libcroco.sln             | 151 +++++++++
 build/win32/vs9/libcroco.vsprops.in      | 132 ++++++++
 build/win32/vs9/test0.vcproj             | 190 +++++++++++
 build/win32/vs9/test1.vcproj             | 190 +++++++++++
 build/win32/vs9/test2.vcproj             | 190 +++++++++++
 build/win32/vs9/test3.vcproj             | 190 +++++++++++
 build/win32/vs9/test4.vcproj             | 190 +++++++++++
 build/win32/vs9/test5.vcproj             | 190 +++++++++++
 build/win32/vs9/test6.vcproj             | 190 +++++++++++
 config.h.win32.in                        |  99 ++++++
 configure.in                             |   7 +
 src/Makefile.am                          |  34 ++
 src/libcroco.symbols                     | 538 +++++++++++++++++++++++++++++++
 42 files changed, 5449 insertions(+), 3 deletions(-)

commit 58951cf83066f19b257ffce12d9b1c049329f21f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 20 16:35:12 2011 +0800

    Revert "Bug 666248: Visual C++ compilation support"
    
    This reverts commit 642ac3f675176ee6c2e124eac86dd85b1b1816e0.

 Makefile.am                              |   5 +-
 build/Makefile.am                        |  21 --
 build/win32/Makefile.am                  |  21 --
 build/win32/vs10/Makefile.am             |  44 ---
 build/win32/vs10/croco.vcxproj.filtersin |  39 ---
 build/win32/vs10/croco.vcxprojin         | 210 ------------
 build/win32/vs10/csslint.vcxproj         | 192 -----------
 build/win32/vs10/csslint.vcxproj.filters |  33 --
 build/win32/vs10/install.vcxproj         | 152 ---------
 build/win32/vs10/libcroco.propsin        | 174 ----------
 build/win32/vs10/libcroco.sln            | 116 -------
 build/win32/vs10/test0.vcxproj           | 193 -----------
 build/win32/vs10/test0.vcxproj.filters   |  36 ---
 build/win32/vs10/test1.vcxproj           | 193 -----------
 build/win32/vs10/test1.vcxproj.filters   |  36 ---
 build/win32/vs10/test2.vcxproj           | 193 -----------
 build/win32/vs10/test2.vcxproj.filters   |  36 ---
 build/win32/vs10/test3.vcxproj           | 193 -----------
 build/win32/vs10/test3.vcxproj.filters   |  36 ---
 build/win32/vs10/test4.vcxproj           | 193 -----------
 build/win32/vs10/test4.vcxproj.filters   |  36 ---
 build/win32/vs10/test5.vcxproj           | 193 -----------
 build/win32/vs10/test5.vcxproj.filters   |  36 ---
 build/win32/vs10/test6.vcxproj           | 193 -----------
 build/win32/vs10/test6.vcxproj.filters   |  36 ---
 build/win32/vs9/Makefile.am              |  34 --
 build/win32/vs9/croco.vcprojin           | 229 -------------
 build/win32/vs9/csslint.vcproj           | 189 -----------
 build/win32/vs9/install.vcproj           |  99 ------
 build/win32/vs9/libcroco.sln             | 151 ---------
 build/win32/vs9/libcroco.vspropsin       | 132 --------
 build/win32/vs9/test0.vcproj             | 190 -----------
 build/win32/vs9/test1.vcproj             | 190 -----------
 build/win32/vs9/test2.vcproj             | 190 -----------
 build/win32/vs9/test3.vcproj             | 190 -----------
 build/win32/vs9/test4.vcproj             | 190 -----------
 build/win32/vs9/test5.vcproj             | 190 -----------
 build/win32/vs9/test6.vcproj             | 190 -----------
 config.h.win32.in                        |  99 ------
 configure.in                             |   7 -
 src/Makefile.am                          |  34 --
 src/libcroco.symbols                     | 538 -------------------------------
 42 files changed, 3 insertions(+), 5449 deletions(-)

commit 642ac3f675176ee6c2e124eac86dd85b1b1816e0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 20 16:34:34 2011 +0800

    Bug 666248: Visual C++ compilation support
    
    This enables libcroco to be compiled with Visual C++ 2008/2010, along
    with its test programs.  A libcroco.symbols is included to export the
    symbols from the DLL that is built in the process, and the projects
    for the main libcroco DLL is done in a way where their source file
    listings are filled in during "make dist" as they could be changed from
    time to time so to simplify maintenanace work.  Versioning stuff are
    also done via autotools as far as possible also.
    
    The .sln files have no simple way to include the LGPL 2.1+ terms without
    causing trouble, so the text for them is included as follows, for
    references.
    ------
    This file is part of The Croco Library
    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2.1 of the GNU Lesser General Public
    License as published by the Free Software Foundation.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
    
    Author: Fan, Chun-wei
    See COPYRIGHTS file for copyright information.
    ------

 Makefile.am                              |   5 +-
 build/Makefile.am                        |  21 ++
 build/win32/Makefile.am                  |  21 ++
 build/win32/vs10/Makefile.am             |  44 +++
 build/win32/vs10/croco.vcxproj.filtersin |  39 +++
 build/win32/vs10/croco.vcxprojin         | 210 ++++++++++++
 build/win32/vs10/csslint.vcxproj         | 192 +++++++++++
 build/win32/vs10/csslint.vcxproj.filters |  33 ++
 build/win32/vs10/install.vcxproj         | 152 +++++++++
 build/win32/vs10/libcroco.propsin        | 174 ++++++++++
 build/win32/vs10/libcroco.sln            | 116 +++++++
 build/win32/vs10/test0.vcxproj           | 193 +++++++++++
 build/win32/vs10/test0.vcxproj.filters   |  36 +++
 build/win32/vs10/test1.vcxproj           | 193 +++++++++++
 build/win32/vs10/test1.vcxproj.filters   |  36 +++
 build/win32/vs10/test2.vcxproj           | 193 +++++++++++
 build/win32/vs10/test2.vcxproj.filters   |  36 +++
 build/win32/vs10/test3.vcxproj           | 193 +++++++++++
 build/win32/vs10/test3.vcxproj.filters   |  36 +++
 build/win32/vs10/test4.vcxproj           | 193 +++++++++++
 build/win32/vs10/test4.vcxproj.filters   |  36 +++
 build/win32/vs10/test5.vcxproj           | 193 +++++++++++
 build/win32/vs10/test5.vcxproj.filters   |  36 +++
 build/win32/vs10/test6.vcxproj           | 193 +++++++++++
 build/win32/vs10/test6.vcxproj.filters   |  36 +++
 build/win32/vs9/Makefile.am              |  34 ++
 build/win32/vs9/croco.vcprojin           | 229 +++++++++++++
 build/win32/vs9/csslint.vcproj           | 189 +++++++++++
 build/win32/vs9/install.vcproj           |  99 ++++++
 build/win32/vs9/libcroco.sln             | 151 +++++++++
 build/win32/vs9/libcroco.vspropsin       | 132 ++++++++
 build/win32/vs9/test0.vcproj             | 190 +++++++++++
 build/win32/vs9/test1.vcproj             | 190 +++++++++++
 build/win32/vs9/test2.vcproj             | 190 +++++++++++
 build/win32/vs9/test3.vcproj             | 190 +++++++++++
 build/win32/vs9/test4.vcproj             | 190 +++++++++++
 build/win32/vs9/test5.vcproj             | 190 +++++++++++
 build/win32/vs9/test6.vcproj             | 190 +++++++++++
 config.h.win32.in                        |  99 ++++++
 configure.in                             |   7 +
 src/Makefile.am                          |  34 ++
 src/libcroco.symbols                     | 538 +++++++++++++++++++++++++++++++
 42 files changed, 5449 insertions(+), 3 deletions(-)

commit 6637c802c0a4c685a4e1866c9f7b033c2dd78979
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:34:39 2011 +0100

    Modernise and simplify configure

 configure.in               | 124 ++++++++++++---------------------------------
 csslint/Makefile.am        |   5 +-
 docs/reference/Makefile.am |   2 +
 libcroco.pc.in             |   1 -
 src/Makefile.am            |   6 +--
 src/cr-sel-eng.h           |   6 +--
 src/libcroco-config.h.in   |   5 +-
 tests/Makefile.am          |   4 +-
 8 files changed, 44 insertions(+), 109 deletions(-)

commit fb4164470b49e80f5419ec8188b64d23221ea222
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:28:25 2011 +0100

    Use -Bsymbolic-functions when available

 acinclude.m4    | 319 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in    |  26 +++++
 src/Makefile.am |  46 +++++---
 3 files changed, 376 insertions(+), 15 deletions(-)

commit 27108d9d98ec7af7926a6fcd9346f38925ce10fe
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:19:21 2011 +0100

    Use AM_SILENT_RULES

 configure.in | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 34d461d48888047a9ea91bee54e37ce16e38fc8d
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:15:50 2011 +0100

    Use case-insensitive string comparision of colour names
    
    https://bugzilla.gnome.org/show_bug.cgi?id=459403

 src/cr-rgb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ef72159297dbd5fcfcdd9af97571bfc8f64c366
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 21:13:33 2011 +0100

    Use bsearch to find the colour by name

 src/cr-rgb.c | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 60681292639bceee8c9b3b4785bf9aa36de80f12
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Dec 11 20:52:02 2011 +0100

    Fully initialise this static data
    
    Cherry-picked from commit ac3e66fa2bb416507b5b5cf114c1edaa3455f105 .
    
    Also sort the array alphabetically.

 src/cr-rgb.c | 296 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 148 insertions(+), 148 deletions(-)

commit 269a820d1d721aa3516e44260cd8ce74d86d487f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 18:58:22 2011 +0100

    Also bump LIBCROCO_MICRO_VERSION

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99d80d31fcbfee72d8d0e81d27a6c6d7988b438a
Author: Maarten Bosmans <mkbosmans@gmail.com>
Date:   Tue Dec 6 18:56:25 2011 +0100

    Use AC_CANONICAL_HOST
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664542

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ddf963d58c59760e53849447e750924257af9cc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 18:54:13 2011 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aca276a7c1489897523b8d0df07d425a7dab319c
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 01:35:51 2011 +0100

    Autogenerate ChangeLog

 ChangeLog   | 1880 -----------------------------------------------------------
 Makefile.am |   11 +
 2 files changed, 11 insertions(+), 1880 deletions(-)

commit c7197cad42d6269739f379025c2bec9e474c8027
Author: Tobias Mueller <tobiasmue@gnome.org>
Date:   Sat Jan 29 16:31:30 2011 +0100

    Fixed format string issues by giving static literals, fixes bug 640897

 src/cr-statement.c | 10 +++++-----
 tests/test2-main.c |  8 +++-----
 tests/test3-main.c |  8 +++-----
 3 files changed, 11 insertions(+), 15 deletions(-)

commit df305a1af206f2d946efd5d99db4d7b5c854d066
Author: Felix Riemann <friemann%40gnome.org>
Date:   Tue Dec 6 01:00:12 2011 +0100

    Make colour table const
    
    https://bugzilla.gnome.org/show_bug.cgi?id=546765

 src/cr-rgb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c390e673875e92c58e1bbdfcda0a292d1132070
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 6 00:59:15 2011 +0100

    Add myself to maintainers

 libcroco.doap | 7 +++++++
 1 file changed, 7 insertions(+)

commit 613b29a0cac786b63e57ebead481a50390f86e18
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 14 18:08:45 2011 +0100

    Version 0.6.3

 NEWS         | 7 +++++++
 configure.in | 9 +++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 511a09dfcc59cbec7f5f2e50d17eb833d2fd6628
Author: Abhishek Sharma <sharma.abhishek.it@gmail.com>
Date:   Sun Nov 6 00:28:22 2011 +0530

    Revert "Sending recent tested changes from inkscape developers to libcroco upstream"
    
    This reverts commit ac3e66fa2bb416507b5b5cf114c1edaa3455f105.

 src/cr-additional-sel.c   | 144 +++++----
 src/cr-additional-sel.h   |  34 +-
 src/cr-attr-sel.c         |  84 +++--
 src/cr-attr-sel.h         |   6 +-
 src/cr-cascade.c          |  66 ++--
 src/cr-cascade.h          |   2 +-
 src/cr-declaration.c      | 284 +++++++++--------
 src/cr-declaration.h      |  14 +-
 src/cr-doc-handler.c      |  92 ++++--
 src/cr-doc-handler.h      |  14 +-
 src/cr-enc-handler.c      |  46 +--
 src/cr-enc-handler.h      |   6 +-
 src/cr-fonts.c            | 293 ++++++++++++++---
 src/cr-fonts.h            |  13 +-
 src/cr-input.c            | 412 ++++++++++++++----------
 src/cr-input.h            |  26 +-
 src/cr-num.c              |  99 +++---
 src/cr-num.h              |   8 +-
 src/cr-om-parser.c        | 130 ++++----
 src/cr-om-parser.h        |   2 +-
 src/cr-parser.c           | 443 ++++++++++++++++----------
 src/cr-parser.h           |   4 +-
 src/cr-parsing-location.c |  64 ++--
 src/cr-parsing-location.h |   8 +-
 src/cr-prop-list.c        | 126 +++++---
 src/cr-prop-list.h        |   4 +-
 src/cr-pseudo.c           |  48 ++-
 src/cr-pseudo.h           |   4 +-
 src/cr-rgb.c              | 473 ++++++++++++++++------------
 src/cr-rgb.h              |  16 +-
 src/cr-sel-eng.h          |   4 +-
 src/cr-selector.c         |  87 +++--
 src/cr-selector.h         |   6 +-
 src/cr-simple-sel.c       |  75 +++--
 src/cr-simple-sel.h       |  14 +-
 src/cr-statement.c        | 788 +++++++++++++++++++++++++++++-----------------
 src/cr-statement.h        |  44 +--
 src/cr-string.c           |  25 +-
 src/cr-string.h           |  10 +-
 src/cr-style.c            | 101 +++---
 src/cr-style.h            |   2 +-
 src/cr-stylesheet.c       |  14 +-
 src/cr-stylesheet.h       |   6 +-
 src/cr-term.c             |  50 +--
 src/cr-term.h             |  10 +-
 src/cr-tknzr.c            | 172 +++++-----
 src/cr-token.c            |   5 +-
 src/cr-utils.c            |  19 +-
 src/cr-utils.h            |   9 +-
 49 files changed, 2656 insertions(+), 1750 deletions(-)

commit 50584f3b30393a9c3bbf0a183c663b459d6fa6c6
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 5 19:45:49 2011 +0100

    Adding DOAP file

 MAINTAINERS   |  4 ----
 Makefile.am   |  3 ++-
 libcroco.doap | 29 +++++++++++++++++++++++++++++
 3 files changed, 31 insertions(+), 5 deletions(-)

commit ac3e66fa2bb416507b5b5cf114c1edaa3455f105
Author: Abhishek Sharma <sharma.abhishek.it@gmail.com>
Date:   Sun Jul 3 00:52:21 2011 +0530

    Sending recent tested changes from inkscape developers to libcroco upstream

 src/cr-additional-sel.c   | 144 ++++-----
 src/cr-additional-sel.h   |  34 +-
 src/cr-attr-sel.c         |  84 ++---
 src/cr-attr-sel.h         |   6 +-
 src/cr-cascade.c          |  66 ++--
 src/cr-cascade.h          |   2 +-
 src/cr-declaration.c      | 284 ++++++++---------
 src/cr-declaration.h      |  14 +-
 src/cr-doc-handler.c      |  92 ++----
 src/cr-doc-handler.h      |  14 +-
 src/cr-enc-handler.c      |  46 ++-
 src/cr-enc-handler.h      |   6 +-
 src/cr-fonts.c            | 293 +++--------------
 src/cr-fonts.h            |  13 +-
 src/cr-input.c            | 412 ++++++++++--------------
 src/cr-input.h            |  26 +-
 src/cr-num.c              |  99 +++---
 src/cr-num.h              |   8 +-
 src/cr-om-parser.c        | 130 ++++----
 src/cr-om-parser.h        |   2 +-
 src/cr-parser.c           | 443 ++++++++++----------------
 src/cr-parser.h           |   4 +-
 src/cr-parsing-location.c |  64 ++--
 src/cr-parsing-location.h |   8 +-
 src/cr-prop-list.c        | 126 +++-----
 src/cr-prop-list.h        |   4 +-
 src/cr-pseudo.c           |  48 +--
 src/cr-pseudo.h           |   4 +-
 src/cr-rgb.c              | 473 ++++++++++++----------------
 src/cr-rgb.h              |  16 +-
 src/cr-sel-eng.h          |   4 +-
 src/cr-selector.c         |  87 ++---
 src/cr-selector.h         |   6 +-
 src/cr-simple-sel.c       |  75 ++---
 src/cr-simple-sel.h       |  14 +-
 src/cr-statement.c        | 788 +++++++++++++++++-----------------------------
 src/cr-statement.h        |  44 +--
 src/cr-string.c           |  25 +-
 src/cr-string.h           |  10 +-
 src/cr-style.c            | 101 +++---
 src/cr-style.h            |   2 +-
 src/cr-stylesheet.c       |  14 +-
 src/cr-stylesheet.h       |   6 +-
 src/cr-term.c             |  50 ++-
 src/cr-term.h             |  10 +-
 src/cr-tknzr.c            | 172 +++++-----
 src/cr-token.c            |   5 +-
 src/cr-utils.c            |  19 +-
 src/cr-utils.h            |   9 +-
 49 files changed, 1750 insertions(+), 2656 deletions(-)

commit 903f13254d71f127bd5221779c3441c93f1ca92b
Author: Abhishek Sharma <sharma.abhishek.it@gmail.com>
Date:   Sun Jun 26 12:02:19 2011 +0530

    Adding libxml2 install check whether its present or not

 configure.in | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 60f4fd599b62f3e83f7cedd98cb45723397cac1b
Author: Thomas Wood <thos@src.gnome.org>
Date:   Thu Feb 19 17:07:59 2009 +0000

    Remove test/test-outputs from svn, as it is empty and is deleted by the
    
    * Remove test/test-outputs from svn, as it is empty and is deleted by the test
      script, which causes problems for SVN
    * Add ChangeLog entry for commit 325
    
    svn path=/trunk/; revision=327

 ChangeLog | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 88652f23cb882cc7fb3904c7c9679053672cd33e
Author: Thomas Wood <thos@src.gnome.org>
Date:   Thu Feb 19 16:21:55 2009 +0000

    Remove auto-generated documentation templates
    
    svn path=/trunk/; revision=326

 docs/reference/tmpl/cr-additional-sel.sgml   | 133 ------
 docs/reference/tmpl/cr-attr-sel.sgml         |  81 ----
 docs/reference/tmpl/cr-cascade.sgml          |  85 ----
 docs/reference/tmpl/cr-declaration.sgml      | 225 ----------
 docs/reference/tmpl/cr-doc-handler.sgml      | 142 -------
 docs/reference/tmpl/cr-enc-handler.sgml      |  54 ---
 docs/reference/tmpl/cr-fonts.sgml            | 287 -------------
 docs/reference/tmpl/cr-input.sgml            | 371 ----------------
 docs/reference/tmpl/cr-num.sgml              |  98 -----
 docs/reference/tmpl/cr-om-parser.sgml        | 121 ------
 docs/reference/tmpl/cr-parser.sgml           | 307 --------------
 docs/reference/tmpl/cr-parsing-location.sgml |  80 ----
 docs/reference/tmpl/cr-prop-list.sgml        | 158 -------
 docs/reference/tmpl/cr-pseudo.sgml           |  59 ---
 docs/reference/tmpl/cr-rgb.sgml              | 196 ---------
 docs/reference/tmpl/cr-sel-eng.sgml          | 151 -------
 docs/reference/tmpl/cr-selector.sgml         | 119 ------
 docs/reference/tmpl/cr-simple-sel.sgml       | 111 -----
 docs/reference/tmpl/cr-statement.sgml        | 613 ---------------------------
 docs/reference/tmpl/cr-string.sgml           |  94 ----
 docs/reference/tmpl/cr-style.sgml            | 266 ------------
 docs/reference/tmpl/cr-stylesheet.sgml       |  98 -----
 docs/reference/tmpl/cr-term.sgml             | 207 ---------
 docs/reference/tmpl/cr-tknzr.sgml            | 261 ------------
 docs/reference/tmpl/cr-token.sgml            | 388 -----------------
 docs/reference/tmpl/cr-utils.sgml            | 283 -------------
 docs/reference/tmpl/libcroco-config.sgml     |  37 --
 docs/reference/tmpl/libcroco.sgml            |  16 -
 28 files changed, 5041 deletions(-)

commit 61c0739dede900122f93065953619794b70d8c06
Author: Thomas Wood <thos@gnome.org>
Date:   Thu Feb 19 16:15:25 2009 +0000

    Add infrastructure to allow gtk-doc documentation to be built.
    
    2009-02-19  Thomas Wood  <thos@gnome.org>
    
    	* Makefile.am:
    	* configure.in:
    	* docs/Makefile.am:
    
    	Add infrastructure to allow gtk-doc documentation to be built.
    
    svn path=/trunk/; revision=325

 Makefile.am      | 2 ++
 configure.in     | 1 +
 docs/Makefile.am | 2 +-
 3 files changed, 4 insertions(+), 1 deletion(-)

commit cad5b6a71c31e0534154b2391a327cf1d5ae234f
Author: Thomas Wood <thos@src.gnome.org>
Date:   Tue Feb 17 11:30:25 2009 +0000

    Remove gtk-doc.make which is overwritten by autogen.sh script
    
    svn path=/trunk/; revision=324

 gtk-doc.make | 153 -----------------------------------------------------------
 1 file changed, 153 deletions(-)

commit 45db58ac0c9078338e70a628fea41bf10d5fa062
Author: Thomas Wood <thos@gnome.org>
Date:   Tue Feb 17 11:25:40 2009 +0000

    ensure the library and compiler flags are not hardcoded into the package
    
    2009-02-17  Thomas Wood  <thos@gnome.org>
    
    	* libcroco.pc.in: ensure the library and compiler flags are not
    	hardcoded into the package config file. (bug 342370)
    
    svn path=/trunk/; revision=323

 ChangeLog      | 5 +++++
 libcroco.pc.in | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 257ada223535b1d8ebca631cb390a9d6dd518f4e
Author: Thomas Wood <thos@src.gnome.org>
Date:   Mon Feb 9 10:56:40 2009 +0000

    Remove redundant .cvsignore files
    
    svn path=/trunk/; revision=322

 .cvsignore                        | 28 ----------------------------
 csslint/.cvsignore                |  3 ---
 docs/.cvsignore                   |  2 --
 docs/examples/.cvsignore          |  2 --
 docs/reference/.cvsignore         |  3 ---
 src/.cvsignore                    |  3 ---
 src/layeng/.cvsignore             |  2 --
 src/parser/.cvsignore             |  3 ---
 src/seleng/.cvsignore             |  2 --
 tests/.cvsignore                  |  9 ---------
 tests/test-inputs/.cvsignore      |  2 --
 tests/test-output-refs/.cvsignore |  2 --
 tests/test-outputs/.cvsignore     |  1 -
 13 files changed, 62 deletions(-)

commit 846966ae42614a0186061567131c9f982515f429
Author: Thomas Wood <thos@gnome.org>
Date:   Wed Feb 4 10:25:44 2009 +0000

    ============= 0.6.2 release =======================
    
    2009-02-04  Thomas Wood  <thos@gnome.org>
    
    	* NEWS
    	* configure.in
    
    	Update for 0.6.2 release
    
    svn path=/trunk/; revision=320

 ChangeLog    |  9 +++++++++
 NEWS         | 28 ++++++++++++++++++++++++++++
 configure.in |  2 +-
 3 files changed, 38 insertions(+), 1 deletion(-)

commit 8504f82933dd07aad87996fbff711b3ac35bda3c
Author: Robert Staudinger <robsta@src.gnome.org>
Date:   Fri Sep 26 14:32:08 2008 +0000

    Bug 553937 - CRDocHandler instances created with reference count of 0
    
    * src/cr-doc-handler.c (cr_doc_handler_new): Bug 553937 - CRDocHandler instances created with reference count of 0
    
    
    svn path=/trunk/; revision=319

 ChangeLog            | 6 ++++++
 src/cr-doc-handler.c | 1 +
 2 files changed, 7 insertions(+)

commit aaebd96e3fe79421f8c819443b09fb16e473c70a
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 13:02:34 2008 +0000

    minor: (cr_declaration_destroy): Simplify implementation (and assert that next/prev elements point to each other).
    
    svn path=/trunk/; revision=318

 ChangeLog            |  2 ++
 src/cr-declaration.c | 47 +++++++++++------------------------------------
 2 files changed, 13 insertions(+), 36 deletions(-)

commit 53364d93a2752474b205cd718d160d58d5fe773b
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 13:00:23 2008 +0000

    oops, add ChangeLog entries for the last couple of commits.
    
    svn path=/trunk/; revision=317

 ChangeLog | 30 +++++++++++++++++++++++-------
 1 file changed, 23 insertions(+), 7 deletions(-)

commit 1864231ab6bdccbeb2e55144239359ff5580bf65
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 06:06:30 2008 +0000

    doc: Document cr_declaration_new ownership rules.
    
    svn path=/trunk/; revision=316

 src/cr-declaration.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 8b60be7f9ac274c014294c51f88da884a3b0c99f
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Mar 30 05:43:43 2008 +0000

    Add ‘const’ to various function prototypes, as discussed at http://www.mail-archive.com/libcroco-list@gnome.org/msg00049.html .  This change is a noop in the sense that it has no effect on libcroco's object files, but does affect source-level compatibility, both forwards and backwards — though in practice I'd guess that no existing code will break from this.
    
    svn path=/trunk/; revision=315

 src/cr-additional-sel.c   |  8 +++----
 src/cr-additional-sel.h   |  6 +++---
 src/cr-attr-sel.c         |  6 +++---
 src/cr-attr-sel.h         |  4 ++--
 src/cr-declaration.c      | 22 +++++++++----------
 src/cr-declaration.h      | 12 +++++------
 src/cr-doc-handler.c      |  4 ++--
 src/cr-doc-handler.h      |  4 ++--
 src/cr-fonts.c            | 54 +++++++++++++++++++++++------------------------
 src/cr-fonts.h            | 10 ++++-----
 src/cr-input.c            | 26 +++++++++++------------
 src/cr-input.h            | 26 +++++++++++------------
 src/cr-num.c              |  8 +++----
 src/cr-num.h              |  8 +++----
 src/cr-parser.c           |  4 ++--
 src/cr-parser.h           |  4 ++--
 src/cr-parsing-location.c |  6 +++---
 src/cr-parsing-location.h |  6 +++---
 src/cr-prop-list.c        |  4 ++--
 src/cr-prop-list.h        |  4 ++--
 src/cr-pseudo.c           |  4 ++--
 src/cr-pseudo.h           |  4 ++--
 src/cr-rgb.c              | 12 +++++------
 src/cr-rgb.h              | 12 +++++------
 src/cr-selector.c         |  6 +++---
 src/cr-selector.h         |  4 ++--
 src/cr-simple-sel.c       | 12 +++++------
 src/cr-simple-sel.h       |  8 +++----
 src/cr-statement.c        | 52 ++++++++++++++++++++++-----------------------
 src/cr-statement.h        | 30 +++++++++++++-------------
 src/cr-string.c           | 10 ++++-----
 src/cr-string.h           | 10 ++++-----
 src/cr-stylesheet.c       |  8 +++----
 src/cr-stylesheet.h       |  6 +++---
 src/cr-term.c             | 12 +++++------
 src/cr-term.h             |  8 +++----
 src/cr-utils.c            | 13 ++++++------
 src/cr-utils.h            |  4 ++--
 38 files changed, 221 insertions(+), 220 deletions(-)

commit 71b9dffeed9300e3c1c6168a6023a6ee9a086889
Author: Peter J. R. Moulder <pjmoulder@src.gnome.org>
Date:   Sun Feb 24 04:29:47 2008 +0000

    noop: Fix emacsen mode lines: set indent-tabs-mode to nil instead of invalid value ni.
    
    svn path=/trunk/; revision=314

 src/cr-declaration.c      | 2 +-
 src/cr-declaration.h      | 2 +-
 src/cr-doc-handler.c      | 2 +-
 src/cr-doc-handler.h      | 2 +-
 src/cr-parsing-location.c | 2 +-
 src/cr-parsing-location.h | 2 +-
 src/cr-selector.c         | 2 +-
 src/cr-selector.h         | 2 +-
 src/cr-stylesheet.c       | 2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit d0ec985f7d494fe61d3f76cfbd1db296582ad23a
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Mon Sep 3 08:06:46 2007 +0000

    Fix MAINTAINERS
    
    svn path=/trunk/; revision=313

 MAINTAINERS | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5066d38ceca39591045d7fd506760f83309ac35f
Author: Bruno Haible <bruno@clisp.org>
Date:   Wed Jan 10 21:37:00 2007 +0000

    Bug 395099 - overly agressive rule matching
    
    2007-01-10  Bruno Haible  <bruno@clisp.org>
    
            * cr-sel-eng.c: Bug 395099 - overly agressive rule matching
    
    
    svn path=/trunk/; revision=312

 ChangeLog        |  1 +
 src/cr-sel-eng.c | 10 +++++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit ef258807ec53ed9639dd68e897de98dbe81f408c
Author: Bruno Haible <bruno@clisp.org>
Date:   Wed Jan 10 18:14:16 2007 +0000

    Handle FONT_WEIGHT_INHERIT.
    
    2007-01-10  Bruno Haible  <bruno@clisp.org>
    
            * cr-fonts.c (cr_font_weight_get_bolder): Handle FONT_WEIGHT_INHERIT.
    
    
    svn path=/trunk/; revision=311

 ChangeLog      | 1 +
 src/cr-fonts.c | 5 ++++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit c86451222851de8afe54f2d894a11d1deca5ea3d
Author: Bruno Haible <bruno@clisp.org>
Date:   Wed Jan 10 18:10:07 2007 +0000

    Remove trailing comma. Needed for compilation on AIX with xlc.
    
    
    2007-01-10  Bruno Haible  <bruno@clisp.org>
    
            * cr-style.h (enum CRPositionType): Remove trailing comma. Needed for
            compilation on AIX with xlc.
    
    
    svn path=/trunk/; revision=310

 ChangeLog      | 7 +++++++
 src/cr-style.h | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 591ca88d3d2780d869ebc444480b584a15c5bd97
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 21:48:52 2007 +0000

    Bug 314831 - Escapes not recognized
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 314831 - Escapes not recognized
    
    
    svn path=/trunk/; revision=309

 ChangeLog      |  4 ++++
 src/cr-tknzr.c | 33 +++++----------------------------
 2 files changed, 9 insertions(+), 28 deletions(-)

commit fae536e2c9ee18a81472f658a45e628a6b288682
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 17:12:56 2007 +0000

    a bug in the class selector code, where it would no\ t require whitespace
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-sel-eng.c: a bug in the class selector code, where it would no\
    t require whitespace before the class in a class attribute with multiple classe\
    s.
    
    svn path=/trunk/; revision=308

 ChangeLog        | 4 ++++
 src/cr-sel-eng.c | 4 ++++
 2 files changed, 8 insertions(+)

commit 8bd67a9630e9997126ac2a1cc272a97ec39dd947
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 17:07:18 2007 +0000

    gives syntax errors when included twice the return value of
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-fonts.h: gives syntax errors when included twice
            * src/cr-fonts.c: the return value of cr_font_family_prepend()
            should be "the font family list", not CR_OK which is the same as NULL.
            * src/cr-fonts.c: the logic of cr_font_weight_get_bolder
            does not take into account the FONT_WEIGHT_INHERIT value, and the
            shift by 1 can yield out-of-range values. Partial fix
    
    
    svn path=/trunk/; revision=307

 ChangeLog      | 5 +++++
 src/cr-fonts.c | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 1134e3843d5d9f05c8a58196aeeb1f731ee066c0
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 17:02:11 2007 +0000

    gives syntax errors when included twice
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-fonts.h: gives syntax errors when included twice
    
    
    svn path=/trunk/; revision=306

 ChangeLog      | 4 ++++
 src/cr-fonts.h | 3 ++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 888934343d8919ecc66eca133be09704c9043968
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:49:57 2007 +0000

    Bug 394294 - Escape are wrongly computed
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 394294 - Escape are wrongly computed
    
    
    svn path=/trunk/; revision=305

 ChangeLog      | 1 +
 src/cr-tknzr.c | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit a40cb68d898e8a3482de6335c78e636c09e1fbe1
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:46:09 2007 +0000

    Bug 139878 - keep end of ruleset parsing location, a\ nd give it to the
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-parser.c: Bug 139878 - keep end of ruleset parsing location, a\
    nd give it to the end_selector sac-handler.
    
    svn path=/trunk/; revision=304

 ChangeLog       | 1 +
 src/cr-parser.c | 3 +++
 2 files changed, 4 insertions(+)

commit 33a38c78bf2d50bb4cb9d6335c7908bfb6db39eb
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:43:14 2007 +0000

    Bug 394680 - problem parsing function name starting w\ ith 'u' or 'r'
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 394680 - problem parsing function name starting w\
    ith 'u' or 'r'
    
    
    svn path=/trunk/; revision=303

 ChangeLog      |  1 +
 src/cr-tknzr.c | 28 ++++------------------------
 2 files changed, 5 insertions(+), 24 deletions(-)

commit e5c3f76501ef671c8ae39fcefd23595995066218
Author: Benjamin Dauvergne <feanor@tol-eressea.org>
Date:   Tue Jan 9 16:39:29 2007 +0000

    Bug 372011 - comments not parsed correctly
    
    2007-01-09  Benjamin Dauvergne <feanor@tol-eressea.org>
    
            * src/cr-tknzr.c: Bug 372011 - comments not parsed correctly
    
    svn path=/trunk/; revision=302

 ChangeLog      |  4 ++++
 src/cr-tknzr.c | 61 ++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 40 insertions(+), 25 deletions(-)

commit 597f4175aa106b3463ca9678caf7fe2f2937d36d
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Tue Jan 9 16:33:38 2007 +0000

    Bug 336621 - cr_tknzr_get_next_token wasn't handling "<!--" correctly
    
    2007-01-09  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-tknzr.c: Bug 336621 - cr_tknzr_get_next_token wasn't
            handling "<!--" correctly
    
    svn path=/trunk/; revision=301

 ChangeLog      | 5 +++++
 src/cr-tknzr.c | 7 ++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 748a03efa4624ce5e0ba730e19cbe5098a88f2cc
Author: Dom Lachowicz <domlachowicz@gmail.com>
Date:   Thu Nov 30 22:10:41 2006 +0000

    Bug 381040 - floating numbers always output to exactly 3 digits after
    
    2006-11-30  Dom Lachowicz <domlachowicz@gmail.com>
    
            * src/cr-num.c: Bug 381040 - floating numbers always output to exactly 3 digits after decimal points.
            Also fixed a related bug where libcroco wouldn't emit compliant CSS strings if run in a non-C locale.

 ChangeLog    | 5 +++++
 src/cr-num.c | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 7c3ac7d8e44e74a2a82b47403942e6d56e377566
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Wed Nov 29 12:10:45 2006 +0000

    bug 380438

 ChangeLog      | 5 +++++
 src/cr-token.c | 1 +
 2 files changed, 6 insertions(+)

commit aa60a8cd7b646e7483c6b3db62ddb6f06515e2bd
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Wed Nov 15 13:35:27 2006 +0000

    oops. fix build

 src/cr-rgb.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 209e5308ef60c9619551008e29e3b0421d4655d5
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Tue Nov 14 17:14:41 2006 +0000

    Bug 375194 - fix to builtin color processing
    
    * src/cr-rgb.c: Bug 375194 - fix to builtin color processing

 ChangeLog    | 4 ++++
 src/cr-rgb.c | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 16d495b493e5ef9242dc2413b4d411981aabcc14
Author: Peter Moulder <pmoulder at mail.csse.monash.edu.au>
Date:   Tue May 2 23:40:10 2006 +0000

    Bug 340298 - Fixes to documentation markup.
    
    2006-05-02  Peter Moulder <pmoulder at mail.csse.monash.edu.au>
    
    	* src/*.[ch]: Bug 340298 - Fixes to documentation markup.

 ChangeLog            |   4 ++
 src/cr-declaration.c |   9 ++-
 src/cr-doc-handler.c |   1 +
 src/cr-doc-handler.h |   8 +--
 src/cr-fonts.c       |   4 +-
 src/cr-parser.c      |  10 ++--
 src/cr-prop-list.c   |   7 ++-
 src/cr-pseudo.c      |   1 +
 src/cr-simple-sel.c  |   1 +
 src/cr-statement.c   | 156 ++++++++++++++++++++++++++-------------------------
 src/cr-statement.h   |  10 ++--
 11 files changed, 113 insertions(+), 98 deletions(-)

commit 1287e6a6263c955f464ba6d1d5ad699a70f51104
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Tue May 2 23:37:02 2006 +0000

    Fix 3 "dereferencing type-punned pointer will break strict-aliasing rules"
    
    * csslint/csslint.c: Fix 3 "dereferencing type-punned pointer will break strict-aliasing rules" warnings

 ChangeLog         | 1 +
 csslint/csslint.c | 6 +++---
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 37d7f5c7ee7d3ee90b032c075610e8c4c8a9ddee
Author: Dom Lachowicz <cinamod@hotmail.com>
Date:   Tue May 2 23:22:59 2006 +0000

    Fix linking by adding proper dependencies (bug 148790) Cygwin build fixes
    
    2006-05-02  Dom Lachowicz <cinamod@hotmail.com>
    
    	* src/Makefile.am: Fix linking by adding proper dependencies (bug 148790)
    	Cygwin build fixes
    	* configure.in: Detect Cygwin in addition to Mingw (bug 333834)

 ChangeLog       | 2 ++
 configure.in    | 8 ++++----
 src/Makefile.am | 2 +-
 3 files changed, 7 insertions(+), 5 deletions(-)

commit 75a6ccf04e72e271a419602952c209ac3b1f4ce6
Author: Dom Lachowicz <cinamod@hotmail.com>
Date:   Tue May 2 23:20:19 2006 +0000

    Fix linking by adding proper dependencies (bug 148790)
    
    2006-05-02  Dom Lachowicz <cinamod@hotmail.com>
    
    	* src/Makefile.am: Fix linking by adding proper dependencies (bug 148790)

 ChangeLog       | 4 ++++
 src/Makefile.am | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1f46ad42193a2dd17bccaf69f2f50df2279dc2f5
Author: Dom Lachowicz <cinamod@hotmail.com>
Date:   Sat Apr 29 13:07:54 2006 +0000

    Revert my previous change and instead use Inkscape's patch in bug #306823,
    
    2006-04-29  Dom Lachowicz <cinamod@hotmail.com>
    
    	* src/cr-tknzr.c: Revert my previous change and instead use Inkscape's
    	patch in bug #306823, as it improves precision
    	* src/cr-utils.[ch]: Ditto

 ChangeLog      |  8 +++++++-
 src/cr-tknzr.c | 41 +++++++++++++++++++----------------------
 src/cr-utils.c | 13 -------------
 src/cr-utils.h |  3 ---
 4 files changed, 26 insertions(+), 39 deletions(-)

commit 9712f747ed9607acf51badb29aa2009729e3b13b
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Mar 5 22:37:43 2006 +0000

    dim mar  5 23:32:14 CET 2006 Dodji Seketeli
    
    	* configure.in,docs/Makefile.am:
    	  unwire gtk-doc temporarily. Couldn't make it
    	  distcheck otherwise.
    	* tests/Makefile.am: add global-vars.sh.in to EXTRA_DIST files.
    	* confifure.in: increase library REVISION number, for 0.6.1 release.
    
    ============= 0.6.1 release =======================

 ChangeLog         |  10 +++++
 INSTALL           | 131 +++++++++++++++++++++++++++++++++++++-----------------
 Makefile.am       |   2 +
 NEWS              |  11 +++++
 configure.in      |   3 +-
 docs/Makefile.am  |   2 +-
 gtk-doc.make      |  22 ++++-----
 tests/Makefile.am |   2 +-
 8 files changed, 127 insertions(+), 56 deletions(-)

commit e86068e8a003717f2b104b398f7c144776c06ea8
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Thu Mar 2 13:24:49 2006 +0000

    bump version to so that librsvg can depend on its fixes

 ChangeLog    | 1 +
 configure.in | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit c7d1ea6efefbf3293bff617bddc4699219b543a0
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Thu Mar 2 01:13:01 2006 +0000

    Parse fractional parts of numbers properly (bug 333057)

 ChangeLog      | 5 +++++
 src/cr-tknzr.c | 6 ++++--
 src/cr-utils.c | 5 +++--
 src/cr-utils.h | 2 +-
 4 files changed, 13 insertions(+), 5 deletions(-)

commit 9dc32d6f472e367208527366fb7830d69aa3fb15
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Fri Jan 27 12:43:53 2006 +0000

    Hush now baby, baby don't you cry...

 .cvsignore                | 13 +++++++++++++
 csslint/.cvsignore        |  2 +-
 docs/reference/.cvsignore |  3 +++
 src/.cvsignore            |  1 +
 tests/.cvsignore          |  7 +++++++
 5 files changed, 25 insertions(+), 1 deletion(-)

commit d351d225618511973d3977069631286753bc478f
Author: Tor Lillqvist <tml@novell.com>
Date:   Wed Nov 16 19:45:11 2005 +0000

    New file. libcroco-zip is used to build a libcroco distribution for Win32.
    
    2005-11-16  Tor Lillqvist  <tml@novell.com>
    
    	* libcroco-zip.in: New file. libcroco-zip is used to build a
    	libcroco distribution for Win32.
    
    	* Makefile.am: Distribute libcroco-zip.in
    
    	* configure.in: AC_SUBST also LIBCROCO_CURRENT and LIBCROCO_AGE as
    	libcroco-zip needs them to construct the DLL name. Check for
    	Win32, set OS_WIN32 Automake conditional. Expand libcroco-zip.
    
    	* src/Makefile.am: Use -no-undefined on Win32. Link libcroco with
    	GLIB2_LIBS and LIBXML2_LIBS.

 ChangeLog       | 14 ++++++++++++++
 Makefile.am     |  2 +-
 configure.in    | 13 +++++++++++++
 libcroco-zip.in | 25 +++++++++++++++++++++++++
 src/Makefile.am |  7 ++++++-
 5 files changed, 59 insertions(+), 2 deletions(-)

commit 673e0d30edc06f4e51c1a159129010fc9a22149d
Author: CEST 2005 Dodji Seketeli <dodji@seketeli.org>
Date:   Tue May 10 19:52:42 2005 +0000

    Forgot to add global-test-vars.sh.in
    
    Tue May 10 21:53:02 CEST 2005 Dodji Seketeli <dodji@seketeli.org>
    
    Forgot to add global-test-vars.sh.in

 global-test-vars.sh.in | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 87e540b6a27f7fcca8b450bb44a8b197eeffb464
Author: CEST 2005 Dodji Seketeli <dodji@seketeli.org>
Date:   Tue May 10 19:48:58 2005 +0000

    applied the following patches:
    
    Tue May 10 21:49:05 CEST 2005 Dodji Seketeli <dodji@seketeli.org>
    
    applied the following patches:
    
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-29
        2004-06-09 00:09:41 GMT
        updated NEWS file for 0.6.0 [Dodji Seketeli]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-30
        2004-09-20 16:13:02 GMT
        fixed a nasty memory management bug [Dodji Seketeli]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-31
        2005-02-10 21:41:04 GMT
        rm test output upon 'make clean' [Peter Moulder]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-32
        2005-02-13 13:14:16 GMT
        make 'all' target a prerequisite of the 'test' target [Peter Moulder]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-33
        2005-02-13 19:24:25 GMT
        allow building/testing in a directory different from srcdir [Peter Moulder/Dodji Seketeli]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-34
        2005-02-13 19:42:48 GMT
        added better api documentation [Peter Moulder]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-35
        2005-05-05 16:38:07 GMT
        initial port to gtk-doc, switch to automake 1.7 [Sven Herzberg, Dodji Seketeli]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-36
        2005-05-05 16:51:38 GMT
        more gtk-doc stuffs [Dodji Seketeli]
    dodji@gnome.org--xml-style-2004/libcroco--mainline--0.6--patch-37
        2005-05-06 14:20:20 GMT
        typos and c++ compilation fixes [Peter Moulder]

 ChangeLog                                    |  63 +++
 Makefile.am                                  |   7 +-
 autogen.sh                                   |   3 +
 configure.in                                 |   7 +-
 csslint/Makefile.am                          |   1 +
 docs/Makefile.am                             |   2 +-
 docs/reference/Makefile.am                   |  51 +++
 docs/reference/libcroco-docs.sgml            |  39 ++
 docs/reference/tmpl/cr-additional-sel.sgml   | 133 ++++++
 docs/reference/tmpl/cr-attr-sel.sgml         |  81 ++++
 docs/reference/tmpl/cr-cascade.sgml          |  85 ++++
 docs/reference/tmpl/cr-declaration.sgml      | 225 ++++++++++
 docs/reference/tmpl/cr-doc-handler.sgml      | 142 +++++++
 docs/reference/tmpl/cr-enc-handler.sgml      |  54 +++
 docs/reference/tmpl/cr-fonts.sgml            | 287 +++++++++++++
 docs/reference/tmpl/cr-input.sgml            | 371 ++++++++++++++++
 docs/reference/tmpl/cr-num.sgml              |  98 +++++
 docs/reference/tmpl/cr-om-parser.sgml        | 121 ++++++
 docs/reference/tmpl/cr-parser.sgml           | 307 ++++++++++++++
 docs/reference/tmpl/cr-parsing-location.sgml |  80 ++++
 docs/reference/tmpl/cr-prop-list.sgml        | 158 +++++++
 docs/reference/tmpl/cr-pseudo.sgml           |  59 +++
 docs/reference/tmpl/cr-rgb.sgml              | 196 +++++++++
 docs/reference/tmpl/cr-sel-eng.sgml          | 151 +++++++
 docs/reference/tmpl/cr-selector.sgml         | 119 ++++++
 docs/reference/tmpl/cr-simple-sel.sgml       | 111 +++++
 docs/reference/tmpl/cr-statement.sgml        | 613 +++++++++++++++++++++++++++
 docs/reference/tmpl/cr-string.sgml           |  94 ++++
 docs/reference/tmpl/cr-style.sgml            | 266 ++++++++++++
 docs/reference/tmpl/cr-stylesheet.sgml       |  98 +++++
 docs/reference/tmpl/cr-term.sgml             | 207 +++++++++
 docs/reference/tmpl/cr-tknzr.sgml            | 261 ++++++++++++
 docs/reference/tmpl/cr-token.sgml            | 388 +++++++++++++++++
 docs/reference/tmpl/cr-utils.sgml            | 283 +++++++++++++
 docs/reference/tmpl/libcroco-config.sgml     |  37 ++
 docs/reference/tmpl/libcroco.sgml            |  16 +
 gtk-doc.make                                 | 151 +++++++
 src/Makefile.am                              |   2 +-
 src/cr-additional-sel.c                      | 122 ++++--
 src/cr-additional-sel.h                      |  14 -
 src/cr-attr-sel.c                            |  64 +--
 src/cr-attr-sel.h                            |   2 +-
 src/cr-cascade.c                             |  49 ++-
 src/cr-declaration.c                         | 168 +++++---
 src/cr-doc-handler.c                         |  76 ++--
 src/cr-enc-handler.c                         |  35 +-
 src/cr-enc-handler.h                         |   4 +-
 src/cr-fonts.c                               | 191 ++++++++-
 src/cr-input.c                               | 376 +++++++++-------
 src/cr-num.c                                 |  74 ++--
 src/cr-om-parser.c                           | 108 +++--
 src/cr-parser.c                              | 355 ++++++++++------
 src/cr-parsing-location.c                    |  45 +-
 src/cr-prop-list.c                           | 113 +++--
 src/cr-pseudo.c                              |  23 +-
 src/cr-rgb.c                                 | 133 ++++--
 src/cr-sel-eng.c                             |  72 ++--
 src/cr-selector.c                            |  65 ++-
 src/cr-simple-sel.c                          |  44 +-
 src/cr-simple-sel.h                          |   6 +-
 src/cr-statement.c                           | 537 +++++++++++++++--------
 src/cr-statement.h                           |   4 +-
 src/cr-string.h                              |   4 +
 tests/Makefile.am                            |   2 +-
 tests/test-functional-notation.sh            |   3 +-
 tests/test-lots-of-comments.sh               |   3 +-
 tests/test-parsing-location.sh               |   3 +-
 tests/test-prop-ident.sh                     |   7 +-
 tests/test-sel-child-class.sh                |   3 +-
 tests/test-several-media.sh                  |   7 +-
 tests/test-unknown-at-rule.sh                |   7 +-
 tests/test-unknown-at-rule2.sh               |   7 +-
 tests/testctl                                | 138 +++---
 tests/valgrind-version.sh                    |   2 +-
 74 files changed, 7254 insertions(+), 979 deletions(-)

commit 3e0fb4e6acd9b29303384da9242b08c70e4d9add
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Tue Jun 8 23:58:16 2004 +0000

    Updated NEWS file for 0.6.0
    
    2004-06-09  Dodji Seketeli  <dodji@gnome.org>
    
    	    Updated NEWS file for 0.6.0

 ChangeLog |  4 ++++
 NEWS      | 28 ++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

commit ada41f72df45d6f44270d54bc5da6ccb79570ceb
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Tue Jun 8 22:57:27 2004 +0000

    synchronize with libcroco--mainline--0.6--patch-28.
    
    2004-06-09  Dodji Seketeli  <dodji@gnome.org>
    
    	    synchronize with libcroco--mainline--0.6--patch-28.

 ChangeLog                           | 15 +++++++++++++++
 Makefile.am                         | 34 ++++++++++++++++++++++++++++------
 configure.in                        |  7 ++++---
 csslint/Makefile.am                 | 10 +++++-----
 docs/examples/cssom-example-1.c     |  2 +-
 docs/examples/sac-example-1.c       |  2 +-
 docs/examples/sac-example-2.c       |  8 ++++----
 docs/examples/selection-example-1.c |  2 +-
 src/Makefile.am                     |  9 +++++----
 tests/global-vars.sh                | 10 ----------
 tests/global-vars.sh.in             | 10 ++++++++++
 11 files changed, 74 insertions(+), 35 deletions(-)

commit f543f25b62892e6eef5e0a733941a1e3480e02e2
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Mon May 31 20:34:34 2004 +0000

    synchronized with mlview--mainline--0.6--patch-26:
    
    2004-05-31  Dodji Seketeli  <dodji@gnome.org>
    
    	synchronized with mlview--mainline--0.6--patch-26:
    
    	* docs/examples/selection-example-1.c:
    	(print_properties_real):
    	fix some ansi C compilation errors.

 ChangeLog                           | 6 ++++++
 docs/examples/selection-example-1.c | 5 +++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit a9723575a968366bd70f24572d675e6a37947a59
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 29 23:43:19 2004 +0000

    *** empty log message ***

 tests/test-inputs/functional-notation.css | 2 ++
 1 file changed, 2 insertions(+)

commit 324e1473cc7e86bb47c38e06977e6b862efe5464
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat May 29 23:37:28 2004 +0000

    Synchronize with libcroco--mainline--0.6--patch-25.
    
    2004-05-29  Dodji Seketeli  <dodji@gnome.org>
    
    Synchronize with libcroco--mainline--0.6--patch-25.

 ChangeLog                                          | 118 +++++++++++-
 Makefile.am                                        |   2 +-
 csslint/csslint.c                                  |   4 +-
 src/cr-fonts.c                                     | 204 +++++++++++++++++++--
 src/cr-fonts.h                                     |  47 ++++-
 src/cr-num.c                                       |  11 +-
 src/cr-num.h                                       |   3 +-
 src/cr-parser.c                                    |  36 +++-
 src/cr-rgb.c                                       |  72 ++++++--
 src/cr-rgb.h                                       |   9 +-
 src/cr-style.c                                     | 142 +++++++++-----
 src/cr-style.h                                     |  13 +-
 src/cr-stylesheet.c                                |   2 +-
 src/cr-term.c                                      |   6 +-
 src/cr-tknzr.c                                     |  16 +-
 tests/test-functional-notation.sh                  |   6 +
 tests/test-inputs/parsing-location.css             |   1 +
 .../test-output-refs/test-functional-notation.out  |   7 +
 tests/test-output-refs/test-parsing-location.out   |  95 ++++++----
 tests/test4-main.c                                 |   9 +-
 20 files changed, 637 insertions(+), 166 deletions(-)

commit e197a2d61042320dfc40bf663c138867a6120a6b
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 18 19:04:28 2004 +0000

    Changes from arch/CVS synchronization

 src/cr-num.c        | 4 ----
 src/cr-parser.h     | 4 ----
 src/cr-simple-sel.c | 4 ----
 src/cr-statement.h  | 4 ----
 src/cr-stylesheet.c | 4 ----
 tests/test1-main.c  | 4 ----
 tests/test2-main.c  | 4 ----
 tests/test5-main.c  | 4 ----
 8 files changed, 32 deletions(-)

commit a5c838206b713047f62862e6eeb13685fcc8ceaa
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 18 18:49:27 2004 +0000

    added cr-string.[ch]

 src/cr-parsing-location.c | 153 +++++++++++++++++++++++++++++++++++++++++
 src/cr-parsing-location.h |  70 +++++++++++++++++++
 src/cr-string.c           | 168 ++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-string.h           |  72 ++++++++++++++++++++
 src/libcroco-config.h     |  18 -----
 src/libcroco.h            |   1 +
 6 files changed, 464 insertions(+), 18 deletions(-)

commit c4e72e47d271e9ed5561e3dc3c3a95f6bf87cbff
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 18 17:53:05 2004 +0000

    Changes from arch/CVS synchronization

 NEWS                               | 7 +++++--
 tests/Makefile.am                  | 6 +++---
 tests/test-inputs/Makefile.am      | 4 +++-
 tests/test-output-refs/Makefile.am | 1 +
 4 files changed, 12 insertions(+), 6 deletions(-)

commit 6d08258366de84957200071d2ec6aef2c027529c
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 18 15:26:47 2004 +0000

    Changes from arch/CVS synchronization

 ChangeLog                                        |  253 ++++-
 NEWS                                             |   25 +
 configure.in                                     |    4 +-
 csslint/csslint.c                                | 1196 +++++++++++++++-------
 src/Makefile.am                                  |    8 +-
 src/cr-additional-sel.c                          |  132 ++-
 src/cr-additional-sel.h                          |   20 +-
 src/cr-attr-sel.c                                |   43 +-
 src/cr-attr-sel.h                                |   43 +-
 src/cr-declaration.c                             |   68 +-
 src/cr-declaration.h                             |   37 +-
 src/cr-doc-handler.c                             |   32 +-
 src/cr-doc-handler.h                             |   75 +-
 src/cr-fonts.c                                   |   98 +-
 src/cr-fonts.h                                   |   12 +-
 src/cr-input.c                                   |   51 +-
 src/cr-input.h                                   |   16 +-
 src/cr-num.c                                     |   17 +-
 src/cr-num.h                                     |   13 +-
 src/cr-om-parser.c                               |  167 ++-
 src/cr-parser.c                                  |  794 ++++++--------
 src/cr-parser.h                                  |  112 +-
 src/cr-prop-list.c                               |   23 +-
 src/cr-prop-list.h                               |   12 +-
 src/cr-pseudo.c                                  |   29 +-
 src/cr-pseudo.h                                  |   26 +-
 src/cr-rgb.c                                     |   77 +-
 src/cr-rgb.h                                     |    9 +-
 src/cr-sel-eng.c                                 |  626 ++++-------
 src/cr-sel-eng.h                                 |   15 +-
 src/cr-selector.c                                |   14 +-
 src/cr-selector.h                                |   46 +-
 src/cr-simple-sel.c                              |   68 +-
 src/cr-simple-sel.h                              |   42 +-
 src/cr-statement.c                               |  267 +++--
 src/cr-statement.h                               |   34 +-
 src/cr-style.c                                   | 1003 ++++++++++++------
 src/cr-style.h                                   |   35 +-
 src/cr-stylesheet.c                              |    2 +-
 src/cr-term.c                                    |  264 ++++-
 src/cr-term.h                                    |   75 +-
 src/cr-tknzr.c                                   |  695 ++++++++-----
 src/cr-tknzr.h                                   |   94 +-
 src/cr-token.c                                   |   77 +-
 src/cr-token.h                                   |  157 ++-
 src/cr-utils.c                                   |   36 +-
 src/cr-utils.h                                   |    9 +-
 tests/test-inputs/lots-of-comments.css           |  198 ++++
 tests/test-inputs/parsing-location.css           |   25 +
 tests/test-inputs/sel-child-class.css            |    1 +
 tests/test-inputs/sel-child-class.xml            |   10 +
 tests/test-inputs/several-media.css              |   10 +
 tests/test-lots-of-comments.sh                   |    6 +
 tests/test-output-refs/test-lots-of-comments.out |   26 +
 tests/test-output-refs/test-parsing-location.out |  198 ++++
 tests/test-output-refs/test-sel-child-class.out  |    4 +
 tests/test-output-refs/test-several-media.out    |   17 +
 tests/test-output-refs/test4.2.css.out           |    4 +
 tests/test-parsing-location.sh                   |    6 +
 tests/test-sel-child-class.sh                    |    6 +
 tests/test-several-media.sh                      |    6 +
 tests/test2-main.c                               |  141 ++-
 tests/test3-main.c                               |  150 +--
 tests/test4-main.c                               |    4 +-
 64 files changed, 4773 insertions(+), 2990 deletions(-)

commit 5d0671c2a41511e78b60f52ad25ac9748fbfd28a
Author: Thomas Vander Stichele <thomasvs@src.gnome.org>
Date:   Thu Apr 1 09:48:40 2004 +0000

    ignore stuff

 .cvsignore                        | 15 +++++++++++++++
 csslint/.cvsignore                |  3 +++
 docs/.cvsignore                   |  2 ++
 docs/examples/.cvsignore          |  2 ++
 src/.cvsignore                    |  4 ++--
 src/layeng/.cvsignore             |  2 ++
 src/parser/.cvsignore             |  3 +++
 src/seleng/.cvsignore             |  2 ++
 tests/.cvsignore                  |  2 ++
 tests/test-inputs/.cvsignore      |  2 ++
 tests/test-output-refs/.cvsignore |  2 ++
 11 files changed, 37 insertions(+), 2 deletions(-)

commit a5ba7d1ecdb80aeea62b1860dfc8b1e2014f16e8
Author: Dodji <dodji@gnome.org>
Date:   Tue Mar 16 21:23:45 2004 +0000

    0.5 release
    
    2004-03-16  Dodji  <dodji@gnome.org>
    
    0.5 release

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 6f61b537d2b207aedeb8c0cd230522a532550d17
Author: Dodji <dodji@gnome.org>
Date:   Tue Mar 16 21:12:08 2004 +0000

    Merged with libcroco--mainline--0.1--patch-22
    
    2004-03-16  Dodji  <dodji@gnome.org>
    
    Merged with libcroco--mainline--0.1--patch-22

 ChangeLog                           |  10 ++
 croco-config.in                     |   4 +-
 docs/examples/cssom-example-1.c     |  10 +-
 docs/examples/sac-example-1.c       |   5 +-
 docs/examples/sac-example-2.c       |  16 +--
 docs/examples/selection-example-1.c | 267 ++++++++++++++++++++----------------
 src/cr-sel-eng.c                    |  13 +-
 tests/test7-main.c                  | 193 --------------------------
 8 files changed, 179 insertions(+), 339 deletions(-)

commit 722a570bd3d38db5376a81349001d9bbb15e3506
Author: Dodji <dodji@gnome.org>
Date:   Mon Mar 15 22:56:28 2004 +0000

    Merged with libcroco--mainline--0.1--patch-21
    
    2004-03-15  Dodji  <dodji@gnome.org>
    
    Merged with libcroco--mainline--0.1--patch-21

 ChangeLog                 | 32 ++++++++++++++---
 Makefile.am               |  2 +-
 src/cr-fonts.h            | 29 +++++++--------
 src/cr-parser.c           |  5 +--
 src/cr-parser.h           |  3 ++
 src/cr-rgb.c              | 91 +++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-rgb.h              | 19 +++++-----
 src/cr-style.c            | 72 +++++++++----------------------------
 tests/Makefile.am         |  2 +-
 tests/testctl             | 30 +++++++++++++---
 tests/valgrind-version.sh | 48 +++++++++++++++++++++++++
 11 files changed, 239 insertions(+), 94 deletions(-)

commit 934fa2ab35547bc858df7f769ef9a5362272580c
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Mar 13 21:19:05 2004 +0000

    *** empty log message ***

 src/cr-declaration.c                             |   4 +-
 src/cr-doc-handler.c                             |   5 +-
 src/cr-input.c                                   |  21 +-
 src/cr-input.h                                   |   6 +-
 src/cr-om-parser.c                               |  72 ++-
 src/cr-parser.c                                  |  69 +--
 src/cr-parser.h                                  |   6 +-
 src/cr-rgb.c                                     |   9 +-
 src/cr-sel-eng.c                                 |  35 +-
 src/cr-selector.c                                |   2 +-
 src/cr-statement.c                               | 664 +++++++++++++++--------
 src/cr-statement.h                               |  32 +-
 src/cr-stylesheet.c                              |  49 +-
 src/cr-stylesheet.h                              |   8 +-
 src/cr-term.c                                    |  41 +-
 src/cr-term.h                                    |   6 +
 src/cr-tknzr.c                                   | 117 ++--
 src/cr-tknzr.h                                   |   6 +-
 src/cr-token.c                                   |  31 +-
 src/cr-token.h                                   |   6 +-
 src/cr-utils.c                                   |  11 +-
 src/libcroco-config.h                            |   4 +-
 tests/Makefile.am                                |   4 +
 tests/global-vars.sh                             |  10 +
 tests/test-inputs/Makefile.am                    |  13 +-
 tests/test-inputs/prop-vendor-ident.css          |   3 +
 tests/test-inputs/unknown-at-rule.css            |   3 +
 tests/test-inputs/unknown-at-rule2.css           |   3 +
 tests/test-output-refs/Makefile.am               |  26 +-
 tests/test-output-refs/test-prop-ident.out       |   3 +
 tests/test-output-refs/test-unknown-at-rule.out  |   1 +
 tests/test-output-refs/test-unknown-at-rule2.out |   2 +
 tests/test-output-refs/test5.1.css.out           |  28 -
 tests/test-prop-ident.sh                         |   6 +
 tests/test-unknown-at-rule.sh                    |   6 +
 tests/test-unknown-at-rule2.sh                   |   6 +
 tests/test1-main.c                               |   4 +-
 tests/test2-main.c                               |   4 +-
 tests/test4-main.c                               |   5 +-
 tests/test5-main.c                               |   5 +-
 tests/testctl                                    | 120 +++-
 tests/vg.supp                                    |  57 ++
 42 files changed, 973 insertions(+), 540 deletions(-)

commit 14444cb84b875c091d64efb877b6841be5e65141
Author: Dodji <dodji@gnome.org>
Date:   Sat Mar 13 21:18:47 2004 +0000

    ==== merge point of
    
    2004-03-13  Dodji  <dodji@gnome.org>
    
    	* ====
    	    merge point of dodji@gnome.org--xml-style-2004/libcroco--snapshots--0.1--patch-1
    	  ===
    	* configure.in: bumped version number to 0.5 and bumped version-info.
    
    	* src/cr-sel-eng.c,src/cr-stylesheet.c,
    	src/cr-tknzr.c,tests/test5-main.c,tests/testctl:
    	massive mem leaks/corruption killing.
    	* vg.supp: added this to suppress glib normal leaks
    	from the leak report.
    
    2004-03-12  Dodji  <dodji@gnome.org>
    
    	* src/cr-declaration.c,src/cr-doc-handler.c,
    	src/cr-input.[ch],src/cr-parser.c,src/cr-rgb.c,
    	src/cr-selector.c,src/cr-term.c,src/cr-token.c,
    	tests/test1-main.c,tests/test4-main.c: started to kill mem leaks
    	and corruptions.
    
    	* tests/testctl: added the --show-reachable=yes flag to valgrind.
    
    	* tests/testctl: added better valgrind error reporting.
    
    2004-03-11  Dodji  <dodji@gnome.org>
    
    	* Makefile.am: now, tests are to be run by doing "make test".
    	Also, cleans up the previous test output before actually running.
    	* global-vars.sh: added this sh script that sets variable used
    	in all the test sh scripts based on csslint.
    	* test-prop-ident,test-unknown-at-rule,test-unknown-at-rule2:
    	renamed these into *.sh (e.g) test-prop-ident.sh to reflect
    	that it's a shell script, not a test written in C.
    	Also, make these use global-vars.sh
    	* tests/testctl: added a descent valgrind support when runned
    	with like "./testctl run --valgrind" or RUN_VALGRIND=yes ./testctl run.
    	Puts the valgrind logs in valgrind-logs/ and report their presence
    	to the user. This'll help catch mem leaks/corruption at the
    	regression test level.
    	Also make sure to launch ./libs/testblah and not ./testblah which
    	is actually a shell script.
    
    	* tests/testctl: don't activate valgrind tests by default.
    
    2004-03-10  Dodji  <dodji@gnome.org>
    
    	* src/cr-statement.[ch]:
    	(cr_statement_to_string): do not add leading end of lines.
    	* cr-stylesheet.c: added cr_stylesheet_to_string(), handle
    	end of lines between statements here.
    	* tests/test-output-refs/test5.1.css.out: updated non
    	regression tests.
    
    	* tests/testctl: added valgrind support in the non regression
    	tests. I think I still need to improve it to make it detect
    	the errors when there are some, and report it in a consistent
    	way.
    
    	* tests/testctl: added support for tests that gets
    	called without any argument.
    	* tests/* added csslint based non regression tests for proprietary INDENT and
    	unknown at rule.
    
    	* src/cr-utils.c:
    	(cr_utils_ucs1_to_utf8): handle zero length input gently.
    
    	* src/cr-statement.c: finish the coding of the
    	cr_statement_to_string() function and make cr_statement_dump()
    	use it.
    	* src/cr-term.c: merge from libcroco--mainline--0.1
    
    2004-03-09  Dodji  <dodji@gnome.org>
    
    	* src/cr-term.[ch]: applied a patch from Rob BUIS that adds
    	two new methods:
    	(cr_term_get_from_list) and (cr_term_get_from_list).
    
    	* src/cr-statement.c:
              (cr_statement_font_face_rule_to_string): added this method.
              (cr_statement_dump_font_face_rule): make this use the new
              cr_statement_font_face_rule_to_string() function.
            * tests/testctl: update this to exclude .arch-ids from the diffs.
    
    	* src/cr-parser.c,src/cr-tknzr.c: droped the way I was handling
    	the vendor proprietary properties and make sure to parse and IDENT by
    	following css3 rules.
    
    	* src/cr-parser.c:
    	(cr_parser_parse_any_core): semicolon (';') is not part of the 'any'
    	production.
    	(cr_parser_parse_ruleset): consider the case where we have an empty ruleset (e.g 'x{}')
    	* {arch}/=tagging-method: changed this to make objects generation by the
    	compilation accepted by tla.
    
    2004-03-08  Dodji  <dodji@gnome.org>
    
    	* Merged in the following patches:
            => dodji@seketeli.org--2004-xml-style-d/libcroco--dodji-d--0.1--base-0
    	   tag of dodji@gnome.org--xml-style-2004/libcroco--mainline--0.1--base-0
    	=> dodji@seketeli.org--2004-xml-style-d/libcroco--dodji-d--0.1--patch-1
    	   removed useless files.
    
    	* files.txt,dirs.txt: removed these files.
    
    	====starting from here, going upward, we use gnu arch ===

 ChangeLog    | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am  |   6 ++--
 configure.in |   6 ++--
 3 files changed, 113 insertions(+), 6 deletions(-)

commit ac4bea1c6d6ec8f63a43a2547a82406b3670ac90
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Mar 7 17:24:52 2004 +0000

    fixed a memory management bug reported by Rob BUIS.
    
    2004-03-07  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-statement.c:
    (parse_page_start_page_cb) fixed a memory management bug
    reported by Rob BUIS.
    (cr_statement_at_page_rule_to_string): added this new
    helper function.
    (cr_statement_dump_page): make this use
    cr_statement_at_page_rule_to_string().
    * tests/test4-main.c:
    (test_cr_statement_at_page_rule_parse_from_buf): added this
    to start debugging a problem related to @page rule parsing.

 ChangeLog          |  13 +++++++
 src/cr-statement.c | 105 ++++++++++++++++++++++++++++++++++-------------------
 tests/test4-main.c |  34 ++++++++---------
 3 files changed, 96 insertions(+), 56 deletions(-)

commit 94f1a410a3d257124c3131b41ccaa883ccabb9c3
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Mar 7 13:22:49 2004 +0000

    re-indented the source files to make'em comply with gnome indentation
    
    2004-03-07  Dodji Seketeli  <dodji@gnome.org>
    
    * src/*.c: re-indented the source files to make'em comply
    with gnome indentation rules.
    * libcroco-indent: added this indentation script.

 ChangeLog               |    6 +
 libcroco-indent         |  102 +
 src/cr-additional-sel.c |  399 ++--
 src/cr-attr-sel.c       |  187 +-
 src/cr-cascade.c        |  188 +-
 src/cr-declaration.c    | 1109 +++++-----
 src/cr-doc-handler.c    |  173 +-
 src/cr-enc-handler.c    |  175 +-
 src/cr-fonts.c          |  708 +++---
 src/cr-input.c          |  878 ++++----
 src/cr-num.c            |  224 +-
 src/cr-om-parser.c      | 1327 ++++++------
 src/cr-parser.c         | 5533 +++++++++++++++++++++--------------------------
 src/cr-prop-list.c      |  412 ++--
 src/cr-pseudo.c         |  155 +-
 src/cr-rgb.c            |  607 +++---
 src/cr-sel-eng.c        | 1993 ++++++++---------
 src/cr-selector.c       |  347 ++-
 src/cr-simple-sel.c     |  250 +--
 src/cr-statement.c      | 3183 +++++++++++++--------------
 src/cr-style.c          | 3352 +++++++++++++---------------
 src/cr-stylesheet.c     |  101 +-
 src/cr-term.c           |  608 +++---
 src/cr-tknzr.c          | 3087 ++++++++++++--------------
 src/cr-token.c          |  578 +++--
 src/cr-utils.c          | 1792 +++++++--------
 tests/cr-test-utils.c   |   42 +-
 tests/test0-main.c      |  184 +-
 tests/test1-main.c      |  178 +-
 tests/test2-main.c      |  737 +++----
 tests/test3-main.c      |  741 +++----
 tests/test4-main.c      |  559 +++--
 tests/test5-main.c      |  291 ++-
 tests/test6-main.c      |   49 +-
 tests/test7-main.c      |  277 ++-
 35 files changed, 13837 insertions(+), 16695 deletions(-)

commit 9e1a6d35382841cbbaaca9779fe21c3123cc367f
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Mar 7 12:31:24 2004 +0000

    applied a patch from Benjamin Dauvergne to support the "color" property.
    
    2004-03-07  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-style.c: applied a patch from
    Benjamin Dauvergne to support the "color" property.

 ChangeLog      |  5 +++++
 src/cr-style.c | 29 +++++++++++++++++++++--------
 2 files changed, 26 insertions(+), 8 deletions(-)

commit 0d19a60f90378964a7e034dabe62f99cf0d306bd
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Mar 6 23:33:10 2004 +0000

    added this new convenience function.
    
    2004-03-07  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-rgb.[ch]:
    (cr_rgb_compute_from_percentage): added this new convenience
    function.

 ChangeLog    |  5 +++++
 src/cr-rgb.c | 20 ++++++++++++++++++++
 src/cr-rgb.h | 35 ++++++++++++++---------------------
 3 files changed, 39 insertions(+), 21 deletions(-)

commit 9fd0686e5a84f3c62e3a3ce4c11777e4f2050cb7
Author: Dodji <dodji@gnome.org>
Date:   Sat Mar 6 22:49:56 2004 +0000

    when you reach an EOF, don't assume it's an error. Return the already
    
    2004-03-06  Dodji  <dodji@gnome.org>
    
    * src/cr-tknzr.c:
    (cr_tknzr_parse_num): when you reach an EOF, don't assume it's
    an error. Return the already parsed part of the number.
    Next attempt of parsing will result in an
    * tests/test4-main.c: udpated this test the fix made above.
    CR_END_OF_INPUT_ERROR.

 ChangeLog          |  7 ++++++-
 src/cr-parser.c    |  2 +-
 src/cr-term.c      |  1 -
 src/cr-tknzr.c     | 10 +++++++--
 tests/test4-main.c | 59 ++++++++++++++++++++++++++++++++++++++----------------
 5 files changed, 57 insertions(+), 22 deletions(-)

commit 406526f52125bbf6dbf95eee6f01655544a70b24
Author: Dodji <dodji@gnome.org>
Date:   Sat Mar 6 19:04:47 2004 +0000

    reflect the removal of src/parser src/seleng and src/layeng added this new
    
    2004-03-06  Dodji  <dodji@gnome.org>
    
    	* Doxyfile: reflect the removal of src/parser src/seleng and
    	src/layeng
    	* src/cr-declaration.c:
    	(cr_declaration_list_to_string2): added this new method.
    	* src/cr-sel-eng.c: fix a bug in the !important handling
    	in the cascading algorithm.

 ChangeLog            |  9 ++++++
 Doxyfile             |  2 +-
 src/cr-declaration.c | 56 +++++++++++++++++++++++++++++++-
 src/cr-declaration.h | 12 ++++---
 src/cr-sel-eng.c     | 24 +++++++-------
 src/cr-statement.c   | 90 ++++++++++++++++++++++++++++++++++++++++++----------
 src/cr-statement.h   |  4 +--
 7 files changed, 159 insertions(+), 38 deletions(-)

commit 67ae4b95a62651c71d1ea250308e6479aca048f7
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Fri Mar 5 23:41:29 2004 +0000

    applied a patch from Rob BUIS to fix some bugs/memleaks here. Did some
    
    2004-03-06  Dodji Seketeli  <dodji@gnome.org>
    
    * csslint/csslint.c: applied a patch from Rob BUIS
    to fix some bugs/memleaks here.
    Did some cleanups too.
    * src/cr-sel-eng.c:
    (cr_sel_eng_get_matched_rulesets_real):
    handle the case where the sheet is empty (has no rules). That
    can happen ! (it actually happened to me during some tests).
    (put_css_properties_in_props_list):
    handle the !important keyword in the cascading algorithm.
    Rob BUIS (again) started this.

 ChangeLog         | 13 +++++++++++++
 csslint/csslint.c | 41 ++++++++++++++++++++++++++++-------------
 src/cr-sel-eng.c  | 29 ++++++++++++++++++++++++++---
 3 files changed, 67 insertions(+), 16 deletions(-)

commit c2ae0c55befcb725f4d068c9ef8a8f54101b9047
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Mar 4 23:36:04 2004 +0000

    fixed silly bug in there. added the support of the "!important" keyword at
    
    2004-03-05  Dodji Seketeli  <dodji@gnome.org>
    
    * csslint/csslint.c:
    (parse_cmd_line) fixed silly bug in there.
    * src/cr-declaration.[ch],src/cr-om-parser.c,
    src/cr-parser.[ch],src/cr-statement.c,tests/test2-main.c,
    tests/test3-main.c:
    added the support of the "!important"
    keyword at the parsing level.
    * tests/test-inputs/test4.1.css: update nr tests to reflect
    the new !important thing.
    * src/cr-sel-eng.c:
    (put_css_properties_in_props_list): fix a small subtle
    bug in here. Selection engine is becoming more and more
    reliable ;).

 ChangeLog                              |  16 +++
 csslint/csslint.c                      |   1 -
 src/cr-declaration.c                   |  73 +++---------
 src/cr-declaration.h                   |   9 ++
 src/cr-doc-handler.h                   |   8 +-
 src/cr-om-parser.c                     |   8 +-
 src/cr-parser.c                        | 199 +++++++++++++++++----------------
 src/cr-parser.h                        |   6 +-
 src/cr-prop-list.c                     |   2 +-
 src/cr-sel-eng.c                       |  18 ++-
 src/cr-statement.c                     |  35 ++++--
 tests/test-inputs/test4.1.css          |   2 +-
 tests/test-output-refs/test4.1.css.out |   2 +-
 tests/test2-main.c                     |   3 +-
 tests/test3-main.c                     |   3 +-
 15 files changed, 199 insertions(+), 186 deletions(-)

commit 586d0453fb8d672415039b3fef920535e463657e
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Mar 4 00:41:18 2004 +0000

    applied a patch from Kjartan Maraas to replace the g_strup()
    
    2004-03-04  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-enc-handler.c:
    (cr_enc_handler_resolve_enc_alias): applied a patch
    from Kjartan Maraas to replace the g_strup() g_ascii_strup().
    This closes
    * csslint/Makefile.am,src/cr-simple-sel.h,src/cr-term.h
    src/cr-token.h,tests/Makefile.am:
    Applied patch
    http://bugzilla.gnome.org/showattachment.cgi?attach_id=23422.
    Modified the patch a little bit so that I use prog_LDFLAGS instead
    of AM_LDFLAGS. AM_LDFLAGS just seems not to be supported by my
    automake-1.4.
    This fixes http://bugzilla.gnome.org/show_bug.cgi?id=131643 .
    * tests/test-output-refs/test4.2.css.out: updated this non
    regresstion test reference output due to a small modification
    in the @page rule dump format.

 ChangeLog                              | 18 ++++++++++++++++++
 configure.in                           | 25 ++++++-------------------
 csslint/Makefile.am                    |  3 +--
 src/cr-enc-handler.c                   |  2 +-
 src/cr-simple-sel.h                    |  2 +-
 src/cr-term.h                          |  2 +-
 src/cr-token.h                         |  4 ++--
 tests/Makefile.am                      | 12 +++++++++---
 tests/test-output-refs/test4.2.css.out |  2 +-
 9 files changed, 40 insertions(+), 30 deletions(-)

commit 4d573434939be5fd0c05c2aaa172c1a75a5f10a4
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Wed Mar 3 23:07:38 2004 +0000

    put a '\n' after dumping the sheet on screen. fixed a small bug in here.
    
    2004-03-03  Dodji Seketeli  <dodji@gnome.org>
    
    * csslint/csslint.c:
    (cssom_parse) put a '\n' after dumping the sheet on screen.
    * src/cr-parser.c:
    (cr_parser_parse_page): fixed a small bug in here.
    This should fix http://bugzilla.gnome.org/show_bug.cgi?id=136109.
    * src/cr-statement.c:
    (cr_statement_dump_page): added a white space before dumping
    the pseudo part of the @page rule.

 ChangeLog          | 15 +++++++++++++--
 csslint/csslint.c  |  1 +
 src/cr-parser.c    |  3 ++-
 src/cr-statement.c |  2 +-
 4 files changed, 17 insertions(+), 4 deletions(-)

commit eaf5bef62adc36e423af51c223dbaa330f1964d4
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Wed Mar 3 22:14:00 2004 +0000

    added the support of selectors evaluation in csslint. Now, one can do
    
    2004-03-03  Dodji Seketeli  <dodji@gnome.org>
    
    * csslint/csslint.c: added the support of selectors evaluation
    in csslint. Now, one can do csslint --evaluate --xml <an xml file>
    --author-sheet <a-css-sheet> --xpath <an xpath expression> .
    This will show the css properties associated to the xml node(s)
    refered to by the xpath expression.
    * src/cr-declaration.[ch]:
    (cr_declaration_dump_one) added this new api entry to dump
    the first declaration of the declaration list.
    * src/cr-prop-list.c:
    (cr_prop_list_unlink): fixed a stupid bug in there.
    * src/cr-stylesheet.[ch]:
    (cr_stylesheets_nr_rules): there is a typo in this
    function name. Stylesheet's' should not take a leading 's'.
    Changed that into cr_stylesheet_nr_rules().

 ChangeLog            |  19 ++-
 csslint/csslint.c    | 383 ++++++++++++++++++++++++++++++++++++++++++---------
 src/cr-declaration.c |  15 ++
 src/cr-declaration.h |  57 ++++----
 src/cr-prop-list.c   |  12 +-
 src/cr-stylesheet.c  |   4 +-
 src/cr-stylesheet.h  |  21 +--
 7 files changed, 389 insertions(+), 122 deletions(-)

commit c99f0e82f5e6c915be74d8b0b7e9d2f137519e3c
Author: dodji <dodji@gnome.org>
Date:   Mon Mar 1 21:58:53 2004 +0000

    added the (cr_prop_list_unlink) function. put the properties at the end of
    
    2004-03-01  dodji  <dodji@gnome.org>
    
    * src/cr-prop-list.[ch]: added the (cr_prop_list_unlink) function.
    * src/cr-sel-eng.c:
    (put_css_properties_in_props_list): put the properties at the
    end of the properties list built by this function. This is
    necessary to keep the properties declaration order. This order
    is significant for example when you consider short hand
    properties expansion.

 ChangeLog          | 10 ++++++++++
 src/cr-prop-list.c | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-prop-list.h |  3 +++
 src/cr-sel-eng.c   | 33 ++++++++++++++++++++++++---------
 4 files changed, 86 insertions(+), 9 deletions(-)

commit f3b9b7a020e1bda68210adf70a76df7ec1aae4f2
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 17:47:29 2004 +0000

    applied a patch from Rob BUIS that fixes numeros typos. Also adds
    
    2004-02-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-input.c,src/cr-num.c,src/cr-prop-list.[ch],
    src/cr-rgb.c:  applied a patch from Rob BUIS that fixes
    numeros typos. Also adds  G_BEGIN_DECL/G_END_DECL to
    cr-prop-list.h

 ChangeLog          |  7 +++++
 src/cr-input.c     | 84 +++++++++++++++++++++++++++---------------------------
 src/cr-num.c       |  6 ++--
 src/cr-prop-list.c | 10 +++----
 src/cr-prop-list.h |  4 +++
 src/cr-rgb.c       |  8 +++---
 6 files changed, 65 insertions(+), 54 deletions(-)

commit 47fda49984479473eac39c8bee7ec7fd80a76e69
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 16:07:16 2004 +0000

    remove the usage of '...' in switch/case statements as this is not
    
    2004-02-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-rgb.c,src/cr-tknzr.c: remove the usage of '...' in switch/case statements
    as this is not portable across c89 compilers.

 ChangeLog      |  5 +++++
 src/cr-rgb.c   | 48 +++++++++++++++++++++++-------------------------
 src/cr-tknzr.c | 11 ++++++++++-
 3 files changed, 38 insertions(+), 26 deletions(-)

commit 403dc26c95b7d2b3a57eef535d14ff38ab653d7e
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 14:29:40 2004 +0000

    fixed a stupid bug here.
    
    2004-02-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-rgb.c:
    (cr_rgb_set): fixed a stupid bug here.

 ChangeLog    |  5 +++++
 src/cr-rgb.c | 15 +--------------
 2 files changed, 6 insertions(+), 14 deletions(-)

commit ac6a175cddd835cf0e36ad0ffba103fc8cb3a579
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 13:38:27 2004 +0000

    applied a patch of Rob BUIS to add the support of the :lang() pseudo class
    
    2004-02-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-sel-eng.c: applied a patch of Rob BUIS
    to add the support of the :lang() pseudo class using
    the pluggable pseudo class system.
    * tests/test5-main.c,tests/test-inputs/test5.1.css,tests/test-output-refs/test5.1.css.out:
    Updated the non regression tests suite to test the :lang() pseudo
    class.

 ChangeLog                              |  9 ++++++
 src/cr-sel-eng.c                       | 55 ++++++++++++++++++++++++++++++++++
 tests/test-inputs/test5.1.css          |  1 +
 tests/test-output-refs/test5.1.css.out | 11 +++++++
 tests/test5-main.c                     |  1 +
 5 files changed, 77 insertions(+)

commit 6a2cb75412be707fd68b20399e2e1376b10b9f33
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 11:54:43 2004 +0000

    applied a patch from Rob BUIS that provides new apis to manipulate CSS
    
    2004-02-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-statement.[ch],src/cr-stylesheet.[ch]:
    applied a patch from Rob BUIS that provides new apis
    to manipulate CSS statements.

 ChangeLog           |  6 +++++
 src/cr-statement.c  | 73 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-statement.h  | 12 +++++++++
 src/cr-stylesheet.c | 28 ++++++++++++++++++++
 src/cr-stylesheet.h |  6 +++++
 5 files changed, 125 insertions(+)

commit 3ead86bfa0d3c7dd5749649a3ba805a944b33689
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 01:06:28 2004 +0000

    fixed a small bug in here: Always Initialise output function argument !!!.
    
    2004-02-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-sel-eng.c:
    (put_css_properties_in_props_list): fixed a small bug in here:
    Always Initialise output function argument !!!.

 ChangeLog        | 6 ++++++
 src/cr-sel-eng.c | 5 ++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit a2baab08b9a693452eb6c99c4f7a713508df6c2e
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 29 00:18:01 2004 +0000

    Created this new CRPropList class. added this new helper function.
    
    2004-02-29  Dodji Seketeli <dodji@gnome.org>
    
    * src/cr-prop-list.[ch], src/Makefile.am,src/libcroco.h:
    Created this new CRPropList class.
    * src/cr-sel-eng.c:
    (put_css_properties_in_props_list): added this new helper
    function.
    (cr_sel_eng_get_matched_properties_from_cascade):
    Created a new version of this function to make it use
    the new CRPropList instead of a hashtable. Putting
    properties/declaration in a hashtable make us loose
    the "order" in which declarations are present in the
    ruleset. That's why I use a CRPropList instead.
    * src/cr-style.c:
    (cr_style_set_style_from_decl): fix a silly error that
    make border-right and border-top switch.

 ChangeLog          |  17 +++
 configure.in       |   6 +-
 src/Makefile.am    |   5 +-
 src/cr-prop-list.c | 350 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-prop-list.h |  71 +++++++++++
 src/cr-sel-eng.c   | 299 ++++++++++++++++++++++++++++++++++++++++++++-
 src/cr-sel-eng.h   |  20 ++-
 src/cr-style.c     |   4 +-
 src/cr-utils.h     |   7 +-
 src/libcroco.h     |   1 +
 10 files changed, 762 insertions(+), 18 deletions(-)

commit bc9967a6c28413922ad7055fa8257dbbfb6ba8f3
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Feb 26 22:52:38 2004 +0000

    Second (or maybe third) attempt to fix the cascading cascading thing. I
    
    2004-02-26  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-sel-eng.c:
    (cr_sel_eng_get_matched_properties_from_cascade):
    Second (or maybe third) attempt to fix the cascading
    cascading thing. I got *really* confused here.
    I hope it works this time.
    Thanks to to Rob BUIS who reported the bug.
    Off to bed now.

 ChangeLog        | 10 ++++++++++
 src/cr-sel-eng.c | 56 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 41 insertions(+), 25 deletions(-)

commit 38752450093b0cca9f67a5efb540aacf94ad55cb
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Tue Feb 24 22:49:47 2004 +0000

    fixed a parsing bug reported by David A Knight. This should now properly
    
    2004-02-24  Dodji Seketeli <dodji@gnome.org>
    
    * src/cr-parser.c:
    (cr_parser_parse_import): fixed a parsing bug reported
    by David A Knight. This should now properly parse
    sequences of @import rules that without media parts.
    * src/cr-statement.c: (cr_statement_dump_import_rule):
    fixed a serialisation bug here.

 ChangeLog          |  9 +++++++++
 src/cr-parser.c    | 12 +++++-------
 src/cr-statement.c |  2 +-
 3 files changed, 15 insertions(+), 8 deletions(-)

commit fd0c8b8631c68dec29e8438a63e2638ef97ddc32
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Tue Feb 24 22:12:30 2004 +0000

    added the support of vendor specific property names.
    
    2004-02-24  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-parser.c,src/cr-tknzr.c,src/cr-token.[ch]:
    added the support of
    vendor specific property names.

 ChangeLog       |  6 ++++
 src/cr-parser.c | 36 ++++++++++++++++++++++-
 src/cr-tknzr.c  | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/cr-token.c  | 13 +++++++++
 src/cr-token.h  |  6 +++-
 5 files changed, 143 insertions(+), 6 deletions(-)

commit 06909a3577a9e2ef7b17b44bd894490b78cd3b68
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Feb 19 19:16:48 2004 +0000

    Fixed a bug that was "forgetting" all the properties gathered during the
    
    2004-02-19  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-sel-eng.c:
    (cr_sel_eng_get_matched_properties_from_cascade): Fixed a bug
    that was "forgetting" all the properties gathered during the
    cascading algorithm but the last ones.
    * tests/Makefile.am: a bit of cleanup here.

 ChangeLog         | 8 ++++++++
 configure.in      | 6 +++---
 src/cr-sel-eng.c  | 9 +++++----
 tests/Makefile.am | 8 +-------
 4 files changed, 17 insertions(+), 14 deletions(-)

commit 5c693b892418b7b0603037cc508dc8e313ce0046
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Feb 14 13:53:49 2004 +0000

    applied a patch from Rob BUIS<rwlbuis@xs4all.nl> that does a bunch of
    
    2004-02-14  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-declaration.[ch]: applied a patch from
    Rob BUIS<rwlbuis@xs4all.nl> that does a bunch of cleanup and
    fixes. It also adds the new cr_declaration_list_to_string() api
    entry point.
    * AUTHORS: updated this

 AUTHORS              | 12 +++++++++---
 ChangeLog            |  8 ++++++++
 src/cr-declaration.c | 48 +++++++++++++++++++++++++++++++++++++++++++-----
 src/cr-declaration.h |  3 +++
 4 files changed, 63 insertions(+), 8 deletions(-)

commit cb6a50718eeb9ea9ad59fbbd793c44d9d4519860
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Feb 14 00:32:34 2004 +0000

    applied a patch from Rob BUIS<rwlbuis@xs4all.nl> that adds these api entry
    
    2004-02-14  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-declaration.[ch]:
    (cr_declaration_nr_props),
    (cr_declaration_get_from_list),
    (cr_declaration_get_by_prop_name):
    applied a patch from Rob BUIS<rwlbuis@xs4all.nl> that adds
    these api entry points.

 ChangeLog            |  9 ++++++++
 src/cr-declaration.c | 59 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-declaration.h |  9 ++++++++
 3 files changed, 77 insertions(+)

commit 7e0fccbf68db9dc79f502a2c5685718194404d60
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Fri Feb 13 23:08:08 2004 +0000

    when we encounter an EOF right after a ';' don't return an error. fix a
    
    2004-02-13  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-declaration.c:
    (cr_declaration_parse_list_from_buf): when we encounter an EOF
    right after a ';' don't return an error.
    * src/cr-parser.c:
    (CHECK_PARSING_STATUS_ERR): fix a possibly nasty typo.
    (cr_parser_parse_property): when there is an error here,
    return the underlying error instead of returning just CR_PARSING_ERROR.
    (cr_parser_parse_declaration): when we encounter an EOF just at
    the beginning of parsing, return CR_END_OF_INPUT_ERROR instead
    of CR_PARSING_ERROR. More generaly, we should always return
    CR_END_OF_INPUT_ERROR when we encounter that error, and not return
    CR_PARSING_ERROR instead.
    tests/test4-main.c:
    (test_cr_declaration_parse_list): updated this to reflect catch
    trailing ';' at the end of declaration list.

 ChangeLog            | 18 ++++++++++++++++++
 src/cr-declaration.c | 10 ++++++++--
 src/cr-parser.c      | 12 +++++++-----
 tests/test4-main.c   |  6 +++---
 4 files changed, 36 insertions(+), 10 deletions(-)

commit 63f60598e030911846c399c3aab45e0cc8ee2993
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Feb 12 22:49:12 2004 +0000

    added this new api entry point to parse comma separated list of property
    
    2004-02-12  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-declaration.[ch]:
    (cr_declaration_parse_list_from_buf): added this new api entry point
    to parse comma separated list of property declarations.
    * src/cr-parser.c:
    (cr_parser_parse_expr): dont return an error when we encounter EOF immediately
    at the end of an expression.
    (cr_parser_get_tknzr): added this new api entry point to get
    the parser's underlying tokenizer.
    * src/cr-statement.h: fixed a comment here.
    * tests/test4-main.c: wrote a test for the new
    cr_declaration_parse_list_from_buf() function.

 ChangeLog            |  14 +++++++
 src/cr-declaration.c | 116 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-declaration.h |   5 +++
 src/cr-parser.c      |  29 ++++++++++++-
 src/cr-parser.h      |   3 ++
 src/cr-statement.h   |   4 +-
 tests/test4-main.c   |  51 +++++++++++++++++++++-
 7 files changed, 218 insertions(+), 4 deletions(-)

commit e8f702b7cdd74a0be61123c6bf5fae5e0a0587b5
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Wed Feb 11 11:29:54 2004 +0000

    make sure headers go in $prefix/include/libcroco/libcroco .
    
    2004-02-11  Dodji Seketeli  <dodji@gnome.org>
    
    * src/Makefile.am: make sure headers go in $prefix/include/libcroco/libcroco .

 ChangeLog       | 4 ++++
 src/Makefile.am | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 95003e283cdd6aa7ee00a915bba97c9328b451a6
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Tue Feb 10 22:36:27 2004 +0000

    debugged serialization stuffs more serialization debugging
    
    2004-02-10  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-fonts.c: debugged serialization stuffs
    * src/cr-style.c: more serialization debugging

 ChangeLog      |  5 +++++
 src/cr-fonts.c | 33 +++++++++++++++++++++++++--------
 src/cr-style.c | 17 +++++++----------
 3 files changed, 37 insertions(+), 18 deletions(-)

commit 4461454b110febf3d9e704c9254587db27180c75
Author: dodji <dodji@gnome.org>
Date:   Sun Feb 8 19:35:33 2004 +0000

    more style structure debugging materials.
    
    2004-02-08  dodji  <dodji@gnome.org>
    
    * src/cr-style.c: more style structure debugging materials.

 ChangeLog      |  6 +++-
 src/cr-style.c | 93 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 92 insertions(+), 7 deletions(-)

commit 0b9b4326ef8ad446bb4a0d32030289ccea2d994b
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Feb 8 00:25:12 2004 +0000

    more style structure debugging material.
    
    2004-02-08  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-style.c: more style structure debugging material.

 ChangeLog      |  4 ++++
 src/cr-style.c | 48 +++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 47 insertions(+), 5 deletions(-)

commit b4b0cb746513170579d6fe7450fb6cb555cb73b8
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Feb 7 22:46:53 2004 +0000

    In the process of adding style structure debugging facilities.
    
    2004-02-07  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-fonts.[hc],src/cr-num.h,src/cr-style.[ch]:
    In the process of adding style structure debugging facilities.

 ChangeLog        |  10 +
 src/cr-fonts.c   | 266 ++++++++++++++++++++++++++-
 src/cr-fonts.h   |  32 ++--
 src/cr-num.h     |   4 +-
 src/cr-sel-eng.c |   3 +-
 src/cr-style.c   | 550 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/cr-style.h   |  28 ++-
 7 files changed, 866 insertions(+), 27 deletions(-)

commit b10c9b189723585325dee43719540a34f7269ceb
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Jan 29 22:05:14 2004 +0000

    make sure to set the fields of the style structure passed as an argument
    
    2004-01-29  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-sel-eng.c:
    (cr_sel_eng_get_matched_style): make sure to set the fields
    of the style structure passed as an argument of the function, when
    its not NULL.
    * src/cr-style.c:
    (cr_style_set_props_to_defaults): make this function public

 ChangeLog          |   9 +++
 src/cr-cascade.h   |  14 ++--
 src/cr-om-parser.h |  81 +++++++++++------------
 src/cr-sel-eng.c   |   9 ++-
 src/cr-style.c     | 191 +++++++++++++++++++++++++++++------------------------
 src/cr-style.h     |  21 +++---
 6 files changed, 170 insertions(+), 155 deletions(-)

commit 1f1479180cb81ec70c9308c447dfdfd6808a3c17
Author: Gael CHAMOULAUD <strider@gnome.org>
Date:   Tue Jan 27 21:29:39 2004 +0000

    Made smallish cleanup
    
    2004-01-27  Gael CHAMOULAUD  <strider@gnome.org>
    
            * csslint/csslint.c: (csslint_show_version): Made smallish cleanup

 csslint/ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit a89beee94e47af9adf445ff3c77ba626c31145b8
Author: Gael CHAMOULAUD <strider@gnome.org>
Date:   Tue Jan 27 21:28:28 2004 +0000

    Removed the old references with libgnomeui and pango ! Made smallish
    
    2004-01-27  Gael CHAMOULAUD  <strider@gnome.org>
    
            * configure.in: Removed the old references with libgnomeui and pango !
            * csslint/csslint.c: (csslint_show_version): Made smallish cleanup

 ChangeLog         |  5 +++++
 configure.in      |  4 +---
 csslint/csslint.c | 10 ++--------
 3 files changed, 8 insertions(+), 11 deletions(-)

commit c19b67e1766d647188c83129526f582e0848970b
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Tue Jan 27 20:43:18 2004 +0000

    don't forget to set the UA sheet. add void cr_cascade_ref() entry point.
    
    2004-01-27  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-cascade.c:
    (cr_cascade_new) don't forget to set the UA sheet.
    * src/cr-cascade.h: add void cr_cascade_ref() entry point.

 ChangeLog        | 6 ++++++
 src/cr-cascade.c | 2 +-
 src/cr-cascade.h | 8 ++++++--
 3 files changed, 13 insertions(+), 3 deletions(-)

commit 367b863e8ee07c198882f31ea1e3ea94536be45c
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Mon Jan 26 22:45:53 2004 +0000

    COYPRIGHTS: new file added
    
    2004-01-26  Dodji Seketeli  <dodji@gnome.org>
    COYPRIGHTS: new file added

 COPYRIGHTS | 4 ++++
 1 file changed, 4 insertions(+)

commit e308f9a5106738d56a3b0dd01731cc3a92c9dcaf
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Mon Jan 26 22:45:11 2004 +0000

    new convenience function added these new parsing methods.
    
    2004-01-26  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-cascade.[ch]:
    (cr_cascade_ref),(cr_cascade_unref): new convenience function
    * src/cr-om-parser.[ch]:
    (cr_om_parser_parse_paths_to_cascade),
    (cr_om_parser_simply_parse_paths_to_cascade): added these new
    parsing methods.

 ChangeLog          |   8 +++++
 src/cr-cascade.c   |  35 ++++++++++++++++++
 src/cr-cascade.h   |  16 ++++-----
 src/cr-om-parser.c | 102 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/cr-om-parser.h |  28 +++++++++++----
 5 files changed, 174 insertions(+), 15 deletions(-)

commit 88a477f4643dd040e8f0ea5200d2be1541d25dee
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Jan 25 23:17:04 2004 +0000

    added CR_FILE_NOT_FOUND_ERROR to the CRStatus enum.
    
    2004-01-26  Dodji Seketeli  <dodji@gnome.org>
    
    * src/cr-utils.h: added CR_FILE_NOT_FOUND_ERROR to
    the CRStatus enum.

 ChangeLog      | 5 +++++
 src/cr-utils.h | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 86fd0f9f8e9d190843bd9aba8d6425e12b48ad97
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Jan 24 19:34:37 2004 +0000

    updated this to reflect this big change removed this test as it does not
    
    2004-01-24  Dodji Seketeli  <dodji@gnome.org>
    
    * autogen.sh: updated this to reflect this big change
    * tests/test-output-refs/test7.out: removed this test
    as it does not belong to libcroco anymore.

 ChangeLog                        | 3 +++
 autogen.sh                       | 2 +-
 tests/test-output-refs/test7.out | 0
 3 files changed, 4 insertions(+), 1 deletion(-)

commit d058779c836ec6ac56721581dd44d1dd91d3206c
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Jan 24 19:24:08 2004 +0000

    separated the library into two projects. Libcroco is now the combination
    
    2004-01-24  Dodji Seketeli  <dodji@gnome.org>
    
    * all: separated the library into two projects. Libcroco
    is now the combination of the parser and the selection engine.
    A new project is born: sewfox. It is basically the
    xml rendering/layout engine.
    Libcroco now needs libxml2 and glib only.
    Sewfox need libgnomecanvas2.

 ChangeLog                       |   11 +-
 configure.in                    |  188 +-
 csslint/Makefile.am             |   21 +-
 libcroco.pc.in                  |    7 +-
 src/Makefile.am                 |   87 +-
 src/cr-additional-sel.c         |  401 +++
 src/cr-additional-sel.h         |  110 +
 src/cr-attr-sel.c               |  239 ++
 src/cr-attr-sel.h               |   79 +
 src/cr-cascade.c                |  190 ++
 src/cr-cascade.h                |   72 +
 src/cr-declaration.c            |  593 +++++
 src/cr-declaration.h            |  112 +
 src/cr-doc-handler.c            |  244 ++
 src/cr-doc-handler.h            |  287 +++
 src/cr-enc-handler.c            |  194 ++
 src/cr-enc-handler.h            |   96 +
 src/cr-fonts.c                  |  382 +++
 src/cr-fonts.h                  |  276 +++
 src/cr-input.c                  | 1188 +++++++++
 src/cr-input.h                  |  172 ++
 src/cr-num.c                    |  305 +++
 src/cr-num.h                    |  129 +
 src/cr-om-parser.c              | 1089 ++++++++
 src/cr-om-parser.h              |   89 +
 src/cr-parser.c                 | 5194 +++++++++++++++++++++++++++++++++++++++
 src/cr-parser.h                 |  142 ++
 src/cr-pseudo.c                 |  173 ++
 src/cr-pseudo.h                 |   70 +
 src/cr-rgb.c                    |  484 ++++
 src/cr-rgb.h                    |   84 +
 src/cr-sel-eng.c                | 1558 ++++++++++++
 src/cr-sel-eng.h                |  107 +
 src/cr-selector.c               |  304 +++
 src/cr-selector.h               |  105 +
 src/cr-simple-sel.c             |  292 +++
 src/cr-simple-sel.h             |  136 +
 src/cr-statement.c              | 2396 ++++++++++++++++++
 src/cr-statement.h              |  396 +++
 src/cr-style.c                  | 2190 +++++++++++++++++
 src/cr-style.h                  |  284 +++
 src/cr-stylesheet.c             |  122 +
 src/cr-stylesheet.h             |  105 +
 src/cr-term.c                   |  619 +++++
 src/cr-term.h                   |  201 ++
 src/cr-tknzr.c                  | 2851 +++++++++++++++++++++
 src/cr-tknzr.h                  |  137 ++
 src/cr-token.c                  |  674 +++++
 src/cr-token.h                  |  247 ++
 src/cr-utils.c                  | 1492 +++++++++++
 src/cr-utils.h                  |  244 ++
 src/layeng/Makefile.am          |   22 -
 src/layeng/cr-box-view.c        |  778 ------
 src/layeng/cr-box-view.h        |   83 -
 src/layeng/cr-box.c             |  739 ------
 src/layeng/cr-box.h             |  293 ---
 src/layeng/cr-lay-eng.c         | 1844 --------------
 src/layeng/cr-lay-eng.h         |   78 -
 src/libcroco-config.h           |   18 +
 src/libcroco-config.h.in        |   18 +
 src/libcroco.h                  |   41 +-
 src/parser/Makefile.am          |   74 -
 src/parser/cr-additional-sel.c  |  401 ---
 src/parser/cr-additional-sel.h  |  110 -
 src/parser/cr-attr-sel.c        |  239 --
 src/parser/cr-attr-sel.h        |   79 -
 src/parser/cr-cascade.c         |  190 --
 src/parser/cr-cascade.h         |   72 -
 src/parser/cr-declaration.c     |  593 -----
 src/parser/cr-declaration.h     |  112 -
 src/parser/cr-doc-handler.c     |  244 --
 src/parser/cr-doc-handler.h     |  287 ---
 src/parser/cr-enc-handler.c     |  194 --
 src/parser/cr-enc-handler.h     |   96 -
 src/parser/cr-input.c           | 1188 ---------
 src/parser/cr-input.h           |  172 --
 src/parser/cr-num.c             |  305 ---
 src/parser/cr-num.h             |  129 -
 src/parser/cr-om-parser.c       | 1089 --------
 src/parser/cr-om-parser.h       |   89 -
 src/parser/cr-parser.c          | 5194 ---------------------------------------
 src/parser/cr-parser.h          |  142 --
 src/parser/cr-pseudo.c          |  173 --
 src/parser/cr-pseudo.h          |   70 -
 src/parser/cr-rgb.c             |  484 ----
 src/parser/cr-rgb.h             |   84 -
 src/parser/cr-selector.c        |  304 ---
 src/parser/cr-selector.h        |  105 -
 src/parser/cr-simple-sel.c      |  292 ---
 src/parser/cr-simple-sel.h      |  136 -
 src/parser/cr-statement.c       | 2396 ------------------
 src/parser/cr-statement.h       |  396 ---
 src/parser/cr-stylesheet.c      |  122 -
 src/parser/cr-stylesheet.h      |  105 -
 src/parser/cr-term.c            |  619 -----
 src/parser/cr-term.h            |  201 --
 src/parser/cr-tknzr.c           | 2851 ---------------------
 src/parser/cr-tknzr.h           |  137 --
 src/parser/cr-token.c           |  674 -----
 src/parser/cr-token.h           |  247 --
 src/parser/cr-utils.c           | 1492 -----------
 src/parser/cr-utils.h           |  244 --
 src/parser/libcroco-config.h.in |   34 -
 src/seleng/Makefile.am          |   18 -
 src/seleng/cr-fonts.c           |  382 ---
 src/seleng/cr-fonts.h           |  276 ---
 src/seleng/cr-sel-eng.c         | 1558 ------------
 src/seleng/cr-sel-eng.h         |  111 -
 src/seleng/cr-style.c           | 2190 -----------------
 src/seleng/cr-style.h           |  284 ---
 tests/Makefile.am               |   35 +-
 111 files changed, 27021 insertions(+), 31080 deletions(-)

commit a97a943a32d37e1c92aa93e861a28d96f84f2163
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Fri Jan 16 20:32:25 2004 +0000

    applied a patch from Rob BUIS to fix the rwlbuis@xs4all.nl class selector
    
    2004-01-16  Dodji Seketeli  <dodji@gnome.org>
    
    * src/seleng/cr-sel-eng.c: applied a patch from
    Rob BUIS to fix the rwlbuis@xs4all.nl class selector
    evaluation.

 ChangeLog               |  6 ++++++
 src/seleng/cr-sel-eng.c | 25 +++++++++++++++++--------
 2 files changed, 23 insertions(+), 8 deletions(-)

commit dcb6882ea77241bf90dfa4a3e40aa440c8a6e554
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Jan 4 17:52:46 2004 +0000

    fixed a bug spoted by Rob BUIS.
    
    2004-01-04  Dodji Seketeli  <dodji@gnome.org>
    
    * src/parser/cr-declaration.c:
    (cr_declaration_unlin): fixed a bug spoted by
    Rob BUIS.

 ChangeLog                   | 6 ++++++
 src/parser/cr-declaration.c | 4 +++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 0770337b2b35ea9ece19ef37de8efcb9cc828e99
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Dec 27 17:48:12 2003 +0000

    did some fixes/cleanup here. Make sure csslint --help shows a proper help.
    
    2003-12-27  Dodji Seketeli  <dodji@gnome.org>
    
    * csslint/csslint.c: did some fixes/cleanup here.
    Make sure csslint --help shows a proper help.
    * src/parser/cr-statement.c:
    (cr_statement_dump): when a NULL statement is given, do
    not dump anything, instead considering this as an error.
    * src/parser/cr-stylesheet.c:
    (cr_stylesheet_dump): give the possibility to dump
    empty sheets, instead of considering this case as
    an error case.

 ChangeLog                  | 12 ++++++++++++
 csslint/csslint.c          | 14 ++++++++++++--
 src/parser/cr-parser.c     |  5 +++--
 src/parser/cr-statement.c  |  4 +++-
 src/parser/cr-stylesheet.c |  4 ++--
 src/parser/cr-utils.c      |  2 +-
 6 files changed, 33 insertions(+), 8 deletions(-)

commit d502de118110eccf135cca563f8c535759f743e4
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Wed Dec 24 18:56:27 2003 +0000

    some light cosmetic changes. several fixes. Managed to make the pluggable
    
    2003-12-24  Dodji Seketeli  <dodji@gnome.org>
    
    * src/parser/cr-additional-sel.h,src/parser/cr-pseudo.h,
    src/parser/cr-utils.h: some light cosmetic changes.
    * src/seleng/cr-sel-eng.c: several fixes. Managed to
    make the pluggable handler for pseudo class selectors
    evaluation work. Wrote a handler for the ":first-child"
    pseudo class selector. This class is now officially supported.

 ChangeLog                              |   9 ++
 src/parser/cr-additional-sel.h         |   2 +-
 src/parser/cr-pseudo.h                 |   2 +-
 src/parser/cr-utils.h                  |   3 +-
 src/seleng/cr-sel-eng.c                | 174 ++++++++++++++++++++++++++-------
 src/seleng/cr-sel-eng.h                |  87 ++++++++---------
 tests/test-inputs/test5.1.css          |   1 +
 tests/test-output-refs/test5.1.css.out |  21 ++++
 8 files changed, 212 insertions(+), 87 deletions(-)

commit 88c789af79b38f850f91c6e6479c5c6ec432727f
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Wed Dec 24 03:02:49 2003 +0000

    pluggable pseudo class selection evaluation architecture is in place. I
    
    2003-12-24  Dodji Seketeli  <dodji@gnome.org>
    
    * src/seleng/cr-sel-eng.c:
    (pseudo_class_add_sel_matches_node)  pluggable pseudo class selection
    evaluation architecture is in place. I still have to
    writte a real "handle" to handle say ":first-child" pseudo
    class so that I can test/debug the whole code.

 ChangeLog               |  5 +++++
 src/seleng/cr-sel-eng.c | 21 +++++++++++++++++++--
 2 files changed, 24 insertions(+), 2 deletions(-)

commit 825fcd6b90e43ae76d520dc18318984417d22acd
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Wed Dec 24 01:41:30 2003 +0000

    small cosmetic changes. started to work on the support of a pluggable
    
    2003-12-24  Dodji Seketeli  <dodji@gnome.org>
    
    * src/parser/cr-additional-sel.h: small cosmetic changes.
    * src/seleng/cr-sel-eng.c: started to work on the
    support of a pluggable handler for pseudo class selectors
    evaluation. Wrote facilities to register/unregister/lookup
    the handler.

 ChangeLog                      |   8 ++
 src/parser/cr-additional-sel.h |  52 +++++-------
 src/parser/cr-doc-handler.h    |   6 +-
 src/parser/cr-utils.h          |   2 +
 src/seleng/cr-sel-eng.c        | 186 ++++++++++++++++++++++++++++++++++++-----
 src/seleng/cr-sel-eng.h        |  20 +++++
 tests/test7-main.c             |   2 +-
 7 files changed, 220 insertions(+), 56 deletions(-)

commit 62f9f6ec4e2e536e158d8f6effd821e608d9dac7
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Dec 21 09:22:27 2003 +0000

    fixed some typos.
    
    2003-12-21  Dodji Seketeli  <dodji@gnome.org>
    
    * docs/design/parser-architecture.txt: fixed some typos.

 ChangeLog                           | 4 ++++
 docs/design/parser-architecture.txt | 7 +++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 6460e61fb325bcc0f14f245450ae1a7c00096100
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sun Dec 14 15:31:54 2003 +0000

    added a test case for the A + B type of selectors. added added these
    
    2003-12-14  Dodji Seketeli <dodji@gnome.org>
    
    * docs/examples/selection-example-1.c:
    * docs/examples/selection-example-1.xml:
    * docs/examples/selection-example-1.css: added a test case
    for the A + B type of selectors.
     added
    * src/seleng/cr-sel-eng.c:
    (get_next_element_node)
    (get_prev_element_node)
    (get_next_parent_element_node): added these helper functions
    to help ignore non element nodes in the selector matcher.
    (sel_matches_node_real): Do not consider non element nodes
    when evaluating a selector.

 ChangeLog                             | 15 +++++++
 docs/examples/selection-example-1.c   |  2 +-
 docs/examples/selection-example-1.css |  4 ++
 docs/examples/selection-example-1.xml |  4 +-
 src/seleng/cr-sel-eng.c               | 75 +++++++++++++++++++++++++++--------
 tests/test-inputs/test5.1.css         |  1 +
 tests/test5-main.c                    | 13 +++---
 7 files changed, 88 insertions(+), 26 deletions(-)

commit fc3c35e2b52e4146d06d1d4c34989393bfc88b38
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Dec 13 12:46:21 2003 +0000

    *** empty log message ***

 docs/examples/sac-example-1.c |  2 +-
 docs/examples/sac-example-2.c | 33 +++++++++++++++++----------------
 2 files changed, 18 insertions(+), 17 deletions(-)

commit 112185dcc929344595874d967386dac3e76f2b77
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Sat Dec 13 12:46:10 2003 +0000

    ============= 0.4 release ================ updated this. make this compile
    
    2003-12-13  Dodji Seketeli <dodji@gnome.org>
    ============= 0.4 release ================
    	* README: updated this.
    	* docs/examples/sac-example-[12].c: make this compile with
    	g++.

 ChangeLog                       |  5 +++++
 README                          |  8 +++++---
 docs/release-notes-template.txt | 41 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+), 3 deletions(-)

commit 4ca2e13f89429977fed7083e24ac9ac0b03eefbc
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Fri Dec 12 16:29:49 2003 +0000

    added this function to factorise the evaluation of additional selectors.
    
    2003-12-12  Dodji Seketeli <dodji@gnome.org>
    
    * src/seleng/cr-sel-eng.c:
    (additional_selector_matches_node): added this function to
    factorise the evaluation of additional selectors.
    (sel_matches_node_real ): use additional_selector_matches_node().
    This fixes a selector bug spotted by Stefan Seefeld.

 ChangeLog                              |   7 +-
 src/seleng/cr-sel-eng.c                | 122 +++++++++++++++++++++------------
 tests/test-inputs/test5.1.css          |   1 +
 tests/test-output-refs/test5.1.css.out |   5 ++
 4 files changed, 89 insertions(+), 46 deletions(-)

commit 953b643be4a2d4fe4bbf7bed4f5c355d3756be45
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Fri Dec 12 14:22:53 2003 +0000

    a bit of cleanup and bug fix here. added more test cases.
    
    2003-12-12  Dodji Seketeli <dodji@gnome.org>
    
    * docs/examples/selection-example-1.c: a bit of cleanup
    and bug fix here.
    * docs/examples/selection-example-1.css: added more test
    cases.

 ChangeLog                             |  6 ++++++
 docs/examples/selection-example-1.c   | 32 ++++++++++++++++++++++++++------
 docs/examples/selection-example-1.css | 12 +++++++++---
 3 files changed, 41 insertions(+), 9 deletions(-)

commit 754268015a45bbe6df0382a4dba44efaf0ff176a
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu Dec 11 21:14:41 2003 +0000

    removed junked file.
    Dodji.

 docs/examples/report.c   | 0
 docs/examples/report.css | 0
 docs/examples/report.xml | 0
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 61ade384b3856379e82bceba7768762d04a015ef
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Dec 11 21:14:05 2003 +0000

    Fixed more build system stuffs here. Make these compile with g++. another
    
    2003-12-11  Dodji Seketeli <dodji@gnome.org>
    
    * src/layeng/Makefile.am,src/seleng/Makefile.am: Fixed more
    build system stuffs here.
    * docs/examples/cssom-example-1.c,docs/examples/sac-example-1.c: Make these
    compile with g++.
    * src/layeng/Makefile.am: another build system cleanup.
    * docs/examples/selection-example-1.c,docs/examples/selection-example-1.css,
    docs/examples/selection-example-1.xml: added this code example
    from Stefan Seefeld.

 ChangeLog                             |   8 +-
 docs/examples/cssom-example-1.c       |   9 ++-
 docs/examples/report.c                |   0
 docs/examples/report.css              |   0
 docs/examples/report.xml              |   0
 docs/examples/sac-example-1.c         |  18 ++---
 docs/examples/selection-example-1.c   | 140 ++++++++++++++++++++++++++++++++++
 docs/examples/selection-example-1.css |  31 ++++++++
 docs/examples/selection-example-1.xml |  12 +++
 src/layeng/Makefile.am                |   7 +-
 10 files changed, 209 insertions(+), 16 deletions(-)

commit 7da465f33ed5cd06d322eb0cdf174f313a2cf6e6
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Dec 11 16:14:20 2003 +0000

    Fixed more build system stuffs here.
    
    2003-12-11  Dodji Seketeli <dodji@gnome.org>
    
    * src/layeng/Makefile.am,src/seleng/Makefile.am: Fixed more
    build system stuffs here.

 ChangeLog              |  2 ++
 src/layeng/Makefile.am | 15 +++++++--------
 src/seleng/Makefile.am |  9 +++++----
 3 files changed, 14 insertions(+), 12 deletions(-)

commit f34e699a7c8566e76b8e3180429d16799c906881
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Dec 11 14:40:48 2003 +0000

    Provides libcrseleng and libcrlayeng with version info different from the
    
    2003-12-11  Dodji Seketeli <dodji@gnome.org>
    
    * configure.in,src/layeng/Makefile.am,src/seleng/Makefile.am:
    Provides libcrseleng and libcrlayeng with version info
    different from the one of libcroco.

 ChangeLog              |  5 ++++-
 configure.in           | 13 +++++++++++++
 src/layeng/Makefile.am |  2 +-
 src/seleng/Makefile.am |  2 +-
 4 files changed, 19 insertions(+), 3 deletions(-)

commit f1f8ac3f1a3cb2f65a531ceabc4aec8ff5fc5359
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Dec 11 13:45:42 2003 +0000

    big cleanup here. make sure seleng, layeng and tests are disabled by
    
    2003-12-11  Dodji Seketeli <dodji@gnome.org>
    
    * Makefile.am: big cleanup here.
    * configure.in: make sure seleng, layeng and tests are
    disabled by default. Added makefiles in docs/ docs/example
    tests/ tests/test-inputs tests/test-output-refs
    * csslint/Makefile.am: cleaned this up. make sure to add
    seleng,layeng and glib compile flags whenever needed.
    * docs/Makefile.am,docs/examples/Makefile.am: new makefiles.
    * src/libcroco.h: removed references to cr-parser-input.h
    * src/layeng/Makefile.am: cleanup, make distcheck is happier.
    * src/parser/Makefile.am: cleanup, make distcheck is happier.
    * src/parser/cr-doc-handler.h: removed reference to cr-parser-input.h
    * src/parser/cr-layout-eng.h,src/parser/cr-parser-input.h: removed these.
    * src/parser/cr-parser.c:
    (cr_parser_new): fixed a typo here.
    * src/parser/cr-parser.h,src/parser/cr-tknzr.h:
    removed ref to cr-parser-input.h
    * src/seleng/Makefile.am: cleanup, make distcheck is happier.
    * tests/testctl: exclude makefiles when diffing outputs and re
    * outputs.

 ChangeLog                          |  18 +++++
 Makefile.am                        |   6 +-
 configure.in                       |  11 ++-
 csslint/Makefile.am                |   8 +-
 docs/Makefile.am                   |   3 +
 docs/examples/Makefile.am          |   1 +
 src/layeng/Makefile.am             |   4 +-
 src/libcroco.h                     |   1 -
 src/parser/Makefile.am             |  45 ++++++++++-
 src/parser/cr-doc-handler.h        |   2 +-
 src/parser/cr-layout-eng.h         |  44 ----------
 src/parser/cr-parser-input.h       | 162 -------------------------------------
 src/parser/cr-parser.c             |   2 +-
 src/parser/cr-parser.h             |   2 +-
 src/parser/cr-tknzr.h              |   2 +-
 src/seleng/Makefile.am             |   4 +-
 tests/Makefile.am                  |   2 +
 tests/test-inputs/Makefile.am      |  11 +++
 tests/test-output-refs/Makefile.am |  13 +++
 tests/test0-main.c                 |   4 +-
 tests/test1-main.c                 |   4 +-
 tests/testctl                      |   2 +-
 22 files changed, 117 insertions(+), 234 deletions(-)

commit bfc0cf3deb2be5ef8d44715afac960bbe61d0ba3
Author: Dodji Seketeli <dodji@gnome.org>
Date:   Thu Dec 11 10:31:38 2003 +0000

    updated version numbers for 0.4. added this so that the pango dependancy
    
    2003-12-11  Dodji Seketeli <dodji@gnome.org>
    
    * configure.in: updated version numbers for 0.4.
    * src/layeng/cr-lay-eng.[ch]:
    (cr_lay_eng_style_to_pango_font_attribute): added this so
    that the pango dependancy comes into the layout engine.
    * src/parser/cr-parser.c,src/parser/cr-selector.h,
    src/parser/cr-stylesheet.h,src/parser/cr-term.[ch],
    src/parser/cr-utils.h:
    made sure libcroco headers files
    are C++ compilers friendly.
    * src/seleng/Makefile.am: remove pango dependancy from the
    selection engine. Put it in the layout engine.
    * src/seleng/cr-style.[ch]:
    (cr_style_to_pango_font_attributes): removed this function
    from here and put it in src/layeng/cr-lay-eng.[ch]. This way,
    we seleng doesn't depend on pango. Only layout engine does.

 ChangeLog                  |  18 ++++
 configure.in               |   4 +-
 src/layeng/cr-lay-eng.c    | 224 ++++++++++++++++++++++++++++++++++++++++++++-
 src/layeng/cr-lay-eng.h    |   5 +
 src/parser/cr-parser.c     |   4 +-
 src/parser/cr-selector.h   |   5 +-
 src/parser/cr-stylesheet.h |   4 +
 src/parser/cr-term.c       |   2 +-
 src/parser/cr-term.h       |   4 +-
 src/parser/cr-utils.h      |   2 +-
 src/seleng/Makefile.am     |   2 +-
 src/seleng/cr-style.c      | 214 +------------------------------------------
 src/seleng/cr-style.h      |   6 +-
 13 files changed, 264 insertions(+), 230 deletions(-)

commit 9cc84754c2f50204ae658d31a75d15f16e118be6
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sun Aug 17 19:19:24 2003 +0000

    Applied a patch from Michael Culbertson <Michael.J.Culbertson@wheaton.edu>
    
    * src/layeng/cr-lay-eng.c: (layout_block_box):
    * src/seleng/cr-sel-eng.c: (put_css_properties_in_hashtable):
    Applied a patch from Michael Culbertson <Michael.J.Culbertson@wheaton.edu>
    -> Compilation failed with gcc 2.95.4 due to declarations after calls to
    g_return_val_if_fail and the like.

 ChangeLog               | 8 ++++++++
 src/layeng/cr-lay-eng.c | 3 ++-
 src/seleng/cr-sel-eng.c | 4 ++--
 3 files changed, 12 insertions(+), 3 deletions(-)

commit ddff7a9bb96a6ab82baa1996700a2728005d574a
Author: Dodji <dodji@gnome.org>
Date:   Tue Jul 15 18:43:24 2003 +0000

    fixed some stupid error that was making gcc 2.9xxx cry.
    
    2003-07-15  Dodji  <dodji@gnome.org>
    * src/seleng/cr-sel-eng.c (id_add_sel_matches_node):
    fixed some stupid error that was making gcc 2.9xxx cry.
    
    Dodji.

 ChangeLog               | 77 ++++++++++++++++++++++++++-----------------------
 src/seleng/cr-sel-eng.c |  9 +++---
 src/seleng/cr-style.c   |  3 +-
 3 files changed, 47 insertions(+), 42 deletions(-)

commit 7f83dd75c6af58e2cdc7a1c6b6cac9c5561c6536
Author: Christian Fredrik Kalager Schaller <uraeus@src.gnome.org>
Date:   Tue Jul 8 12:06:39 2003 +0000

    updates

 Makefile.am      |   2 +-
 libcroco.spec.in | 104 ++++++++++++++++++++++++++++++-------------------------
 2 files changed, 57 insertions(+), 49 deletions(-)

commit ca92aa182f12990f5ae19483107609b1e1ad8f20
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Mon Jul 7 20:37:05 2003 +0000

    fixed the library versioning breakage I have introduced. This is a 0.3
    
    2003-06-07 Dodji Seketeli <dodji at seketeli dot org>
    * configure.in: fixed the library versioning breakage I have
    introduced.
    This is a 0.3 release commit.
    
    Dodji.

 configure.in             | 7 ++++++-
 src/layeng/cr-box-view.c | 4 ++--
 2 files changed, 8 insertions(+), 3 deletions(-)

commit c7418f6eda2da5515257b8bcebf1b65178be1864
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Sat Jul 5 21:09:27 2003 +0000

    rearranged the enum CRNumProp values.
    
    2003-07-05  Dodji Seketeli  <dodji at seketeli dot org>
    
    * src/seleng/cr-style.h: rearranged the enum CRNumProp values.
    
    * src/seleng/cr-style.c: fixed the border-x:<a number> bug.
    This now support also number and not only symbolic border width
    like thin,thick etc ...
    
    * src/parser/cr-num.c: documented the apis here.
    
    * src/layeng/cr-lay-eng.c: Fixed some subtle bugs and finally implemented
    the width:15% (set percentage to width).
    
    Dodji.

 ChangeLog                |  22 ++++++
 TODO                     |   8 +-
 configure.in             |   4 +-
 src/layeng/cr-box-view.c |   6 +-
 src/layeng/cr-box.h      |   4 +-
 src/layeng/cr-lay-eng.c  | 196 +++++++++++++++++++++++++++++++----------------
 src/parser/cr-num.c      |  32 +++++++-
 src/parser/cr-num.h      |  10 +++
 src/seleng/cr-style.c    |   7 ++
 src/seleng/cr-style.h    |  16 ++--
 tests/test7-main.c       |   6 +-
 11 files changed, 229 insertions(+), 82 deletions(-)

commit d1846a58bffd77f4f0034d5ab5250b601abb7b0e
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 29 20:54:40 2003 +0000

    *** empty log message ***

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 8d398a0d4532dc74b34de6e23557237357ff7a4a
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 29 16:25:28 2003 +0000

    *** empty log message ***

 Makefile.am  | 2 +-
 configure.in | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 39b6b5b30de26737ae7e94136489d4bb10528e88
Author: Dodji Seketeli <dodji seketeli org>
Date:   Sun Jun 29 16:04:43 2003 +0000

    touched all the files because of a time update.
    
    2003-06-29 Dodji Seketeli <dodji seketeli org>
    touched all the files because of a time update.
    
    Dodji.

 configure.in | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit bdda7d5c6bfe5e564f4ddf6c54f2f9cdc50cd855
Author: Dodji Seketeli <dodji () seketeli () org>
Date:   Sun Jun 29 15:24:35 2003 +0000

    configure.in: fixed a tiny typo.
    
    2003-06-29 Dodji Seketeli <dodji () seketeli () org>
    configure.in: fixed a tiny typo.
    
    Dodji.

 configure.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4ac441cc6909d3a288e7e66ca631952a526b253d
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Sun Jun 29 15:14:52 2003 +0000

    updated this test reference output.
    
    2003-06-30  Dodji Seketeli <dodji at seketeli dot org>
    
    * tests/test-output-refs/test4.1.css.out: updated this
    test reference output.
    
    * src/parser/cr-statement.c: fixed a typo that lead to a small
    regression detected by the non regression test suite.
    
    * tests/testctl: made sure no to consider the .cvsignore file
    during the final diff.
    
    * src/layeng/cr-box-view.[ch]: fixed some compiler warnings.
    
    Dodji.

 ChangeLog                              | 15 +++++-
 Makefile.am                            |  2 +-
 src/layeng/cr-box-view.c               | 94 ----------------------------------
 src/layeng/cr-box-view.h               |  5 ++
 src/parser/cr-statement.c              |  1 -
 tests/test-output-refs/test4.1.css.out |  4 ++
 tests/testctl                          |  2 +-
 7 files changed, 25 insertions(+), 98 deletions(-)

commit 34772d8cb6bb3054e0b24c3ac75c49b5f8acb3f0
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sat Jun 28 21:37:37 2003 +0000

    Updated man page csslint.1

 csslint/csslint.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d26d63f65879e0a7154a8f029764ecd96128d0da
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sat Jun 28 20:56:41 2003 +0000

    Added CROCO_LAYENG_ENABLED test in csslint_show_version function.

 ChangeLog         | 5 +++++
 csslint/ChangeLog | 5 +++++
 csslint/csslint.c | 3 +++
 3 files changed, 13 insertions(+)

commit f898e09f7d2e3c057f1d0866d6d44cfb6f7d1c3c
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Thu Jun 26 21:13:26 2003 +0000

    modified this coding example.
    
    2003-06-26 Dodji Seketeli <dodji at seketeli dot org>
    * docs/examples/cssom-example-1.c : modified this coding
    example.
    
    Dodji.

 docs/examples/cssom-example-1.c | 112 ++++++++++++++++++++++++++++++++++++
 docs/examples/cssom-example.c   | 123 ----------------------------------------
 2 files changed, 112 insertions(+), 123 deletions(-)

commit c5c2f5311cb851dc1859ddb00d497929c745a279
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Wed Jun 25 20:27:27 2003 +0000

    added this new file.
    
    2003-06-25 Dodji Seketeli <dodji at seketeli dot org>
    
    * docs/examples/sac-example-2.c: added this new file.
    
    Dodji.

 docs/examples/sac-example-2.c | 348 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 348 insertions(+)

commit fee56f5bf4b0014a5cb817ed09506beba943d1cf
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Wed Jun 25 20:25:55 2003 +0000

    2003-06-25 Dodji Seketeli <dodji at seketeli dot org>

 docs/examples/sac-example-1.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 21117521f55588267f39a331c830edce6837184d
Author: Dodji Seketeli <dodji@spam_sucks.seketeli.org>
Date:   Tue Jun 24 20:44:00 2003 +0000

    More bits on documentation.
    
    2003-06-24 Dodji Seketeli <dodji@spam_sucks.seketeli.org>
    * docs/design/parser-architecture.txt,docs/examples/sac-example-1.c:
      More bits on documentation.
    
    Dodji.

 docs/design/parser-architecture.txt | 66 ++++++++++++++++++-------------------
 docs/examples/sac-example-1.c       | 11 +++++--
 2 files changed, 42 insertions(+), 35 deletions(-)

commit 7f9311a547999871a1051f1c49f6c4610f175147
Author: Dodji Seketeli <dodji 47 seketeli dot org>
Date:   Mon Jun 23 20:38:35 2003 +0000

    mode bits on this the beginning of a code example on how to use the SAC
    
    2003-06-23 Dodji Seketeli <dodji 47 seketeli dot org>
    * docs/design/parser-architecture.txt : mode bits on this
    * the beginning of a code example on how to use the SAC api.
    
    Dodji.

 ChangeLog                           |   4 +
 docs/design/parser-architecture.txt |  15 +--
 docs/examples/sac-example-1.c       | 190 ++++++++++++++++++++++++++++++++++++
 3 files changed, 203 insertions(+), 6 deletions(-)

commit 975b9f0823f4a38d2a7651d497738d7f56e72d67
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Sun Jun 22 21:19:01 2003 +0000

    added parse_font_face_unrecoverable_error_cb(),
    
    2003-06-22  Dodji Seketeli  <dodji at seketeli dot org>
    
    * src/parser/cr-statement.c: added
    parse_font_face_unrecoverable_error_cb(),
    parse_page_unrecoverable_error_cb() ... to handle
    parsing error in the cr_statement_xxx_parse() method.
    These callback method are not called yet.
    
    * src/parser/cr-tknzr.c: made the cr_tknzr_parse_important() look
    somewhat better.
    
    * src/parser/cr-parser.c: fixed some bugs in the parser.
    It does now parse the w3c forward compatible parsing test sheet
    at http://www.w3.org/Style/CSS/Test/CSS1/current/sec71.htm .
    
    * docs/design/parser-architecture.txt: updated this doc.
    A lot more is still needed.
    
    * csslint/csslint.c: fixed some small bugs in csslint. Now, --cssom is
    set by default.
    
    Dodji.

 ChangeLog                           |  21 +++++++
 TODO                                |   8 ++-
 csslint/csslint.c                   |  29 ++++-----
 docs/design/parser-architecture.txt |   6 ++
 src/parser/cr-doc-handler.h         |   3 +-
 src/parser/cr-input.h               |   6 +-
 src/parser/cr-parser.c              |   2 +
 src/parser/cr-statement.c           | 113 ++++++++++++++++++++++++++++++++++--
 src/parser/cr-tknzr.c               |  33 +++++------
 src/parser/cr-tknzr.h               |   8 +++
 10 files changed, 185 insertions(+), 44 deletions(-)

commit efaaa9bded9dbec657fa75cfd04a9cdfdc1b8b02
Author: Dodji Seketeli <dodji at seketeli dot org>
Date:   Sun Jun 22 15:36:08 2003 +0000

    More bits on the parser documentation front.
    
    2003-06-22 Dodji Seketeli <dodji at seketeli dot org>
    
    More bits on the parser documentation front.
    
    Dodji.

 docs/design/parser-architecture.txt | 72 +++++++++++++++++++++++++++++++++++--
 1 file changed, 70 insertions(+), 2 deletions(-)

commit a9864bf9c61c34a7403df508257cca5c30bb50d2
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Sun Jun 22 14:47:14 2003 +0000

    An on going parser architecture document.
    
    2003-06-22 Dodji Seketeli <dodji@seketeli.org>
    An on going parser architecture document.
    
    Dodji.

 docs/design/parser-architecture.txt | 70 +++++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

commit 676a4e811066dd4d98dd4ca83eac7f04b4f3b089
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sat Jun 21 23:07:39 2003 +0000

    Updated man pages

 croco-config.1    | 4 ++--
 csslint/csslint.1 | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit b881f78addafcce26a7d0d29edfcc7232e24edeb
Author: dodji <dodji@seketeli.org>
Date:   Sat Jun 21 12:04:53 2003 +0000

    Changed the prototype of cr_statement_unlink() to harmonize it with
    
    2003-06-21  dodji  <dodji@seketeli.org>
    
    * src/parser/cr-statement.[ch]:
    Changed the prototype of cr_statement_unlink() to
    harmonize it with cr_declaration_unlink().
    
    Dodji.

 ChangeLog                 |  6 +++++
 src/parser/cr-statement.c | 56 +++++++++++++++++++++++++++++++++--------------
 src/parser/cr-statement.h |  4 +---
 3 files changed, 46 insertions(+), 20 deletions(-)

commit 7c01b64f75deca6b18df2e3930144be4128b3e98
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Fri Jun 20 22:08:53 2003 +0000

    added the cr_term_parse_expression_from_buf() function. this is new and
    
    2003-06-20  Dodji Seketeli  <dodji@seketeli.org>
    
    * src/parser/cr-term.[ch]:
    added the  cr_term_parse_expression_from_buf() function.
    this is new and still needs to be tested.
    
    * src/parser/cr-parser.[hc]:
    made cr_parser_parse_expr() public.
    
    * src/parser/cr-declaration.[ch]:
    changed cr_declaration_parse() into
    cr_declaration_parse_parse_from_buf().
    
    Dodji.

 ChangeLog                   |  11 +++
 src/parser/cr-declaration.c |   7 +-
 src/parser/cr-declaration.h |   6 +-
 src/parser/cr-parser.c      | 220 ++++++++++++++++++++++----------------------
 src/parser/cr-parser.h      |   2 +
 src/parser/cr-statement.c   |   2 +
 src/parser/cr-term.c        |  47 ++++++++++
 src/parser/cr-term.h        |   3 +
 tests/test4-main.c          |   4 +-
 9 files changed, 183 insertions(+), 119 deletions(-)

commit a3fc5bcd8c60ade057d7569932fb4c189484dd4f
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Fri Jun 20 20:58:33 2003 +0000

    fixed some typos. added the function
    
    2003-06-20  Dodji Seketeli  <dodji@seketeli.org>
    
    * src/parser/cr-statement.[ch]:
    fixed some typos.
    added the function cr_statement_does_buf_parses_against_core() and
    cr_statement_ruleset_get_declarations().
    
    * src/parser/cr-parser.[ch]:
    made cr_parser_parse_statement_core() public.
    
    * src/parser/cr-om-parser.c:
    fixed a small typo.
    
    * src/parser/cr-declaration.[ch]
    added a new cr_declaration_unlink() function.
    
    Dodji.

 ChangeLog                   |  16 ++++++
 src/parser/cr-declaration.c |  83 ++++++++++++++++++++++++++++++
 src/parser/cr-declaration.h |   8 +--
 src/parser/cr-om-parser.c   |   8 +--
 src/parser/cr-parser.c      | 122 ++++++++++++++++++++++----------------------
 src/parser/cr-parser.h      |   3 ++
 src/parser/cr-statement.c   | 121 ++++++++++++++++++++++++++++++++-----------
 src/parser/cr-statement.h   |  12 +++--
 8 files changed, 272 insertions(+), 101 deletions(-)

commit 97f56f0bfd289fdd3bd586ea13ed93517f8a6d9e
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Thu Jun 19 20:55:30 2003 +0000

    updated this to test cr_statement_parse_from_buf(). It seems to work now.
    
    2003-06-19  Dodji Seketeli  <dodji@seketeli.org>
    
    * tests/test4-main.[ch]: updated this to test
    cr_statement_parse_from_buf(). It seems to work now.
    Still some memleaks to fix.
    
    * src/parser/cr-statement.[ch]:
    some bug fixes in cr_statement_parse_from_buf() +
    added a new cr_statement_at_import_rule_parse_from_buf() method.
    
    Dodji.

 ChangeLog                 |  10 ++++
 TODO                      |   8 ++-
 src/parser/cr-statement.c | 137 ++++++++++++++++++++++++++++++++++++++++------
 src/parser/cr-statement.h |   4 ++
 tests/test4-main.c        | 104 +++++++++++++++++++++++++++++++++++
 5 files changed, 242 insertions(+), 21 deletions(-)

commit 127628a4ae11a60cbf609ae1396345190f9d1129
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Wed Jun 18 19:28:42 2003 +0000

    added cr_statement_font_face_rule_parse_from_buf () . and a generic
    
    2003-06-18  Dodji Seketeli  <dodji@seketeli.org>
    
    	* src/parser/cr-statement.[ch]:
    	added cr_statement_font_face_rule_parse_from_buf () .
    	and a generic cr_statement_parse_from_buf () that knows
    	how to a parse virtually any css2 statement. This needs debugging
    	though.
    
    	* src/parser/cr-parser.c: fixed some possible sigsev
    	that could occur when trying to access a null sac handler.
    
    Dodji.

 ChangeLog                 |   9 ++
 TODO                      |   7 +-
 src/parser/cr-parser.c    |  13 +--
 src/parser/cr-statement.c | 222 +++++++++++++++++++++++++++++++++++++++++++++-
 src/parser/cr-statement.h |  16 +++-
 tests/test4-main.c        |  34 ++++++-
 6 files changed, 286 insertions(+), 15 deletions(-)

commit 28260b0a57917142eaeedd918d7185a80d66ea6b
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Wed Jun 18 14:36:44 2003 +0000

    updated the test routine to test
    
    2003-06-18  Dodji Seketeli  <dodji@seketeli.org>
    
    	* tests/test4-main.c: updated the test routine to test
    	cr_statement_at_charset_rule_parse_from_buf().
    
    	* src/parser/cr-statement.[ch]: added a new
    	cr_statement_at_charset_rule_parse_from_buf() method to
    	to create an "@charset" statement from a buffer text content.
    
    	* src/parser/cr-parser.c:Fixeds a small possibility of memleak
    	in cr_parser_parse_charse()
    Dodji.

 ChangeLog                 | 14 ++++++++++--
 src/parser/cr-parser.c    | 10 ++++++++-
 src/parser/cr-statement.c | 57 ++++++++++++++++++++++++++++++++++++++++++++++-
 src/parser/cr-statement.h |  3 +++
 tests/test4-main.c        | 28 +++++++++++++++++++++++
 5 files changed, 108 insertions(+), 4 deletions(-)

commit 0747aed7f2d145eb7d26f99599bdcdc9498ccc6a
Author: dodji <dodji@seketeli.org>
Date:   Wed Jun 18 12:12:37 2003 +0000

    fixed a small typo in the "@page" rule embedded in gv_at_page_buf.
    
    2003-06-18  dodji  <dodji@seketeli.org>
    
    	* tests/test4-main.c: fixed a small typo in the "@page" rule
    	embedded in gv_at_page_buf.
    
    	* src/parser/cr-parser.c: fixed a small bug in the
    	cr_parser_parse_page () function.
    
    Dodji.

 ChangeLog              | 8 ++++++++
 TODO                   | 2 --
 src/parser/cr-parser.c | 7 +++++--
 tests/test4-main.c     | 2 +-
 4 files changed, 14 insertions(+), 5 deletions(-)

commit a938c19b86709a0c3ea97d2d0090a01861e38236
Author: dodji <dodji@seketeli.org>
Date:   Tue Jun 17 21:50:03 2003 +0000

    added test_cr_statement_at_page_rule_parse () to test the new
    
    2003-06-17  dodji  <dodji@seketeli.org>
    
    	* tests/test4-main.c: added test_cr_statement_at_page_rule_parse ()
    	to test the new cr_statement_at_page_rule_parse_from_buf() function.
    
    	* src/parser/cr-statement.[ch]:
    	added a first version of cr_statement_at_page_rule_parse_from_buf().
    	This doesn't work. I need to debug it first.
    
    Dodji.

 ChangeLog                   |   7 +++
 TODO                        |   2 +-
 src/parser/cr-doc-handler.h |   2 +-
 src/parser/cr-om-parser.c   |   2 -
 src/parser/cr-statement.c   | 140 +++++++++++++++++++++++++++++++++++++++++++-
 src/parser/cr-statement.h   |   4 ++
 tests/test4-main.c          |  30 ++++++++++
 7 files changed, 180 insertions(+), 7 deletions(-)

commit d14f86ba72cde186e4e323f2c7819b82fc0cd3a9
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue Jun 17 15:24:49 2003 +0000

    resuming previous commit.
    Dodji.

 tests/test4-main.c | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit 527c728aeb4957a97a86c6fa558c2f1c057bbcb7
Author: dodji <dodji@seketeli.org>
Date:   Tue Jun 17 15:24:12 2003 +0000

    updated this to test cr_statement_at_media_rule_parse_from_buf().
    
    2003-06-17  dodji  <dodji@seketeli.org>
    
    	* tests/test4-main.c: updated this to test
    	cr_statement_at_media_rule_parse_from_buf().
    
    	* src/parser/cr-statement.[ch]:
    	debuged cr_statement_at_media_rule_parse_from_buf() and the functions
    	it relies on.
    	cr_statement_new_ruleset()=> fixed this so that it properly
    	handles the containing  "@media" rule.
    	cr_statement_new_at_media_rule =>fixed this so that it properly
    	handles the contained rulesets.
    
    Dodji.

 ChangeLog                 | 13 ++++++++++++-
 src/parser/cr-statement.c | 34 ++++++++++++++++++++++++++++++----
 2 files changed, 42 insertions(+), 5 deletions(-)

commit 5d526f8953f29f41d58de76f49314d72e3ccc919
Author: dodji <dodji@seketeli.org>
Date:   Mon Jun 16 23:54:31 2003 +0000

    coded a first version of cr_statement_at_media_rule_parse_from_buf(). This
    
    2003-06-17  dodji  <dodji@seketeli.org>
    
    	* src/parser/cr-statement.[hc]:
    	coded  a first version of cr_statement_at_media_rule_parse_from_buf().
    	This took the writing of a couple a SAC callback. Pfffew, SAC is a rather
    	tedious api. cr_statement_at_media_rule_parse_from_buf() does not
    	work yet, I still have to debug it.
    
    	* src/parser/cr-parser.c: use the new cr_tknzr_peek_byte2 () function
    	in the cr_parser_parse_import() method. This is a cleaner, smaller and
    	faster than the older approach.
    
    	* src/parser/cr-om-parser.c: use the
    	cr_dup_glist_of_string () helper fonction in the
    	start media callback.
    
    	* src/parser/cr-utils.[ch]: fixed some 'const' omissions here also.
    
    	* src/parser/cr-enc-handler.[ch]:
    	fixed some "const" omissions.
    
    2003-06-16  dodji  <dodji@seketeli.org>
    
    	* src/parser/cr-parser.[ch]: cr_parser_parse_charset(),
    	cr_parser_parse_import(), cr_parser_parse_page (),
    	cr_parser_parse_font_face(), cr_parser_parse_media(),
    
    	* src/parser/cr-tknzr.[ch]:
    	added cr_tknzr_peek_byte2() function to export the functionalities
    	of cr_input_peek_byte2().
    
    Dodji.

 ChangeLog                   |   31 +
 TODO                        |    4 +-
 src/parser/cr-enc-handler.h |   12 +-
 src/parser/cr-om-parser.c   |   11 +-
 src/parser/cr-parser.c      | 3525 ++++++++++++++++++++++---------------------
 src/parser/cr-parser.h      |   16 +
 src/parser/cr-statement.c   |  210 ++-
 src/parser/cr-statement.h   |   10 +-
 src/parser/cr-tknzr.c       |   22 +
 src/parser/cr-tknzr.h       |    4 +
 src/parser/cr-utils.c       |   93 +-
 src/parser/cr-utils.h       |   54 +-
 12 files changed, 2158 insertions(+), 1834 deletions(-)

commit 359c7d2721532d0726e0882e178ab057bc046215
Author: dodji <dodji@seketeli.org>
Date:   Sun Jun 15 18:00:31 2003 +0000

    updated this to test the new cr_statement_ruleset_parse_from_buf ()
    
    2003-06-15  dodji  <dodji@seketeli.org>
    
    	* tests/test4-main.c: updated this to test the new
    	cr_statement_ruleset_parse_from_buf () method.
    
    	* src/parser/cr-statement.[ch]:
    	Added a cr_statement_ruleset_parse_from_buf () method. This
    	is based on the changes made in cr-parser.[ch].
    
    	* src/parser/cr-selector.[ch]:
    	added a method cr_selector_parse_from_buf (). This is based
    	on the changes made in cr-parser.[ch].
    
    	* src/parser/cr-parser.[ch]:
    	Some rather important changes occured here ...
    	revisited the way selectors and rulesets are parsed
    	so that one could parse a buffer that contains only a ruleset.
    	A visible implication of this is that cr_parser_parse_selector () and
    	cr_parser_parse_ruleset () become public methods callable independantly.
    	In the past, this was not possible. Only cr_parser_parse_stylesheet ()
    	was public.
    
    	* src/parser/cr-om-parser.c: updated this to comply with the
    	changes made in cr-doc-handler.[ch].
    
    	* src/parser/cr-doc-handler.[ch]:
    	1/ Created an explicitely private field of CRDocHandler
    	to store parsing context, parsing result and any eventually
    	needed private data structure. The privates fields are
    	accessible through getters/setters though.
    	2/ made sure to increment the ref count of each instance
    	of CRDocHandler at instanciation time. This may
    	introduce some memleaks in the working code. I will
    	fix them in next commits.
    
    	* src/parser/cr-declaration.c:
    	(cr_declaration_append2() ): modified this so that
    	we can append declaration to a list of declarations that
    	don't belong to a ruleset.
    
    Dodji.

 ChangeLog                   |  42 +++
 src/layeng/cr-lay-eng.c     |   2 +-
 src/parser/cr-declaration.c |  21 +-
 src/parser/cr-doc-handler.c | 102 ++++++++
 src/parser/cr-doc-handler.h |  34 +--
 src/parser/cr-om-parser.c   | 148 +++++++----
 src/parser/cr-parser.c      | 617 +++++++++++++++++++++++++-------------------
 src/parser/cr-parser.h      |  12 +-
 src/parser/cr-selector.c    |  17 ++
 src/parser/cr-selector.h    |   4 +
 src/parser/cr-statement.c   | 155 ++++++++++-
 src/parser/cr-statement.h   |   4 +
 src/parser/cr-term.h        |   2 +-
 tests/test4-main.c          |  40 ++-
 14 files changed, 841 insertions(+), 359 deletions(-)

commit 8dbe0817ddbf28c4f073447fad72b357f84d49d8
Author: dodji <dodji@seketeli.org>
Date:   Sat Jun 14 13:21:57 2003 +0000

    more fonts selection implementation.
    
    2003-06-14  dodji  <dodji@seketeli.org>
    
    * src/layeng/cr-lay-eng.c, src/seleng/cr-style.[hc]:
    more fonts selection implementation.
    
    * tests/test7-main.c: updated this to test the font selection implem.
    
    Dodji.

 ChangeLog               |   7 ++
 src/layeng/cr-lay-eng.c |  15 ++--
 src/seleng/cr-style.c   | 201 ++++++++++++++++++++++++++++++++++++++++--------
 src/seleng/cr-style.h   |   3 +-
 tests/test7-main.c      |   2 +-
 5 files changed, 186 insertions(+), 42 deletions(-)

commit b85770d0ee4bdfa59c025216637c9c22773ae314
Author: dodji <dodji@seketeli.org>
Date:   Thu Jun 12 22:07:50 2003 +0000

    added pango stuffs. added pango detection. a bit more font selection. a
    
    2003-06-12  dodji  <dodji@seketeli.org>
    
    * src/seleng/Makefile.am: added pango stuffs.
    * configure.in: added pango detection.
    * src/seleng/cr-fonts.c: a bit more font selection.
    * src/layeng/cr-lay-eng.c: a bit more font selection.
    * src/seleng/cr-style.c: font selection code again.
    
    Dodji.

 ChangeLog                   |   8 ++++
 configure.in                |  32 ++++++++++++-
 src/layeng/cr-lay-eng.c     |   6 +++
 src/parser/cr-enc-handler.c |   4 +-
 src/parser/cr-utils.h       |   2 +-
 src/seleng/Makefile.am      |   2 +-
 src/seleng/cr-fonts.c       | 106 ++++++++++++++++++++++++++++++++++++++++++++
 src/seleng/cr-fonts.h       |  10 ++++-
 src/seleng/cr-style.c       | 100 +++++++++++++++++++++++++++++++++++++----
 src/seleng/cr-style.h       |   4 ++
 tests/test7-main.c          |   5 ++-
 11 files changed, 261 insertions(+), 18 deletions(-)

commit 400f3b108f7e00c1a3189fed728581df8ed8dce7
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Jun 9 18:09:44 2003 +0000

    updated this test to test the new cr_declaration_to_string () api.
    
    * tests/test4-main.c: updated this test to test the
    new cr_declaration_to_string () api.
    
    * src/parser/cr-declaration.[ch] (cr_declaration_to_string ()):
    Added this new api to allow the serialisation of css declarations.
    This is not well tested yet, but it works.
    
    Dodji.

 ChangeLog                   |  6 ++++
 src/parser/cr-declaration.c | 72 ++++++++++++++++++++++++++++++++++++++++++++-
 src/parser/cr-declaration.h |  4 +++
 tests/test4-main.c          | 13 ++++++--
 4 files changed, 92 insertions(+), 3 deletions(-)

commit dbe4c464a5e2079fa21f05ad74fe36c93cb64670
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Jun 9 13:45:43 2003 +0000

    fixed a bug that prevented this parsing function to be called outside the
    
    * src/parser/cr-parser.c (cr_parser_parse_declaration):
    fixed a bug that prevented this parsing function to be called outside
    the stylesheet parsing context.
    
    Dodji.

 ChangeLog                   |  4 ++++
 src/parser/cr-declaration.c | 26 +++++++++++++++-----------
 src/parser/cr-parser.c      | 22 ++++++++++++++++++++--
 tests/test4-main.c          | 28 +++++++++++++++++++++++++++-
 4 files changed, 66 insertions(+), 14 deletions(-)

commit aba3d6844be54f028b33c3f4aa66274a35fb1bdc
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 8 20:51:08 2003 +0000

    went forward in the font properties gathering.
    
    * src/seleng/cr-style.[ch]: went forward in the font properties
    gathering.
    
    * src/parser/cr-tknzr.[ch]: fixed some 'const" related compilation
    warnings.
    
    * src/parser/cr-parser.[ch]: exported the declaration parsing api
    so that cr_declaration_parse () can use it.
    
    * src/parser/cr-declaration.[ch]:
    added cr_declaration_parse () api. Not tested yet.
    
    Dodji.

 ChangeLog                   |  12 ++++
 src/parser/cr-declaration.c |  73 ++++++++++++++++++++
 src/parser/cr-declaration.h |   5 ++
 src/parser/cr-num.h         |   2 +-
 src/parser/cr-parser.c      |   6 +-
 src/parser/cr-parser.h      |   6 ++
 src/parser/cr-tknzr.c       |  16 ++---
 src/parser/cr-tknzr.h       |   4 +-
 src/seleng/cr-style.c       | 164 +++++++++++++++++++++++++++++++++++++++++++-
 tests/test7-main.c          |   1 -
 10 files changed, 267 insertions(+), 22 deletions(-)

commit 269fa26e3274b94427877ac8fa1ca3d5a5120ed9
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 8 14:32:06 2003 +0000

    fixed a memory management bug.
    Dodji.

 src/parser/cr-tknzr.c |   6 +-
 tests/test7-main.c    | 235 ++++++++++++++++++--------------------------------
 2 files changed, 86 insertions(+), 155 deletions(-)

commit 68c69198fac3f17204bac75133135456ab8bcf87
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 8 13:48:04 2003 +0000

    *** empty log message ***

 tests/test-inputs/test4.1.css |   3 +
 tests/test7-main.c            | 186 +++++++++++++++++++++---------------------
 2 files changed, 95 insertions(+), 94 deletions(-)

commit b32e88cde3e3fc11e763017fdf6d9e2df0049f49
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 8 13:26:51 2003 +0000

    *** empty log message ***

 tests/test7-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 31715ce170a6141a7764cfacf3d45760d4f4d8bc
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Jun 8 11:47:16 2003 +0000

    updated the test to reflect all the changes that happened today.
    
    * tests/test7-main.c: updated the test to reflect all the changes
    that happened today.
    
    * src/parser/cr-enc-handler.[ch], src/parser/cr-input.[ch],
    src/parser/cr-om-parser.[hc], src/parser/cr-parser.[ch].
    Add the 'const' keyword in to function prototypes.
    
    
    * src/layeng/cr-lay-eng.c:
    (compute_text_box_inner_edge_size ()) revisied this function to
    make it append the text label to it's container so that
    the size of the text label can be computed. I don't know how
    to do this otherwise. I would have liked this not to happen since
    compute_text_box_inner_edge_size () is part of the layout process
    not the rendering process. Now these two processes are much more
    tied than I would like.
    
    * src/layeng/cr-box.c:
    updated the cr_box_to_string () method to make it serialise
    CRBox->inner_edge.max_width for debug purposes.
    
    * src/layeng/cr-box-view.c:
    1/now, the layout code is called
    in the "expose-event" signal callback. Trying to isolate the
    layout from the rendering appears to be too difficult
    if not impossible.
    
    2/created a cr_box_view_new_from_xml_css_bufs () method to create
    a box view directly from a css buffer and an xml buffer.
    
    Dodji.

 ChangeLog                   |  32 +++++++
 src/layeng/cr-box-view.c    | 146 +++++++++++++++++++++++++++++++-
 src/layeng/cr-box-view.h    |   5 +-
 src/layeng/cr-box.c         |   6 ++
 src/layeng/cr-lay-eng.c     |  74 +++++++++++------
 src/layeng/cr-lay-eng.h     |   3 +-
 src/parser/cr-enc-handler.c |   4 +-
 src/parser/cr-enc-handler.h |  90 ++++++++++----------
 src/parser/cr-input.c       |   7 +-
 src/parser/cr-input.h       | 183 ++++++++++++++++++++--------------------
 src/parser/cr-om-parser.c   |   8 +-
 src/parser/cr-om-parser.h   |   8 +-
 src/parser/cr-parser.c      |  12 +--
 src/parser/cr-parser.h      |   9 +-
 tests/test7-main.c          | 197 +++++++++-----------------------------------
 15 files changed, 432 insertions(+), 352 deletions(-)

commit 23e84b5fae4b75a02d5569dd36231be7fd46863c
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Jun 7 13:01:30 2003 +0000

    just added a scrollbar to the croco renderer test window.
    Dodji.

 src/layeng/cr-box-view.c |  2 +-
 tests/test7-main.c       | 13 ++++++++-----
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 0da04c7e6bca421ffe3c812ac13eb3763f0b3922
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue Jun 3 22:00:26 2003 +0000

    created a new xml/css document to bring the test to a broader extend. It
    
    * tests/test7-main.c: created a new xml/css document to bring the test to
    a broader extend. It appeared that libcroco's layout code is
    damned bugged... I am debugging it...
    
    * src/seleng/cr-style.c:changed the default element display property
    to "block" and not "inline" anymore.
    Also made the set_prop_background_color () function support
    hex strings (e.g.: #ffffff or #ee)
    
    * src/parser/cr-rgb.[ch]: added cr_rgb_set_from_hex_str ()
    to support hash (hex) strings (#ffffff or #eee).
    
    * src/parser/cr-num.c:support of fixed/variable length numbers.
    
    * src/layeng/cr-lay-eng.c: a lot of layout fixes.
    
    Dodji.

 ChangeLog               |  19 +++++++
 src/layeng/cr-box.h     |   2 +-
 src/layeng/cr-lay-eng.c | 135 ++++++++++++++++++++++++++++++++++++++++--------
 src/parser/cr-num.c     |  22 +++++++-
 src/parser/cr-num.h     |  16 ++++--
 src/parser/cr-rgb.c     |  79 ++++++++++++++++++++++++++++
 src/parser/cr-rgb.h     |  85 +++++++++++++++---------------
 src/seleng/cr-style.c   |  32 +++++++-----
 tests/test7-main.c      | 102 ++++++++++++++++++++++++++++++++++++
 9 files changed, 410 insertions(+), 82 deletions(-)

commit f12f414671794440d4f6caf3ff7b7b394af8db24
Author: Kang Jeong-Hee <kz@src.gnome.org>
Date:   Sat May 31 15:04:48 2003 +0000

    s/void */gpointer/

 ChangeLog                   | 4 ++++
 src/parser/cr-doc-handler.h | 6 +++---
 src/parser/cr-stylesheet.h  | 4 ++--
 src/parser/cr-term.h        | 2 +-
 src/parser/cr-tknzr.c       | 4 ++--
 src/parser/cr-tknzr.h       | 4 ++--
 6 files changed, 14 insertions(+), 10 deletions(-)

commit d41d084536d38cedb2760b68e8a6f62ddab19e1f
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu May 29 15:16:00 2003 +0000

    more code to gather the 'font-size' property.
    
    Dodji.

 src/parser/cr-num.c   |  16 ++++
 src/parser/cr-num.h   |   3 +
 src/parser/cr-utils.h |   1 +
 src/seleng/cr-fonts.c |  61 +++++++++++++++
 src/seleng/cr-fonts.h |  27 ++++---
 src/seleng/cr-style.c | 202 ++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 300 insertions(+), 10 deletions(-)

commit d49926a0dcf83096619e5201a083787c9caf817e
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed May 28 23:43:24 2003 +0000

    The very trivial fonts related declaration/definitions.
    
    Dodji.

 src/seleng/cr-fonts.c |  66 ++++++++++++++++++
 src/seleng/cr-fonts.h | 185 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/seleng/cr-style.h |  18 +++--
 3 files changed, 265 insertions(+), 4 deletions(-)

commit a83839af64b7db360926551aa4fb617b8a8cf1c6
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue May 27 22:11:45 2003 +0000

    Fixed some silly errors reported by
    Kang Jeong-Hee <keizi@mail.co.kr>.
    
    Dodji.

 TODO                      |  3 +++
 src/parser/cr-statement.c | 11 +++++++++--
 src/parser/cr-statement.h |  8 ++++----
 3 files changed, 16 insertions(+), 6 deletions(-)

commit cf4cbe481c91502d022975d30b40b96ec16080ea
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon May 26 19:41:11 2003 +0000

    Some 'font-family' property gathering code.
    Dodji.

 src/seleng/cr-fonts.c | 149 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/seleng/cr-fonts.h |  78 ++++++++++++++++++++++++++
 src/seleng/cr-style.c | 116 ++++++++++++++++++++++++++++++++++++++-
 src/seleng/cr-style.h |   3 +-
 4 files changed, 343 insertions(+), 3 deletions(-)

commit a02ce77e60ee4ee3ad927709660f07e16c21fc1d
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun May 25 20:28:16 2003 +0000

    beginning of a font selection support.
    Dodji.

 TODO                   | 2 ++
 src/seleng/Makefile.am | 2 +-
 src/seleng/cr-style.h  | 8 ++++++++
 tests/test7-main.c     | 9 ++++++---
 4 files changed, 17 insertions(+), 4 deletions(-)

commit dea5f2b7f1afaf541d3a66a8dbb6c1d08d3dc5f7
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 24 19:59:02 2003 +0000

    updated a small function comment.
    Dodji.

 src/seleng/cr-sel-eng.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit aac885f1ebc4f714db4c4563be61c32c511cc708
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 24 19:56:59 2003 +0000

    fixed another silly bug.
    Dodji.

 src/seleng/cr-sel-eng.c | 200 +++++++++++++++++++++---------------------------
 1 file changed, 89 insertions(+), 111 deletions(-)

commit afa6f234575c36aa90c21ffff46f662c3b083404
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 24 14:03:37 2003 +0000

    fixed a small (but nasty) rendering bug.
    Dodji.

 src/layeng/cr-lay-eng.c | 23 ++++++++++++++---------
 tests/test7-main.c      | 34 +++++++++++++++++++++++++---------
 2 files changed, 39 insertions(+), 18 deletions(-)

commit 309d87add9f2f2bf9f7f1d1083cb4349e731a685
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 24 11:31:00 2003 +0000

    *** empty log message ***

 TODO | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 55eccde6d0fe8667653ed972e3c8f0ec07fe66ac
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 24 10:42:43 2003 +0000

    coded a brand new "style gathering"/cascading subsystem.
    Still have to test/debug it.
    Dodji.

 src/layeng/cr-box.c        |  65 +++++++++++-----------
 src/layeng/cr-lay-eng.c    |  14 ++---
 src/parser/cr-cascade.c    |   4 +-
 src/parser/cr-simple-sel.c |   2 +-
 src/seleng/cr-sel-eng.c    | 131 +++++++++++++--------------------------------
 tests/test7-main.c         |   2 +
 tests/valgrind.log         |  22 --------
 7 files changed, 77 insertions(+), 163 deletions(-)

commit dabb9e03feda740f70aa3ded20ead5b6570ba7d0
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri May 23 08:29:45 2003 +0000

    *** empty log message ***

 src/seleng/cr-sel-eng.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 27dc894605cf50a7118c669e5c9e965928dfc543
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu May 22 21:28:57 2003 +0000

    small api cleanup. Dodji.
    
    small api cleanup.
    Dodji.

 src/seleng/cr-sel-eng.c |  2 +-
 src/seleng/cr-style.c   | 64 -------------------------------------------------
 src/seleng/cr-style.h   |  7 ------
 3 files changed, 1 insertion(+), 72 deletions(-)

commit 09d37b011a016c9a03880761fe22702ab0cc5b64
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu May 22 20:37:51 2003 +0000

    more cascading code.
    Dodji.

 src/seleng/cr-sel-eng.c | 147 +++++++++++++++++++++++++++++++++++++++++-------
 src/seleng/cr-sel-eng.h |   8 +--
 src/seleng/cr-style.c   |  18 ++----
 src/seleng/cr-style.h   |   6 +-
 4 files changed, 140 insertions(+), 39 deletions(-)

commit cae4e767bd87c5b85957667f7fe0690c5f67040b
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed May 21 21:21:28 2003 +0000

    More cascading order computation code.
    Dodji.

 src/parser/cr-selector.h   |  2 +-
 src/parser/cr-simple-sel.c | 58 ++++++++++++++++++++++++++++
 src/parser/cr-simple-sel.h | 14 +++++--
 src/parser/cr-statement.h  |  8 ++++
 src/seleng/cr-sel-eng.c    | 96 +++++++++++++++++++++++++++++++++-------------
 5 files changed, 146 insertions(+), 32 deletions(-)

commit f71b7844c3d8d27d353fb09cddc77a1a4c268aff
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue May 20 20:06:16 2003 +0000

    moved the style files in the selection engine directory.
    Dodji.

 src/layeng/cr-style.c | 1766 ------------------------------------------------
 src/layeng/cr-style.h |  273 --------
 src/seleng/cr-style.c | 1767 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/seleng/cr-style.h |  273 ++++++++
 4 files changed, 2040 insertions(+), 2039 deletions(-)

commit cf0f243f7e99156489019360c062a08d824aed22
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue May 20 20:03:34 2003 +0000

    went forward in the cascading support. I still have a long way to go.
    Dodji.

 TODO                        |  12 +-
 csslint/Makefile.am         |   3 +-
 src/layeng/Makefile.am      |  11 +-
 src/layeng/cr-box-view.c    |  13 ++-
 src/layeng/cr-lay-eng.c     |  90 +--------------
 src/layeng/cr-lay-eng.h     |   7 +-
 src/libcroco.h              |   2 +-
 src/parser/cr-cascade.c     |  23 ++--
 src/parser/cr-cascade.h     |  13 ---
 src/parser/cr-declaration.c |  31 ++++-
 src/parser/cr-declaration.h |  15 ++-
 src/parser/cr-om-parser.c   |  24 ++--
 src/parser/cr-statement.c   |  87 +++++++++++---
 src/parser/cr-statement.h   |  54 +++++++--
 src/parser/cr-stylesheet.h  |  21 ++++
 src/seleng/Makefile.am      |   2 +-
 src/seleng/cr-sel-eng.c     | 270 +++++++++++++++++++++++++++++++++++++++++++-
 src/seleng/cr-sel-eng.h     |  15 ++-
 18 files changed, 507 insertions(+), 186 deletions(-)

commit f1f4a02b4c33ad19773c3152c9408e2dadcd31d1
Author: Kang Jeong-Hee <kz@src.gnome.org>
Date:   Sun May 18 22:37:38 2003 +0000

    typo:s/uril/uri/

 src/parser/cr-parser.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a34b841935e6d58ae79ff0bc93810acbeaa3308
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 17 12:56:37 2003 +0000

    Added the support of "padding" and "margin" shorthand properties.
    Dodji.

 src/layeng/cr-style.c | 132 +++++++++++++++++++++++++++++++++++++++++++++++++-
 tests/test7-main.c    |  13 +++--
 2 files changed, 139 insertions(+), 6 deletions(-)

commit 92ae22451060072a5889506a96457a05a8f167f4
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri May 16 22:18:45 2003 +0000

    went a bit further.
    
    Dodji.

 src/layeng/cr-style.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit bdc23813c9ea9d83e83d078f607d201ec7a472e2
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri May 16 21:54:59 2003 +0000

    *** empty log message ***

 src/layeng/cr-style.c | 16 +++++++++++++---
 tests/test7-main.c    |  2 +-
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 094ceb266da34dc89dbfbb87f6894d8e312d7f77
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri May 16 21:17:25 2003 +0000

    went forward in border-color properties support.
    Dodji.

 configure.in          |  2 +-
 src/layeng/cr-style.c | 60 +++++++++++++++++++++++++++++++++++++++++++--------
 tests/test7-main.c    |  5 ++++-
 3 files changed, 56 insertions(+), 11 deletions(-)

commit ff64733c7b1f0844471d306159a41567216c32e9
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed May 14 21:21:42 2003 +0000

    Fixed a configure related bug:
    Made sure libcroco-config.h contains protected macros.
    Made a big cleanup in the distribution configuration management.
    Dodji.

 Makefile.am                     |  2 --
 configure.in                    | 53 ++++++++++++++++-----------
 csslint/csslint.c               |  8 ++---
 libcroco-config.h.in            | 79 -----------------------------------------
 src/Makefile.am                 |  1 -
 src/libcroco.h                  |  8 ++---
 src/parser/libcroco-config.h.in | 34 ++++++++++++++++++
 src/seleng/cr-sel-eng.h         |  6 ++--
 8 files changed, 78 insertions(+), 113 deletions(-)

commit 9d7bf9e693928be950e1d01104aa0d80de1998c1
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue May 13 21:00:15 2003 +0000

    went forward in the "border" shorthand properties and its sub
    properties ... sitll a long way to go.
    
    Dodji.

 TODO                  |   4 +-
 src/layeng/cr-style.c | 179 ++++++++++++++++++++++++++++++++++++++++++++++++--
 src/parser/cr-rgb.c   | 177 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/parser/cr-rgb.h   |   6 +-
 4 files changed, 358 insertions(+), 8 deletions(-)

commit 865bba1e2dda7d765ded609a6aa66b8f166e4d4a
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon May 12 19:43:56 2003 +0000

    *** empty log message ***

 tests/test7-main.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c8291d730454e07a580942acb042c31cf644d434
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun May 11 17:58:03 2003 +0000

    updated the test to reflect the new supported css2 properties.
    
    * tests/test7-main.c: updated the test to reflect the new supported
    css2 properties.
    
    * src/layeng/cr-style.c:
    (set_prop_border_x_width_from_value ()) debugged this.
    (set_prop_border_x_style_from_value ()) debugged this.
    
    * src/layeng/cr-box-view.c:
    (draw_borders ()) debugged this a lot.
    
    Dodji.

 ChangeLog                | 12 +++++++++
 TODO                     |  6 ++---
 src/layeng/cr-box-view.c | 25 ++++++++++++------
 src/layeng/cr-lay-eng.c  | 12 ++++++++-
 src/layeng/cr-style.c    | 69 ++++++++++++------------------------------------
 tests/test7-main.c       | 19 ++++++++++++-
 6 files changed, 78 insertions(+), 65 deletions(-)

commit 43033af69e4a03c7eb4412b4be354213b87c48af
Author: Kang Jeong-Hee <kz@src.gnome.org>
Date:   Sun May 11 02:57:19 2003 +0000

    .cvsignore added

 tests/test-outputs/.cvsignore | 1 +
 1 file changed, 1 insertion(+)

commit 07dd089c5977631aefdb117c504f6a93dfa30fd2
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue May 6 21:10:39 2003 +0000

    just added a test for the "background-color" property.
    
    * tests/test7-main.c: just added a test for the "background-color"
    property.
    
    * src/layeng/cr-box-view.c:
    (set_color ()) added this function to manage the setting
    of rgb color in an easier way than set_background/foreground().
    (set_border_line_attrs ()) implemented the border-x-color
    property setting in this function. This uses the new set_color ()
    function.
    (draw_padding ()) revisited this function to make it draw
    a padding area that has "background" color.
    
    Dodji.

 ChangeLog                |  15 +++++
 TODO                     |  13 ++--
 src/layeng/cr-box-view.c | 151 +++++++++++++++--------------------------------
 tests/test7-main.c       |   2 +-
 4 files changed, 70 insertions(+), 111 deletions(-)

commit cca5c1f335c380ad6bfcbbc8fe29022b646376d6
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon May 5 22:44:04 2003 +0000

    started to add the support of the "color" and "background-color"
    
    * src/layeng/cr-style.[ch]: started to add the support of
    the "color" and "background-color" properties.
    
    * src/layeng/cr-lay-eng.c:
    (style_specified_2_computed_value()) updated this function to
    compute also the new colors properties (color and background-color).
    
    * src/layeng/cr-box-view.c:
    (set_background_color ())
    (set_foreground_color ())added these functions to set the box
    inner/padding edge color.
    also started to use these two functions to test them.
    
    Dodji.

 ChangeLog                | 15 ++++++++
 TODO                     |  8 ++--
 src/layeng/cr-box-view.c | 89 +++++++++++++++++++++++++++++++++++++++++--
 src/layeng/cr-lay-eng.c  |  6 +++
 src/layeng/cr-style.c    | 99 +++++++++++++++++++++++++++++++++++++++++++-----
 src/layeng/cr-style.h    | 12 +++---
 6 files changed, 208 insertions(+), 21 deletions(-)

commit 80919cfd996be5bc05d4ef2f33022225f7ae0f52
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun May 4 20:42:45 2003 +0000

    small update for debug purposes.
    
    * tests/test7-main.c: small update for debug purposes.
    
    * src/layeng/cr-style.h: cleanup.
    
    * src/layeng/cr-lay-eng.c: put in here what is needed to support
    border-x and border-style-x properties.
    
    * src/layeng/cr-box.[ch]: make CRBoxModel inherits CRBox.
    
    * src/layeng/cr-box-view.c: start to support the border-style-x and
    border-x property. I must test this.
    
    * configure.in: defined a personal environment where I can set
    the CFLAGS I want.
    
    Dodji.

 ChangeLog                |  17 +++
 TODO                     |   8 +-
 configure.in             |  24 +++-
 src/layeng/cr-box-view.c | 314 +++++++++++++++++++++++++++++++++--------------
 src/layeng/cr-box-view.h |   8 +-
 src/layeng/cr-box.c      | 149 ++++++++++++++++------
 src/layeng/cr-box.h      |  12 +-
 src/layeng/cr-lay-eng.c  |  53 +++++++-
 src/layeng/cr-style.c    |   6 +-
 src/layeng/cr-style.h    |  61 +--------
 tests/test7-main.c       |  11 +-
 11 files changed, 450 insertions(+), 213 deletions(-)

commit a37a2fa4612807c2db3b83d2fa658f90a387c850
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat May 3 14:08:20 2003 +0000

    ) fixed a small bug in here.
    
    * src/parser/cr-tknzr.c:
    (cr_tknzr_get_next_token ()) fixed a small bug in here.
    
    * src/layeng/cr-style.[ch]:
    Deeply Modified the layout of the CRStyle structure for
    1/group all numerical properties together in a table.
    2/group all color (rgb) properties together in another table.
    3/group all border style properties together in another table.
    That way, accessing those properties is more efficient.
    4/make sure that each properties can have 3 values:
    specified, computed and actual value as specified by the css2 spec.
    (I doubt actuall value is usefull
    here though).
    Modified the file to make this be coherent again.
    
    * src/layeng/cr-lay-eng.c :
    Made this coherent after the change of the CRStyle structure.
    
    (normalize_num ()):created this function to
    normalize numerical properties.
    (style_specified_2_computed_values ):
    new function to computed css2 "computed values" from specified values.
    This is required by the css2 spec in chap 6.1.
    (create_box_tree_real): updated this to make it call
    style_specified_2_computed_values () before actually building the box.
    
    Dodji.

 ChangeLog               |  28 ++++
 src/layeng/cr-lay-eng.c | 409 +++++++++++++++++++++++++++++++++++++++++------
 src/layeng/cr-style.c   | 412 +++++++++++++++++++++++++-----------------------
 src/layeng/cr-style.h   | 190 +++++++++++++++++-----
 src/parser/cr-tknzr.c   |   2 +-
 5 files changed, 762 insertions(+), 279 deletions(-)

commit b47fd11c9ed73f70b8621bedb3213f7b1f63af31
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Apr 30 15:09:45 2003 +0000

    fixed #111895 Dodji.
    
    * configure.in, csslint/Makefile.am, src/parser/Makefile.am, src/seleng/Makefile.am, src/layeng/Makefile.am:
    fixed #111895
    Dodji.

 ChangeLog              |  5 +++++
 configure.in           |  8 ++++++--
 csslint/Makefile.am    | 18 ++++++++++++++----
 src/layeng/Makefile.am |  6 +++---
 src/parser/Makefile.am |  6 ++++--
 src/seleng/Makefile.am |  2 +-
 6 files changed, 33 insertions(+), 12 deletions(-)

commit 96eb828324586686a9aa9bb4a0765e3542499d7f
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 27 17:51:56 2003 +0000

    woohoo, this now shows some text. Okay, it is a crappy design sketch, but
    
    * tests/test7-main.c: woohoo, this now shows some text.
    Okay, it is a crappy design sketch, but this is a milestone.
    
    * src/layeng/cr-lay-eng.c: store the created label widget in the cache.
    box content cache.
    * src/layeng/cr-box.h:created a box content cache to store the label
    widget used to calculate text box size.
    
    * src/layeng/cr-box-view.[hc]: made this simpler and manage to
    make it show someting on the screen. Now the box view
    is just the view port. To render the box model, we just walk thru it
    and draw each box in the box view.
    
    Dodji.

 ChangeLog                |  16 +++
 TODO                     |   4 +-
 src/layeng/cr-box-view.c | 359 +++++++++++++++++++++++++++++++++++++++++++----
 src/layeng/cr-box-view.h |  12 +-
 src/layeng/cr-box.h      |   9 ++
 src/layeng/cr-lay-eng.c  |   7 +-
 tests/test7-main.c       |   3 +-
 7 files changed, 368 insertions(+), 42 deletions(-)

commit 22b9b463920820a76ddf1798e4f223e9bfbd1225
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Apr 26 18:38:34 2003 +0000

    *** empty log message ***

 ChangeLog | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit d70ed384bcd09752686cae7175a42d263dbc8026
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Apr 26 18:38:19 2003 +0000

    *configure.in: made sure to include the libgnomeui clflags and
     libsflags to croco libs and croco cflags when the layeng is turned
     on.
    *csslint/Makefile.am: made sure to use the CROCO_LIBS and CROCO_CLFAGS
     variables.
    *src/libcroco.h: added the cr-box-view.h include file
    *src/layeng/cr-box-view.c: started to write a draw_box() function that
     will draw the box tree on the screen.
    *src/layeng/cr-lay-eng.c: removed the adjust_edges_on_inner_edge () function.
    *tests/Makefile.am: made sure to include libgnomeui clfags and libs
     when layeng is turned on.
    *tests/test7-main.c: made started to include a cr-box-view.c test.

 configure.in             | 21 ++++++++------
 csslint/Makefile.am      |  4 +--
 src/layeng/cr-box-view.c | 52 +++++++++++++++++++++++++++++++++--
 src/layeng/cr-lay-eng.c  | 55 -------------------------------------
 src/libcroco.h           |  1 +
 tests/Makefile.am        |  9 ++++--
 tests/test7-main.c       | 71 ++++++++++++++++++++++++++++++++++++++++++++++--
 7 files changed, 140 insertions(+), 73 deletions(-)

commit b90bc24a0646bbc8163b66bc5231dc787a61ccae
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri Apr 25 14:45:09 2003 +0000

    fixed a bug in box model code. went forward on the layout front. test7
    
    * src/layeng/cr-box.c: fixed a bug in box model code.
    * src/layeng/cr-lay-eng.c: went forward on the layout front. test7
      seems to behave a bit better now.
    
    Dodji.

 src/layeng/cr-box.c     |   2 +-
 src/layeng/cr-lay-eng.c | 178 +++++++++++++++++++++++++++---------------------
 2 files changed, 102 insertions(+), 78 deletions(-)

commit e2fd7a2946bb620ce68f81420e0208b7e01721c0
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu Apr 24 23:34:53 2003 +0000

    more layout code. Dodji.
    
    more layout code.
    Dodji.

 TODO                    |  9 ++---
 src/layeng/cr-box.c     | 45 +++++++++++++++++++++++--
 src/layeng/cr-box.h     |  4 ++-
 src/layeng/cr-lay-eng.c | 89 +++++++++++++++++++++++++++++++++++++++++++------
 src/layeng/cr-lay-eng.h |  9 ++---
 tests/test7-main.c      | 24 ++++++-------
 6 files changed, 146 insertions(+), 34 deletions(-)

commit ceaf9a68cda3374bbbabd1019db7d4d590500355
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Apr 23 20:47:26 2003 +0000

    more box-view code.

 src/layeng/cr-box-view.c | 77 +++++++++++++++++++++++++++++++++++++++++++++++-
 src/layeng/cr-box-view.h |  9 +++++-
 src/layeng/cr-box.c      | 40 +++++++++++++++++++++++++
 src/layeng/cr-box.h      | 27 +++++++++++++++--
 4 files changed, 149 insertions(+), 4 deletions(-)

commit a69162c29f53e62cabe09460230887fe9aa434f5
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Apr 23 14:57:11 2003 +0000

    started to write the CRBoxView widget.
    Dodji.

 src/layeng/Makefile.am   |   2 +-
 src/layeng/cr-box-view.c | 136 +++++++++++++++++++++++++++++++++++++++++++++++
 src/layeng/cr-box-view.h |  29 +++++++---
 3 files changed, 160 insertions(+), 7 deletions(-)

commit f18a6bed7d5f6e1ed5bde510a58efad6308daf7e
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Apr 21 18:05:14 2003 +0000

    *Doxyfile: fixed a small bug due to the new source tree layout.
    *src/parser/cr-input.c, src/parser/cr-token.c: killed a memleak .
    Dodji

 Doxyfile                 |   2 +-
 src/layeng/cr-box-view.h |  61 ++++++++++++++++
 src/parser/cr-input.c    | 176 +++--------------------------------------------
 src/parser/cr-token.c    |  70 +++++++++----------
 tests/vg                 |   2 +-
 5 files changed, 107 insertions(+), 204 deletions(-)

commit c3728eba9873805b8e259b6f1a567c9d7697e566
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 20 21:04:14 2003 +0000

    updated the test7 code to see the layout in action.
    
    * tests/test7-main.c: updated the test7 code to see the layout in
    action.
    
    * src/layeng/cr-style.[ch]: just modified some rule
    names for convenience.
    
    * src/layeng/cr-lay-eng.[ch]:
    when forward in normal flow layout code. Have now very basic layout code.
    Still have to write a canvas code to render the layed out box.
    
    * src/layeng/cr-lay-eng.c (compute_text_box_inner_edge_size): started to work on the
    the inner edge size computation based on pango.
    
    * src/layeng/Makefile.am: updated to compile/link against libgnomeui.
    
    * configure.in: updated it to test the presence
    of libgnomeui if and only if the layout engine is enabled.
    
    Dodji.

 ChangeLog               |  14 +-
 configure.in            |   2 +-
 src/layeng/cr-lay-eng.c | 704 +++++++++++++++++++++++++++++++++---------------
 src/layeng/cr-lay-eng.h |  16 +-
 src/layeng/cr-style.c   |  24 +-
 src/layeng/cr-style.h   |   8 +-
 tests/test7-main.c      |  16 +-
 7 files changed, 530 insertions(+), 254 deletions(-)

commit 027b78631bd098f9ed1d2b074ab5cb344eaf7dac
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 20 14:30:47 2003 +0000

    when forward in normal flow layout code.
    
    * src/layeng/cr-lay-eng.c (cr_lay_eng_layout_box_normal):
    when forward in normal flow layout code.
    
    * src/layeng/cr-lay-eng.c (compute_text_box_inner_edge_size): started to work on the
    the inner edge size computation based on pango.
    
    * src/layeng/Makefile.am: updated to compile/link against libgnomeui.
    * configure.in: updated it to test the presence
    of libgnomeui if and only if the layout engine is enabled.

 ChangeLog               |  11 ++++
 configure.in            |  25 ++++++++-
 libcroco-config.h.in    |   3 +
 src/layeng/Makefile.am  |   4 +-
 src/layeng/cr-lay-eng.c | 146 +++++++++++++++++++++++++++++++++++++++++++++++-
 5 files changed, 184 insertions(+), 5 deletions(-)

commit 519d70b11709cc73bee6994cf9ff379c4824913b
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Apr 15 09:02:19 2003 +0000

    Change _DATA to _HEADERS for header
    
    2003-04-15  Alexander Larsson  <alexl@redhat.com>
    
    	* Makefile.am:
    	Change _DATA to _HEADERS for header
    
    	* src/Makefile.am:
    	Only use filename for _HEADERS.
    	remove libcroco-config.h from _HEADERS

 ChangeLog       | 9 +++++++++
 Makefile.am     | 2 +-
 src/Makefile.am | 3 +--
 3 files changed, 11 insertions(+), 3 deletions(-)

commit c54d0948db7f30fd06b97d146dc1e4db6be13c40
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Apr 12 16:55:17 2003 +0000

    a big tree cleanup to organised the sources component-wise.
    Dodji.

 ChangeLog                     | 12 ++++++++++++
 autogen.sh                    |  2 +-
 configure.in                  | 31 ++++++++++++++++++++++++++++---
 csslint/Makefile.am           |  5 ++++-
 docs/examples/cssom-example.c |  3 ++-
 libcroco.spec.in              |  2 +-
 tests/Makefile.am             | 14 +++++++++++++-
 7 files changed, 61 insertions(+), 8 deletions(-)

commit 17114030e0e37f93682c903dd818da1f0e2e6f6b
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Apr 12 16:50:32 2003 +0000

    big tree layout cleanup.
    Dodji.

 src/Makefile.am                |   44 +-
 src/cr-additional-sel.c        |  401 ----
 src/cr-additional-sel.h        |  120 -
 src/cr-attr-sel.c              |  239 --
 src/cr-attr-sel.h              |   79 -
 src/cr-box.c                   |  584 -----
 src/cr-box.h                   |  247 --
 src/cr-cascade.c               |  191 --
 src/cr-cascade.h               |   85 -
 src/cr-declaration.c           |  338 ---
 src/cr-declaration.h           |   88 -
 src/cr-doc-handler.c           |  142 --
 src/cr-doc-handler.h           |  284 ---
 src/cr-enc-handler.c           |  194 --
 src/cr-enc-handler.h           |  100 -
 src/cr-input.c                 | 1345 -----------
 src/cr-input.h                 |  171 --
 src/cr-lay-eng.c               |  614 -----
 src/cr-lay-eng.h               |   64 -
 src/cr-num.c                   |  239 --
 src/cr-num.h                   |  106 -
 src/cr-om-parser.c             | 1038 --------
 src/cr-om-parser.h             |   89 -
 src/cr-parser-input.h          |  162 --
 src/cr-parser.c                | 5073 ----------------------------------------
 src/cr-parser.h                |  110 -
 src/cr-pseudo.c                |  173 --
 src/cr-pseudo.h                |   70 -
 src/cr-rgb.c                   |  228 --
 src/cr-rgb.h                   |   81 -
 src/cr-sel-eng.c               |  944 --------
 src/cr-sel-eng.h               |   90 -
 src/cr-selector.c              |  287 ---
 src/cr-selector.h              |  100 -
 src/cr-simple-sel.c            |  234 --
 src/cr-simple-sel.h            |  130 -
 src/cr-statement.c             | 1284 ----------
 src/cr-statement.h             |  327 ---
 src/cr-style.c                 | 1349 -----------
 src/cr-style.h                 |  212 --
 src/cr-stylesheet.c            |  122 -
 src/cr-stylesheet.h            |   80 -
 src/cr-term.c                  |  572 -----
 src/cr-term.h                  |  198 --
 src/cr-tknzr.c                 | 2844 ----------------------
 src/cr-tknzr.h                 |  125 -
 src/cr-token.c                 |  674 ------
 src/cr-token.h                 |  247 --
 src/cr-utils.c                 | 1449 ------------
 src/cr-utils.h                 |  222 --
 src/layeng/Makefile.am         |   17 +
 src/layeng/cr-box.c            |  584 +++++
 src/layeng/cr-box.h            |  247 ++
 src/layeng/cr-lay-eng.c        |  701 ++++++
 src/layeng/cr-lay-eng.h        |   70 +
 src/layeng/cr-style.c          | 1349 +++++++++++
 src/layeng/cr-style.h          |  212 ++
 src/libcroco.h                 |   41 +-
 src/parser/Makefile.am         |   35 +
 src/parser/cr-additional-sel.c |  401 ++++
 src/parser/cr-additional-sel.h |  120 +
 src/parser/cr-attr-sel.c       |  239 ++
 src/parser/cr-attr-sel.h       |   79 +
 src/parser/cr-cascade.c        |  191 ++
 src/parser/cr-cascade.h        |   85 +
 src/parser/cr-declaration.c    |  338 +++
 src/parser/cr-declaration.h    |   88 +
 src/parser/cr-doc-handler.c    |  142 ++
 src/parser/cr-doc-handler.h    |  284 +++
 src/parser/cr-enc-handler.c    |  194 ++
 src/parser/cr-enc-handler.h    |  100 +
 src/parser/cr-input.c          | 1345 +++++++++++
 src/parser/cr-input.h          |  171 ++
 src/parser/cr-layout-eng.h     |   44 +
 src/parser/cr-num.c            |  239 ++
 src/parser/cr-num.h            |  106 +
 src/parser/cr-om-parser.c      | 1038 ++++++++
 src/parser/cr-om-parser.h      |   89 +
 src/parser/cr-parser-input.h   |  162 ++
 src/parser/cr-parser.c         | 5073 ++++++++++++++++++++++++++++++++++++++++
 src/parser/cr-parser.h         |  110 +
 src/parser/cr-pseudo.c         |  173 ++
 src/parser/cr-pseudo.h         |   70 +
 src/parser/cr-rgb.c            |  228 ++
 src/parser/cr-rgb.h            |   81 +
 src/parser/cr-selector.c       |  287 +++
 src/parser/cr-selector.h       |  100 +
 src/parser/cr-simple-sel.c     |  234 ++
 src/parser/cr-simple-sel.h     |  130 +
 src/parser/cr-statement.c      | 1284 ++++++++++
 src/parser/cr-statement.h      |  327 +++
 src/parser/cr-stylesheet.c     |  122 +
 src/parser/cr-stylesheet.h     |   80 +
 src/parser/cr-term.c           |  572 +++++
 src/parser/cr-term.h           |  198 ++
 src/parser/cr-tknzr.c          | 2844 ++++++++++++++++++++++
 src/parser/cr-tknzr.h          |  125 +
 src/parser/cr-token.c          |  674 ++++++
 src/parser/cr-token.h          |  247 ++
 src/parser/cr-utils.c          | 1449 ++++++++++++
 src/parser/cr-utils.h          |  222 ++
 src/seleng/Makefile.am         |   17 +
 src/seleng/cr-sel-eng.c        |  875 +++++++
 src/seleng/cr-sel-eng.h        |   83 +
 104 files changed, 24298 insertions(+), 24207 deletions(-)

commit 4f5560ef67d35121d1087aee9b5e34dece012d8a
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Apr 9 21:53:30 2003 +0000

    mode box debug code.
    Dodji.

 src/cr-box.c     | 266 ++++++-------------------------------------------------
 src/cr-box.h     |   4 +-
 src/cr-lay-eng.c | 258 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 280 insertions(+), 248 deletions(-)

commit 96e9f81e26159f1a51c577a0ecc056bb7f60feff
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Apr 9 06:35:34 2003 +0000

    fixed a small bug in the box tree handling code.
    Dodji.

 src/cr-box.c | 3 +++
 1 file changed, 3 insertions(+)

commit a5306cbd8d78129aa11a254afafa4aaeb7e68d3b
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue Apr 8 21:08:48 2003 +0000

    more box dumping cosmetics.
    Dodji.

 src/cr-box.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f5afed3647bc587c4cc0a2242f654c597f9b157f
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue Apr 8 20:16:13 2003 +0000

    more box debuging code.
    Dodji.

 src/cr-box.c       | 167 +++++++++++++++++++++++++++++++++++++++++------------
 src/cr-box.h       |   5 ++
 src/cr-lay-eng.c   |   2 +-
 src/cr-utils.c     |   4 +-
 tests/test7-main.c |   7 +++
 5 files changed, 145 insertions(+), 40 deletions(-)

commit dca3db5e31dec3000f198514a596ce0fd13e48ed
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Apr 7 20:36:38 2003 +0000

    started to write a box model debuging code.
    Dodji.

 TODO             |   5 +-
 src/cr-box.c     | 137 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/cr-box.h     |   9 ++--
 src/cr-lay-eng.c |  92 ++++++++++++++++++++++++++++++++++++-
 src/cr-style.c   |  42 ++++++++++++++++-
 src/cr-style.h   |   5 +-
 src/cr-utils.c   |  13 ++++++
 src/cr-utils.h   |   8 +++-
 8 files changed, 295 insertions(+), 16 deletions(-)

commit 78e9ee7b8999c8e7472781be38cd8f364c3a6eaa
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 6 21:35:20 2003 +0000

    some small cleanups.
    Dodji.

 src/cr-tknzr.c | 754 +--------------------------------------------------------
 1 file changed, 11 insertions(+), 743 deletions(-)

commit 918f2bf667915b4a1a3f10d3e8b06dbef2aec44f
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 6 21:26:22 2003 +0000

    more layout code. Dodji.
    
    more layout code.
    Dodji.

 TODO             |   4 +-
 src/cr-box.c     | 137 ++++++++++++++++++++++++++++++++++++++++++++-----------
 src/cr-box.h     |   8 +++-
 src/cr-lay-eng.c | 120 ++++++++++++++++++++++++++++++------------------
 4 files changed, 197 insertions(+), 72 deletions(-)

commit dddeb36e495830343ccf863df5f047876ced265e
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 6 19:39:30 2003 +0000

    more layout code. Dodji.
    
    more layout code.
    Dodji.

 TODO         |  5 +++--
 src/cr-box.c | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 63 insertions(+), 7 deletions(-)

commit 80426c4c72e47192a12b0a97140d81d78aa15338
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 6 16:25:32 2003 +0000

    a bit more layout code.
    Dodji.

 src/cr-box.c | 138 +++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 102 insertions(+), 36 deletions(-)

commit 357c9ee917baa52a729e63c3ef7afc3dadd54871
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Apr 6 15:07:51 2003 +0000

    went forward in writing the design sketch of the box model.
    Dodji.

 MAINTAINERS        |   1 +
 configure.in       |   4 +-
 src/cr-box.c       | 231 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/cr-box.h       |  42 ++++++++--
 src/cr-lay-eng.c   | 230 +++++++++++++++++++++++-----------------------------
 src/cr-lay-eng.h   |  11 ++-
 src/cr-statement.h |  18 ++++-
 src/cr-style.c     |  30 +++++--
 src/cr-style.h     |   4 +
 src/cr-utils.h     |   1 +
 tests/test7-main.c |  18 +++--
 11 files changed, 429 insertions(+), 161 deletions(-)

commit eba379c94259c58af09e5c387c097af9abcd33d3
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri Apr 4 18:44:35 2003 +0000

    updated the reference output of the non regression tests.
    Dodji.

 Makefile.am                            | 3 +++
 tests/test-output-refs/test2.1.css.out | 1 -
 tests/test-output-refs/test2.2.css.out | 1 -
 tests/test-output-refs/test2.css.out   | 1 -
 tests/test-output-refs/test3.1.css.out | 1 -
 tests/test-output-refs/test3.2.css.out | 1 -
 tests/test-output-refs/test3.css.out   | 1 -
 tests/test-output-refs/test4.1.css.out | 3 +--
 tests/test-output-refs/test4.2.css.out | 3 +--
 tests/test-output-refs/test6.out       | 3 +--
 tests/test-output-refs/test7.out       | 2 --
 11 files changed, 6 insertions(+), 14 deletions(-)

commit ad375152790f50661a3c5d57832526f0971175ee
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri Apr 4 17:58:47 2003 +0000

    cr-token.h: applied a patch from applied a patch from Greg Lee <greg@ling.lll.hawaii.edu>,
    which solves a compilation error under gcc 2.95.3.
    Dodji.

 AUTHORS              |   8 +-
 ChangeLog            |   8 ++
 configure.in         |   2 +-
 src/cr-declaration.c |   2 +-
 src/cr-parser.c      |  94 +++++++--------
 src/cr-tknzr.c       |  18 +--
 src/cr-token.c       |  54 ++++-----
 src/cr-token.h       | 320 +++++++++++++++++++++++++--------------------------
 8 files changed, 257 insertions(+), 249 deletions(-)

commit 3b7d9f10818a0cb4e70864f8d1a5ecbf7ba3e0b0
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu Apr 3 06:54:40 2003 +0000

    more work on the test framework.
    made sure to build rpms via a new "make rpm" target.
    Dodji.

 ChangeLog            |  14 +++++
 Makefile.am          |  14 ++++-
 configure.in         |  28 ++++++---
 libcroco-config.h.in |   3 +
 libcroco.spec.in     |  25 ++++----
 tests/test4-main.c   |   2 +-
 tests/testctl        | 146 ++++++++++++++++++++++++++++++++++----------
 tests/valgrind.log   | 166 +++++++--------------------------------------------
 tests/vg             |  11 +++-
 9 files changed, 208 insertions(+), 201 deletions(-)

commit 9ea5d95b1149270cb7277ec1d83a78d0018190dd
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Apr 2 06:07:31 2003 +0000

    added the non regression tests reference output file into cvs.
    Dodji.

 tests/test-output-refs/test0.1.css.out |    1 +
 tests/test-output-refs/test1.css.out   |  314 +++
 tests/test-output-refs/test2.1.css.out |  139 ++
 tests/test-output-refs/test2.2.css.out | 3329 ++++++++++++++++++++++++++++++++
 tests/test-output-refs/test2.css.out   |   64 +
 tests/test-output-refs/test3.1.css.out |    1 +
 tests/test-output-refs/test3.2.css.out |    1 +
 tests/test-output-refs/test3.css.out   |    1 +
 tests/test-output-refs/test4.1.css.out |  763 ++++++++
 tests/test-output-refs/test4.2.css.out |   21 +
 tests/test-output-refs/test5.1.css.out |   96 +
 tests/test-output-refs/test6.out       |    9 +
 tests/test-output-refs/test7.out       |    2 +
 13 files changed, 4741 insertions(+)

commit 06ed4be29dcc62e62cb9626262ab5e8664b99d92
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Wed Apr 2 05:53:17 2003 +0000

    Updated man page

 csslint/ChangeLog |  4 ++++
 csslint/csslint.1 | 19 +++++++++++++++++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit 88088eb1a774f95b8ed372899da5db66be2cc9cc
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Wed Apr 2 05:51:54 2003 +0000

    Updated the man page

 ChangeLog      |  5 +++++
 croco-config.1 | 11 +++++++++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 2be8913dcd95577023913e7a1bc331a10b70d5ac
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue Apr 1 21:41:06 2003 +0000

    Went forward on the testctl front.
    Can now run non regression tests and get simple ok/ko report.
    Dodji.

 tests/test2-main.c |   6 +-
 tests/test3-main.c |   6 +-
 tests/test4-main.c |   7 +-
 tests/test5-main.c |   8 +--
 tests/test6-main.c |   6 +-
 tests/test7-main.c |   6 +-
 tests/testctl      | 202 +++++++++++++++++++++++++++++++++++++----------------
 7 files changed, 149 insertions(+), 92 deletions(-)

commit bbd278d70458559b8aa323e0494d2673898caf7d
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Mar 31 21:58:34 2003 +0000

    started went forward on the test annotated tree building front.
    started to write the non regression test launcher.
    Dodji.

 ChangeLog                      |  24 ++
 TODO                           |   6 +-
 autogen.sh                     |   2 +-
 configure.in                   |  26 +-
 croco-config.1                 |   9 +-
 src/cr-doc-handler.h           |  17 +-
 src/cr-lay-eng.c               | 184 +++++++++-
 src/cr-lay-eng.h               |  19 +-
 src/cr-num.h                   |   3 +-
 src/cr-om-parser.c             |  84 +++++
 src/cr-om-parser.h             |  11 +
 src/cr-parser.c                |  43 ++-
 src/cr-rgb.c                   |  67 +++-
 src/cr-rgb.h                   |  12 +-
 src/cr-sel-eng.c               |  50 ++-
 src/cr-sel-eng.h               |   1 +
 src/cr-style.c                 | 124 ++++++-
 src/cr-style.h                 |   8 +
 src/libcroco.h                 |   8 +-
 tests/Makefile.am              |  23 +-
 tests/test-outputs/test4.1.out | 762 -----------------------------------------
 tests/test7-main.c             | 155 +++++++++
 tests/testctl                  | 166 +++++++++
 23 files changed, 965 insertions(+), 839 deletions(-)

commit f60e5d31e6e03bb0d75e4618b8f8adcde6dbc8ce
Author: Christian Schaller <Uraeus@gnome.org>
Date:   Sun Mar 30 15:03:19 2003 +0000

    - Misc. buildfixes and added spec.in file
    
    2003-30-03 Christian Schaller <Uraeus@gnome.org>
    - Misc. buildfixes and added spec.in file

 ChangeLog           |   6 +
 Makefile.am         |   2 +-
 csslint/Makefile.am |   2 +
 csslint/Makefile.in | 419 ----------------------------------------------------
 libcroco.spec.in    |  71 +++++++++
 5 files changed, 80 insertions(+), 420 deletions(-)

commit 23c856bd6bd7a5bee2c81cef5218633dc91fc0c0
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Mar 29 15:07:21 2003 +0000

    *** empty log message ***

 tests/more | 189 -------------------------------------------------------------
 1 file changed, 189 deletions(-)

commit 0d5d4e57a3b091909b11a8a5a8fbb85236ac94c2
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Mar 29 15:05:36 2003 +0000

    more code on the layout/cascade front.
    some fixes/improvements on the build system front.
    Dodji.

 ChangeLog            |  21 +++++-
 TODO                 |   3 +-
 autogen.sh           |   7 +-
 configure.in         |  75 +++++++++++++-------
 csslint/Makefile.in  |   1 +
 libcroco-config.h.in |   3 +
 src/Makefile.am      |  60 +++++++++-------
 src/cr-cascade.c     | 191 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-cascade.h     |  85 +++++++++++++++++++++++
 src/cr-lay-eng.c     |  62 ++++++++++++++++-
 src/cr-lay-eng.h     |   4 ++
 src/cr-sel-eng.c     |  47 ++++++++++---
 src/cr-sel-eng.h     |  23 +++++--
 src/cr-style.c       |   1 -
 src/cr-stylesheet.c  |  26 +++++++
 src/cr-stylesheet.h  |  26 ++++++-
 src/cr-utils.h       |   1 +
 tests/Makefile.am    |  16 +++--
 tests/test5-main.c   |   2 +-
 19 files changed, 579 insertions(+), 75 deletions(-)

commit df526da09c8a5faf05101e438b84d5061cb4a091
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Mar 26 22:13:49 2003 +0000

    started to add some new files ...
    more work is to come.

 csslint/csslint.c    |  4 +--
 src/Makefile.am      |  1 +
 src/cr-enc-handler.h |  7 +++--
 src/cr-lay-eng.c     | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-lay-eng.h     | 52 +++++++++++++++++++++++++++++++++++
 src/cr-parser.c      |  9 ++++--
 src/cr-style.c       | 14 ++++++----
 7 files changed, 152 insertions(+), 13 deletions(-)

commit 3d28f03c0d574bcd0acf5bb86b241485b3bc7460
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Tue Mar 25 20:30:41 2003 +0000

    updated the style a bit to comply with
    libcroco style.
    Dodji.

 csslint/csslint.c | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit c6e67e60688e257c3203efb25bdbe371be0ff686
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Mar 24 21:26:04 2003 +0000

    can now get loosely typed style information from css declaration
    and turn them into strongly typed style information.
    Dodji.

 ChangeLog      |   7 ++
 TODO           |   5 --
 src/cr-style.c | 202 +++++++++++++++++++++++++++++++++++++++++++++++++--------
 src/cr-style.h |  16 ++++-
 4 files changed, 196 insertions(+), 34 deletions(-)

commit df9b05e39ebd88441e9155c95ecdbc23c4f62b72
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Mon Mar 24 20:18:15 2003 +0000

    Added feature: Parse CSS files and builds a CSS object model

 csslint/ChangeLog |   7 +++
 csslint/csslint.1 |   5 ++
 csslint/csslint.c | 158 ++++++++++++++++++++++++++++++++++++++++++++++--------
 3 files changed, 147 insertions(+), 23 deletions(-)

commit 0fd747b310a518135a0355b7ae918b3ddcc6e9ac
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Mar 23 23:05:07 2003 +0000

    "loosely-typed style info gathering" on progress ...
    Dodji.

 src/cr-style.c                | 341 +++++++++++++++++++++++++++++++++++-------
 src/cr-style.h                |  24 ++-
 src/cr-utils.h                |   2 +
 tests/test-inputs/test2.2.css |   2 +-
 4 files changed, 311 insertions(+), 58 deletions(-)

commit b3a0881894d2d71fcaccde7fa2a04c710ac5fafc
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sun Mar 23 22:35:30 2003 +0000

    Re-indentation

 csslint/csslint.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 707595232fce772e196bd41d4e7e247fab23a624
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sun Mar 23 22:34:06 2003 +0000

    Re-indentation

 csslint/csslint.c | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 028da71ab08e7fc5d2da2eac8d8e2f72bc8a32c9
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sun Mar 23 22:17:05 2003 +0000

    Added a command CSS tool. CSSLINT

 Makefile.am  | 2 +-
 configure.in | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 34aea8a8cd496a427ad5217bb129ce6d004d72d0
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sun Mar 23 22:15:37 2003 +0000

    added a command CSS tool. CSSLINT

 csslint/ChangeLog   |   9 ++
 csslint/Makefile.am |  13 ++
 csslint/Makefile.in | 418 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 csslint/csslint.1   |  44 ++++++
 csslint/csslint.c   |  89 +++++++++++
 5 files changed, 573 insertions(+)

commit e1d9d34619e3f579f9181b3bd32c93bcefb2d5f6
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri Mar 21 18:56:57 2003 +0000

    fixed a couple of minor bugs in the parser core.

 TODO                          |  7 ++++++-
 src/cr-parser.c               | 28 ++++++++++++++++++++++------
 tests/test-inputs/test2.2.css |  9 +++++++++
 3 files changed, 37 insertions(+), 7 deletions(-)

commit b75433d864336e33629b84966e686c43ee51ea43
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Fri Mar 21 06:57:59 2003 +0000

    added documentation for test5 and test6.
    Cleaned up test6-main.c
    Dodji.

 tests/README-description.txt | 28 +++++++++++++
 tests/test6-main.c           | 93 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 121 insertions(+)

commit 3e55266839340793845b8527b65542d1e4b5fc11
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu Mar 20 21:29:07 2003 +0000

    fixed a small bug in the tokenizer.
    Provided better support for in memory data parsing.

 libcroco-config.h.in |  3 +++
 src/cr-om-parser.c   | 51 +++++++++++++++++++++++++++++++++++++++++++++++++--
 src/cr-om-parser.h   | 11 ++++++++++-
 src/cr-parser.c      | 25 ++++++++++++++++++++++++-
 src/cr-parser.h      |  8 ++++++--
 src/cr-tknzr.c       | 20 +++++++++++++++++++-
 src/cr-tknzr.h       |  5 +++++
 tests/Makefile.am    |  3 ++-
 tests/test2-main.c   |  8 +++++---
 tests/test3-main.c   |  2 +-
 10 files changed, 124 insertions(+), 12 deletions(-)

commit a189ebbcc9b05cda2ea77f84db8a65855f5b3fb7
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Thu Mar 20 20:04:06 2003 +0000

    Added a man page for croco-config

 ChangeLog      |  4 ++++
 Makefile.am    |  3 ++-
 croco-config.1 | 31 +++++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+), 1 deletion(-)

commit 922bf5032aac55b0aa6d91c9ea1808b50f705afd
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Thu Mar 20 17:51:25 2003 +0000

    replace GPL with LGPL license to finish the re-licensing transition

 COPYING   | 619 ++++++++++++++++++++++++++++++++++++++------------------------
 ChangeLog |   4 +
 2 files changed, 384 insertions(+), 239 deletions(-)

commit 5b877e917d80ab0b04d0adf831a7cd99595fbc4b
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Wed Mar 19 23:29:00 2003 +0000

    Added conditional compilation of the unit tests in tests/ subdir

 ChangeLog         |  8 ++++++++
 configure.in      | 46 ++++++++++++++++++++++++++++++++++++++++++++--
 tests/Makefile.am | 12 ++++++++----
 3 files changed, 60 insertions(+), 6 deletions(-)

commit b370f217eed617133e5ed8bc9ff28b6669fc5e05
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Mar 19 22:13:11 2003 +0000

    added better in memory serialisation to the selector related data structures. Dodji.

 src/cr-additional-sel.c |  92 +++++++++++++++++++++-------
 src/cr-additional-sel.h | 155 ++++++++++++++++++++++++------------------------
 src/cr-attr-sel.c       |  65 +++++++++++++++-----
 src/cr-attr-sel.h       |  72 +++++++++++-----------
 src/cr-pseudo.c         |  72 +++++++++++++++++-----
 src/cr-pseudo.h         |  57 +++++++++---------
 src/cr-selector.c       |  75 +++++++++++++++++++----
 src/cr-selector.h       |   3 +
 src/cr-simple-sel.c     |  86 ++++++++++++++++++++-------
 src/cr-simple-sel.h     |   3 +
 10 files changed, 453 insertions(+), 227 deletions(-)

commit cc7ec65a2b735e285047c7e0a61212337d7ab24c
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Wed Mar 19 20:48:37 2003 +0000

    Relicense from GPL -> LGPL

 COPYING.LIB             | 481 ++++++++++++++++++++++++++++++++++++++++++++++++
 ChangeLog               |   4 +
 NEWS                    |   7 +
 src/cr-additional-sel.c |  30 ++-
 src/cr-additional-sel.h |  30 ++-
 src/cr-attr-sel.c       |  31 ++--
 src/cr-attr-sel.h       |  31 ++--
 src/cr-box.c            |  30 ++-
 src/cr-box.h            |  30 ++-
 src/cr-declaration.c    |  30 ++-
 src/cr-declaration.h    |  30 ++-
 src/cr-doc-handler.c    |  30 ++-
 src/cr-doc-handler.h    |  30 ++-
 src/cr-enc-handler.c    |  31 ++--
 src/cr-enc-handler.h    |  31 ++--
 src/cr-input.c          |  30 ++-
 src/cr-input.h          |  30 ++-
 src/cr-num.c            |  30 ++-
 src/cr-num.h            |  30 ++-
 src/cr-om-parser.c      |  30 ++-
 src/cr-om-parser.h      |  30 ++-
 src/cr-parser-input.h   |  30 ++-
 src/cr-parser.c         |  30 ++-
 src/cr-parser.h         |  30 ++-
 src/cr-pseudo.c         |  31 ++--
 src/cr-pseudo.h         |  31 ++--
 src/cr-rgb.c            |  30 ++-
 src/cr-rgb.h            |  30 ++-
 src/cr-sel-eng.c        |  32 ++--
 src/cr-sel-eng.h        |  31 ++--
 src/cr-selector.c       |  30 ++-
 src/cr-selector.h       |  30 ++-
 src/cr-simple-sel.c     |  31 ++--
 src/cr-simple-sel.h     |  31 ++--
 src/cr-statement.c      |  30 ++-
 src/cr-statement.h      |  30 ++-
 src/cr-style.c          |  30 ++-
 src/cr-style.h          |  31 ++--
 src/cr-stylesheet.c     |  30 ++-
 src/cr-stylesheet.h     |  30 ++-
 src/cr-term.c           |  30 ++-
 src/cr-term.h           |  30 ++-
 src/cr-tknzr.c          |  30 ++-
 src/cr-tknzr.h          |  30 ++-
 src/cr-token.c          | 112 ++++++-----
 src/cr-token.h          | 232 ++++++++++++-----------
 src/cr-utils.c          | 299 +++++++++++++++---------------
 src/cr-utils.h          |  31 ++--
 src/libcroco.h          |  20 ++
 tests/cr-test-utils.c   |  20 ++
 tests/cr-test-utils.h   |  30 ++-
 tests/test0-main.c      |  30 ++-
 tests/test1-main.c      |  30 ++-
 tests/test2-main.c      |  30 ++-
 tests/test3-main.c      |  30 ++-
 tests/test4-main.c      |  30 ++-
 tests/test5-main.c      |  31 ++--
 57 files changed, 1498 insertions(+), 1161 deletions(-)

commit 153f41b4116c4fbc732b0071a24822466accdea4
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Mar 19 00:29:17 2003 +0000

    added a cr_term_to_string() fonction to support in memory dump of css2 expressions.
    The former cr_term_dump() function is now based on cr_term_to_string().

 configure.in  |   2 +-
 src/cr-rgb.c  |  75 +++++++++++++++++++++--------
 src/cr-rgb.h  |   4 ++
 src/cr-term.c | 151 +++++++++++++++++++++++++++++++++++++++++-----------------
 src/cr-term.h |   4 ++
 5 files changed, 172 insertions(+), 64 deletions(-)

commit 9593026d792518aae19eabb79524f3b3702782fc
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Tue Mar 18 19:39:30 2003 +0000

    fixed a configure problem

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 7d65fff4081a25bdfe62d09ba2588263e41347e3
Author: Dom Lachowicz <doml@src.gnome.org>
Date:   Tue Mar 18 18:10:53 2003 +0000

    update autogen.sh to build libtool
    better libxml2 checks, seleng checks
    disable test5 until a better solution is found

 ChangeLog         | 11 +++++++
 autogen.sh        | 31 ++++++++++----------
 configure.in      | 87 ++++++++++++++++++-------------------------------------
 tests/Makefile.am |  8 ++---
 4 files changed, 59 insertions(+), 78 deletions(-)

commit 669b4d2481225bdea22fb9ea1e6f01cbfb91d299
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Mar 17 21:51:11 2003 +0000

    fixed a small bug. Dodji.

 src/cr-style.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 13c68446e1877d17ce348712a7a69f08c42b54cf
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Mar 17 21:33:09 2003 +0000

    "gathering style information from stylesheet" in progress. Dodji.

 src/cr-num.h   |  1 +
 src/cr-style.c | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

commit 06282c84188d2ebcde61748956b7c85c262d4828
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Mar 16 18:24:22 2003 +0000

    "gathering style information from the stylesheet" in progress. Dodji.

 ChangeLog      |  12 ++++
 src/cr-num.c   |  12 ++++
 src/cr-num.h   |   3 +
 src/cr-style.c | 174 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 4 files changed, 196 insertions(+), 5 deletions(-)

commit 913912133b6a91c361d1c332175425623b86905f
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sat Mar 15 19:02:11 2003 +0000

    revisited the way the CRTerm and CRNum classes were handling their types and
    especially numeric types. Did also the necessary modifs in all
    the impacted code.

 ChangeLog                     |  26 +++
 src/cr-num.c                  | 115 +++++++++++--
 src/cr-num.h                  |  93 +++++-----
 src/cr-parser.c               | 130 ++------------
 src/cr-rgb.c                  |  14 +-
 src/cr-rgb.h                  |   4 +-
 src/cr-style.c                | 389 +++++++++++++++++++++++++++++++++++++++++-
 src/cr-style.h                |  69 ++++----
 src/cr-term.c                 | 366 ++++-----------------------------------
 src/cr-term.h                 |  61 ++++---
 src/cr-tknzr.c                |  81 +++++----
 src/cr-utils.c                |  13 ++
 src/cr-utils.h                | 165 ++++++------------
 tests/test-inputs/test4.1.css |   8 +-
 14 files changed, 780 insertions(+), 754 deletions(-)

commit 189522e07f90cc58a1f7a94836ae99bf6d7150a2
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu Mar 13 22:31:17 2003 +0000

    initial import.

 src/cr-style.c | 160 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)

commit da99490f35d844310a3411561e76bb2cd214ff62
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Thu Mar 13 22:30:40 2003 +0000

    started what will the code to build the document annotated tree.

 TODO            |  6 +-----
 src/Makefile.am |  1 +
 src/cr-box.c    |  6 ++++++
 src/cr-style.h  | 12 ++++++++++++
 4 files changed, 20 insertions(+), 5 deletions(-)

commit 2c33322914fccb3a2f2eee55b93b7de6bf12b2c2
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Mar 12 21:57:49 2003 +0000

    rm'ed this generated file.

 src/Makefile.in | 398 --------------------------------------------------------
 1 file changed, 398 deletions(-)

commit a7ced5b2383b500ce8bd150ba3ad0b7ecfe7480c
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Wed Mar 12 21:56:44 2003 +0000

    Started to code the hierachical stuffs in the box model.
    I am also still thinking about the style data structure.
    Dodji.

 src/Makefile.am |   1 +
 src/Makefile.in |  15 ++++---
 src/cr-box.c    | 135 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cr-box.h    |  47 +++++++++++++-------
 src/cr-style.h  |  60 ++++++++++++++++++-------
 5 files changed, 219 insertions(+), 39 deletions(-)

commit 787cb8a95fe01a2e05154d4f24d63724258e2f0e
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Mon Mar 10 21:10:10 2003 +0000

    went further in designing the box model and style structure.

 src/cr-box.h   | 45 ++++++++++++++++++++++++++++++--------------
 src/cr-style.h | 59 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+), 14 deletions(-)

commit 8ba477fd2d7230d3d5e0543e467cd8508aff7553
Author: Gaël CHAMOULAUD <strider@src.gnome.org>
Date:   Sun Mar 9 20:05:16 2003 +0000

    Added test1.css, a css file for tests/test1

 tests/test-inputs/test1.css | 314 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 314 insertions(+)

commit 0de9db48de02dda13be9a6e526c22cb8f3984f39
Author: Dodji Seketeli <dodji@src.gnome.org>
Date:   Sun Mar 9 19:41:16 2003 +0000

    started to think about the low level layers of the rendering.

 src/cr-box.h   | 175 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
